<?php
// Background Overlay
function infobox_bgoverlay( $atts, $content = null ) {

	$data = wp_parse_args( $atts, array(
		'style_type'        	=> '',
		'overl_color'        	=> '',
		'overl_gradient_color'  => '',
	) );
	
    $consultab_option = get_option('consultab_options');

	$style_type = $data['style_type'] ?  $data["style_type"]  : '';
	$color = $data['overl_color'] ? $data['overl_color']: '';
	$color_gradient = $data['overl_gradient_color'] ? $data['overl_gradient_color']: '';
	$id = rand();

	$output ='';

    if(!empty($color_gradient)) { ?>
		<div class="iq-background-overlay" id="overlay_'<?php echo $id; ?>" style="background: linear-gradient(to right, '<?php echo $color; ?>' 0%, '<?php echo $color_gradient; ?>' 100%);"></div> <?php
	} else { ?>
		<div class="iq-background-overlay" id="overlay_'<?php echo $id; ?>'" style="background: '<?php echo $color; ?>';"></div> <?php
	}

	if(!empty($consultab_option['body_bg_color']['rgba']) || !empty($consultab_option['body_bg_gradient_color']['rgba'])) { ?>
		<script>
		    jQuery(".iq-background-overlay").removeAttr("style");
		</script> <?php			
	}
	return $output;
}
add_shortcode('vc_infobox_bgoverlay','infobox_bgoverlay');
