<?php
// Counter
function consultabcounter($atts, $content = null) {

	$data = wp_parse_args( $atts, array(
		'style_type'        => '1',
		'counter_title'     => '',
		'extra_class'		=> '',
		'counter_content'   => '1540',
		'openiconic' 		=> '',
		'fontawesome' 		=> '',
		'typicons' 			=> '',
		'entypo' 			=> '',
		'linecons' 			=> '',
		'ionicons' 			=> '',
		'flaticon'	        => '',
		'image'             => '',
		'disble_plus'       => '',
		'disble_icon'       => '',
		'icon_top'          => '',
		'text_color'        => '',
		'css'               => '',
	) );

	$css_class = '';

    wp_enqueue_style( 'font-awesome' );
	wp_enqueue_style( 'vc_openiconic' );
	wp_enqueue_style( 'vc_typicons' );
	wp_enqueue_style( 'vc_entypo' );
	wp_enqueue_style( 'vc_linecons' );

	$icons ='';
	$icon_f = $data['fontawesome'] ? '<i aria-hidden="true" class="'.$data['fontawesome'].'"></i>' : '';
	$icon_o = $data['openiconic'] ? '<i aria-hidden="true" class="'.$data['openiconic'].'"></i>' : '';
	$icon_t = $data['typicons'] ? '<i aria-hidden="true" class="'.$data['typicons'].'"></i>' : '';
	$icon_e = $data['entypo'] ? '<i aria-hidden="true" class="'.$data['entypo'].'"></i>' : '';
	$icon_l = $data['linecons'] ? '<i aria-hidden="true" class="'.$data['linecons'].'"></i>' : '';
	$icon_i = $data['ionicons'] ? '<i aria-hidden="true" class="'.$data['ionicons'].'"></i>' : '';
	$icon_fl = $data['flaticon'] ? '<i aria-hidden="true" class="'.$data['flaticon'].'"></i>' : '';


	$url = $data['image'] ? wp_get_attachment_image_url( $data["image"]) : '';
	$image = '<img src="'. $url .'" alt="fancybox" />';
	if($url)
	{
		$icons = $image;
	}
	else
	{
	    if($icon_o || $icon_f || $icon_t || $icon_e || $icon_l || $icon_i || $icon_fl)
		{
            $icons = ' '.$icon_f.''.$icon_o.''.$icon_t.''.$icon_e.''.$icon_l.''.$icon_i.''.$icon_fl.' ';
        }
	}

    $style_type = $data['style_type'] ?  $data["style_type"]  : '';

	$counter_title = $data['counter_title'] ?  $data["counter_title"]  : '';

	$extra_class = $data['extra_class'] ?  $data["extra_class"]  : '';

	$disble_plus = $data['disble_plus'] ?  $data["disble_plus"]  : '';

	$disble_icon = $data['disble_icon'] ?  $data["disble_icon"]  : '';

	$icon_top = $data['icon_top'] ?  $data["icon_top"]  : '';

	$counter_content = $data['counter_content'] ?  $data["counter_content"]  : '';

	$text_color = $data['text_color'] ?  $data["text_color"]  : '';

	$text_color = $text_color ? ' style="color: ' . $text_color . ';"' : '';

	$css = $data['css'] ?  $data["css"]  : '';
	
	if(!empty($css)){
		$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
		}

	$result = '';

	if($style_type == 1) {

		if($data['icon_top'] == "0"){

			$result .= '
		    <div class="iq-timer iq-counticon-top '. $extra_class .' '. esc_attr( $css_class ) .'">';

		} else {

			$result .= '
	        <div class="iq-timer '. $extra_class .' '. esc_attr( $css_class ) .'">';

		}

		
			if($data['disble_icon'] == "0")
			{
			
			}
			else{
				$result .= ' '.$icons.' ';
			}
			$result .= '<div class="timer-details">';
					if($data['disble_plus'] == "0")
					{ 
						$result .= '<span class="timer" '.$text_color.' data-to="'. $counter_content .'" data-speed="5000">'. $counter_content .'</span>';
					}
					else 
					{ 
						$result .= '<span class="timer" '.$text_color.' data-to="'. $counter_content .'" data-speed="5000">'. $counter_content .'</span>
						<i class="fa fa-plus" aria-hidden="true"></i>';
					}
			$result .='<p '.$text_color.'>'. $counter_title .'</p>
			</div>
		</div>';

	} 

	if($style_type == 2) {

		if($data['icon_top'] == "0"){

			$result .= '
		    <div class="iq-timer-big iq-counticon-top '. $extra_class .' '. esc_attr( $css_class ) .'">';

		} else {

			$result .= '
	        <div class="iq-timer-big '. $extra_class .' '. esc_attr( $css_class ) .'">';

		}

		
			if($data['disble_icon'] == "0")
			{
			
			}
			else{
				$result .= ' '.$icons.' ';
			}
			$result .= '<div class="timer-details">';
					if($data['disble_plus'] == "0")
					{ 
						$result .= '<span class="timer" '.$text_color.' data-to="'. $counter_content .'" data-speed="5000">'. $counter_content .'</span>';
					}
					else 
					{ 
						$result .= '<span class="timer" '.$text_color.' data-to="'. $counter_content .'" data-speed="5000">'. $counter_content .'</span>
						<i class="fa fa-plus" aria-hidden="true"></i>';
					}
			$result .='<p '.$text_color.'>'. $counter_title .'</p>
			</div>
		</div>';
	}

	return $result;
	
}
add_shortcode('consultabcounter','consultabcounter');
