<?php
// Fancybox
function consultabFancybox( $atts, $content = null ) {

	 $data = wp_parse_args( $atts, array(
				'consultabtitle_content'  		=> 'Easy to Customize',
				'consultabsubtitle_content' 	=> 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.',
				'image'       				=> '',
				'bg_image'					=> '',
				'position' 					=> '',
				'html_content'				=> '',
				'style_type' 				=> '0',
				'openiconic' 				=> '',
                'fontawesome' 				=> '',
                'typicons' 					=> '',
                'entypo' 					=> '',
				'linecons' 					=> '',
				'ionicons' 					=> '',
				'pp_btl_label'				=> 'See More',
				'pp_btl_url'				=> '#',
				'extra_class'               => '',
				'flaticon'	                => '',
				'tag'						=> 'h2',
				'css' 						=> '',
				'text_white'	            => '1',
				'iconimg_option'            => 'default',
				'consultabtitle_step'       => '',
				'arrow_image'				=> '',
				'arrow_effect'				=> '',
				'fourline_effect'			=> '',
	 
			) );

		$css_class = '';

		wp_enqueue_style( 'font-awesome' );
		wp_enqueue_style( 'vc_openiconic' );
		wp_enqueue_style( 'vc_typicons' );
		wp_enqueue_style( 'vc_entypo' );
		wp_enqueue_style( 'vc_linecons' );

		$icons ='';
		$icon_f = $data['fontawesome'] ? '<i aria-hidden="true" class="'.$data['fontawesome'].'"></i>' : '';
		$icon_o = $data['openiconic'] ? '<i aria-hidden="true" class="'.$data['openiconic'].'"></i>' : '';
		$icon_t = $data['typicons'] ? '<i aria-hidden="true" class="'.$data['typicons'].'"></i>' : '';
		$icon_e = $data['entypo'] ? '<i aria-hidden="true" class="'.$data['entypo'].'"></i>' : '';
		$icon_l = $data['linecons'] ? '<i aria-hidden="true" class="'.$data['linecons'].'"></i>' : '';
		$icon_i = $data['ionicons'] ? '<i aria-hidden="true" class="'.$data['ionicons'].'"></i>' : '';
		$icon_fl = $data['flaticon'] ? '<i aria-hidden="true" class="'.$data['flaticon'].'"></i>' : '';


		$bg_url = $data['bg_image'] ? wp_get_attachment_image_url( $data["bg_image"], "full") : '';
		if(!empty($bg_url))
		{
			$bg_image = '<img class="hover-img" src="'. $bg_url .'" alt="fancybox" />';
		}
		else
		{
			$bg_image = '';
		}
		

		$arrow_url = $data['arrow_image'] ? wp_get_attachment_image_url( $data['arrow_image'], "full") : '';
		if($arrow_url) {
		    $arrow_image = '<img class="arrow-img" src="'. $arrow_url .'" alt="fancybox" />';
		}

		$url = $data['image'] ? wp_get_attachment_image_url( $data["image"]) : '';
		$image = '<img src="'. $url .'" alt="fancybox" />';
		if($url)
		{
			$icons = $image;
		}
		else
		{
		    if($icon_o || $icon_f || $icon_t || $icon_e || $icon_l || $icon_i || $icon_fl)
			{
	            $icons = ' '.$icon_f.''.$icon_o.''.$icon_t.''.$icon_e.''.$icon_l.''.$icon_i.''.$icon_fl.' ';
	        }
		}

		$style_type = $data['style_type'] ?  $data["style_type"]  : '';

		$position = $data['position'] ? $data["position"] : '';

		$tag = $data['tag'] ? $data["tag"] : '';

		$consultabtitle_content = $data['consultabtitle_content'] ? $data["consultabtitle_content"]  : '';

		$consultabsubtitle_content = $data['consultabsubtitle_content'] ?  $data["consultabsubtitle_content"]  : '';

		$pp_btl_label = $data['pp_btl_label'] ?  $data["pp_btl_label"]  : '';

		$pp_btl_url = $data['pp_btl_url'] ?  $data["pp_btl_url"]  : '';

		$consultabtitle_step = $data['consultabtitle_step'] ?  $data["consultabtitle_step"]  : '';

		$arrow_effect = $data['arrow_effect'] ?  $data["arrow_effect"]  : '';

        $fourline_effect = $data['fourline_effect'] ?  $data["fourline_effect"]  : '';

		$extra_class = $data['extra_class'] ?  $data["extra_class"]  : '';

		$css = $data['css'] ?  $data["css"]  : '';
        
		$text_white = $data['text_white'] ?  $data["text_white"]  : '';

		$iconimg_option = $data['iconimg_option'] ?  $data["iconimg_option"]  : '';

		if(!empty($css)){
			$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
			}

		$out ='';



	if($style_type == 0) {
		$out .='
		<div class="service-box '.$extra_class.' text-'.$position.' '. esc_attr( $css_class ) .'">
			'.$icons.'
            <div class="service-detail align-self-center">';
				if($text_white == 1) {
					$out .='<'.$tag.' class="mb-2">'.$consultabtitle_content.'</'.$tag.'>';
				}
				if($text_white == 2) {
					$out .='<'.$tag.' class="text-white mb-2">'.$consultabtitle_content.'</'.$tag.'>';
				}
				if(!empty($consultabsubtitle_content)) {
					$out .='<p>'.$consultabsubtitle_content.'</p>';
				}
		    $out .='
		    </div>
        </div>';
	    return $out;
	}

	if($style_type == 1) {
		$out ='
		<div class="consultab-services '.$extra_class.' text-'.$position.' '.esc_attr( $css_class ).'">
			'.$bg_image.'
			<div class="services-detail">
				'.$icons.'
				<'.$tag.' class="mb-1">'.$consultabtitle_content.'</'.$tag.'>';
				if(!empty($consultabsubtitle_content)) {
				    $out .='<p class="mb-0">'.$consultabsubtitle_content.'</p>';
				}
			$out .='
			</div>
		</div>';
		return $out;
	}

	if($style_type == 2) {

		if($data['fourline_effect'] == "0"){

			$out .='
			<div class="consult-services-fourline '.$extra_class.' text-'.$position.' '.esc_attr( $css_class ).'">
				'.$icons.'
				<'.$tag.'>'.$consultabtitle_content.'</'.$tag.'>';
				if(!empty($consultabsubtitle_content)) {
			        $out .='<p class="mb-0">'.$consultabsubtitle_content.'</p>';
				}
			$out .='
			</div>';

		} else {

			$out .='
			<div class="consult-services '.$extra_class.' text-'.$position.' '.esc_attr( $css_class ).'">
				<'.$tag.'>'.$consultabtitle_content.'</'.$tag.'>
				'.$icons.'';
				if(!empty($consultabsubtitle_content)) {
			        $out .='<p class="mb-0">'.$consultabsubtitle_content.'</p>';
				}
			$out .='
			</div>';
		}
			
		return $out;
	}

	if($style_type == 3) {

        $out .='
		<div class="consult-profile-box wow fadeInUp '.$extra_class.' text-'.$position.' '. esc_attr( $css_class ) .'" >';
		    if($iconimg_option == 'yes'){
		    	$out .='
		        <div class="service-box-icon">
		            '.$icons.'
		        </div>';
		    }
		        
		    $out .='    
            <div class="service-box-detail">';
				$out .='<'.$tag.' class="data-title">'.$consultabtitle_content.'</'.$tag.'>';
				if(!empty($consultabsubtitle_content)) {
				    $out .='<p>'.$consultabsubtitle_content.'</p>';
				}

				    $out .='
				    <a class="link-btn" href="'. $pp_btl_url . '">
				        <span class="btn-effect"> '.$pp_btl_label.'<i class="ion-ios-arrow-right ml-2"></i></span>
				    </a>';
	
		    $out .='
		    </div>
        </div>';
	    return $out;

	}

	if($style_type == 4)
	{
		$out .='
		<div class="iq-consult-works- '.$extra_class.' text-'.$position.' '.esc_attr( $css_class ).'">
	        <div class="step-img">
				'.$icons.'';
				if(!empty($consultabtitle_step)){
					$out .='
					<div class="step-number">'.$consultabtitle_step.'</div>';
				}
			$out .='		
			</div>';

			$out .='
			<'.$tag.'>'.$consultabtitle_content.'</'.$tag.'>';
			if(!empty($consultabsubtitle_content)) {
		        $out .='<p class="mb-0">'.$consultabsubtitle_content.'</p>';
			}

            if($data['arrow_effect'] == "0") {
            	if(isset($arrow_image)) { 
					$out .= '<div class="arrow_img"> '.$arrow_image.'</div>';//Main div open
			    }
            }
 
	    $out .='
	    </div>';
		return $out;
	}

}
add_shortcode('consultabFancybox','consultabFancybox');
