<?php
// FAQ
function consultabFAQ( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'number'     		=> -1,
		'extra_class'     	=> '',
		'css'     	=> '',
		'sort'       		=> '',
		'order'      		=> 'DESC',
	), $atts ) );

	$css_class = '';

	$args = array(
        'post_type'         => 'consultabfaqs',
        'post_status'       => 'publish',
        'numberposts'       => $number,
        'orderby'           => $sort,
        'order'             => $order,
        'suppress_filters'  => 0
	);

	$wp_query = new WP_Query($args);

	$recent_posts = get_posts( $args);

	if(!empty($css)){
		$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
	}

	$i = '';

	$out = '';

	$out .='
	<div class="iq-accordion '. $extra_class .' '. esc_attr( $css_class ) .'">';
		foreach( $recent_posts as $recent ){
			if($i == 1) { 
				$show = "show"; 
				$style="style=display:block"; 
				$adactive="ad-active"; 
				$i++;
			} else { 
				$style=""; 
				$show = ""; 
				$adactive="";
			}

				$out.= '
				<div class="careers-faq iq-ad-block '.$adactive.'">';
					$out.= '
					<div class="active-faq clearfix">';
						$out.= '
						<div class="container">';
							$out.= '
							<div class="row align-items-center">';
								$out.= '
								<div class="col-md-9 col-sm-12 ">';
								    $out.= '<a href="javascript:void(0)" class="ad-title"><span>'.sprintf( esc_html__('%s','consultab'),$recent->post_title).'</span></a>';
								$out.= '
								</div>';
								$out.= '
								<div class="col-md-3 col-sm-12 text-center text-lg-right text-md-right">';
								    $btn_name  = get_post_meta( $recent->ID, 'faq_button_name', true);
								    $btn_link  = get_post_meta( $recent->ID, 'faq_button_link', true);
									if(!empty($btn_name)){
										$out.= '
										<a class="button" href="'; if($btn_link) { $out .= $btn_link; } $out.='">';
										if($btn_name) { $out .= $btn_name; }
									$out.= '</a>';
									}
							$out.= '</div>';
						$out.= '</div>';
						$out.= '</div>';
					$out.= '</div>';

					$out.= '<div class="ad-details ">
								<p>'.sprintf( esc_html__('%s','consultab'),$recent->post_content).'</p>
							</div>
					</div>';
				}
			$out.= '</div>';

	return $out;

}
add_shortcode('consultabFAQ', 'consultabFAQ');
