<?php
// Featurebox
function consultabFeaturebox( $atts, $content = null ) {

	 $data = wp_parse_args( $atts, array(
				'consultabtitle_content'  		=> 'Easy to Customize',
				'consultabsubtitle_content' 	=> 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.',
				'image'       				=> '',
				'bg_image'					=> '',
				'position' 					=> 'left',
				'openiconic' 				=> '',
                'fontawesome' 				=> '',
                'typicons' 					=> '',
                'entypo' 					=> '',
				'linecons' 					=> '',
				'ionicons' 					=> '',
				'link'						=> '',
				'extra_class'               => '',
				'flaticon'	                => '',
				'tag'						=> 'h2',
			) );

		$css_class = '';

		wp_enqueue_style( 'font-awesome' );
		wp_enqueue_style( 'vc_openiconic' );
		wp_enqueue_style( 'vc_typicons' );
		wp_enqueue_style( 'vc_entypo' );
		wp_enqueue_style( 'vc_linecons' );

		$icons ='';
		$icon_f = $data['fontawesome'] ? '<i aria-hidden="true" class="'.$data['fontawesome'].'"></i>' : '';
		$icon_o = $data['openiconic'] ? '<i aria-hidden="true" class="'.$data['openiconic'].'"></i>' : '';
		$icon_t = $data['typicons'] ? '<i aria-hidden="true" class="'.$data['typicons'].'"></i>' : '';
		$icon_e = $data['entypo'] ? '<i aria-hidden="true" class="'.$data['entypo'].'"></i>' : '';
		$icon_l = $data['linecons'] ? '<i aria-hidden="true" class="'.$data['linecons'].'"></i>' : '';
		$icon_i = $data['ionicons'] ? '<i aria-hidden="true" class="'.$data['ionicons'].'"></i>' : '';
		$icon_fl = $data['flaticon'] ? '<i aria-hidden="true" class="'.$data['flaticon'].'"></i>' : '';


		$bg_url = $data['bg_image'] ? wp_get_attachment_image_url( $data["bg_image"], "full") : '';
		$bg_image = '<img class="hover-img" src="'. $bg_url .'" alt="fancybox" />';

		$url = $data['image'] ? wp_get_attachment_image_url( $data["image"]) : '';
		$image = '<img src="'. $url .'" alt="fancybox" />';
		if($url)
		{
			$icons = $image;
		}
		else
		{
		    if($icon_o || $icon_f || $icon_t || $icon_e || $icon_l || $icon_i || $icon_fl)
			{
	            $icons = ' '.$icon_f.''.$icon_o.''.$icon_t.''.$icon_e.''.$icon_l.''.$icon_i.''.$icon_fl.' ';
	        }
		}

		$position = $data['position'] ? $data["position"] : '';

		$link = $data['link'] ? $data["link"] : '';

		$tag = $data['tag'] ? $data["tag"] : '';

		$consultabtitle_content = $data['consultabtitle_content'] ? $data["consultabtitle_content"]  : '';

		$consultabsubtitle_content = $data['consultabsubtitle_content'] ?  $data["consultabsubtitle_content"]  : '';

		$extra_class = $data['extra_class'] ?  $data["extra_class"]  : '';

		$link = ('||'===$link)?'':$link;
		$link = vc_build_link($link);
		$a_href =$link['url'];

		
		$out ='';

		$out .='<div class="Feature-box  '.$extra_class.' text-'.$position.'">';
			$out .='<div class="service-box  text- ">';
				$out .=''.$icons.'';
				$out .='<div class="service-detail align-self-center">';
					$out .='<'.$tag.' class="mb-2">'.$consultabtitle_content.'</'.$tag.'>';
				$out .='</div>';
			$out .='</div>';
			$out .='<div class="featurebox-img">';
				$out .=''.$bg_image.'';
				if(!empty($a_href)){
				$out .='<div class="featurebox-button">';
					$out .='<a href="'. $a_href . '"><i aria-hidden="true" class="ion ion-plus"></i></a>';
				$out .='</div>';
				}
			$out .='</div>';
			$out .='<div class="details-box clearfix">';
				$out .='<div class="consult-details">';
				if(!empty($consultabsubtitle_content))
				{
				$out .='<p>'.$consultabsubtitle_content.'</p>';
				}
				$out .='</div>';
			$out .='</div>';
		$out .='</div>';
		
		return $out;

}
add_shortcode('consultabFeaturebox','consultabFeaturebox');
