<?php
// Leadership
function consultableadership($atts, $content = null) {

    extract(shortcode_atts(array(
        'tag'           => 'h2',
        'position'      => 'left',
        'extra_class'   => '',
        'css'           => '',
        'number'        => -1,
        'order'         => 'DESC',
    ), $atts));

    $css_class = '';

    $args = array(
        'post_type'         => 'consultleadership',
        'post_status'       => 'publish',
        'posts_per_page'    => $number,
        'order'             => $order,
        'suppress_filters'  => 0
    );

    if(!empty($desk_number)){ $number = $desk_number; }else{ $desk_number = "-1"; }

    $recent_teams = get_posts( $args);
    $consultab_option = get_option('consultab_options');

    if(!empty($css)){
        $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ),  $atts['css'] );
        }


    $html = '';

    $html .= '
        <div class="row '. esc_attr( $css_class ) .'">';
                $i=0;
                foreach( $recent_teams as $recent ){

                    $html .= '

                    <div class="col-md-6 col-sm-12">
                    <div  class="iq-team iq-leader '.$extra_class.'">
                            <div class="iq-team-img">';
                                if(has_post_thumbnail( $recent->ID )){
                                    $full_image = wp_get_attachment_image_src( get_post_thumbnail_id( $recent->ID ), "full" );
                                    $html .='
                                    <img src="'.esc_url($full_image[0]).'" class="img-fluid" alt="#'.$i.'">';
                                }

                                $html .= '

                            </div>

                            <div class="iq-share">
                            <div class="slideouticons">

                                <label class="mainlabel"><i class="fa fa-share-alt"></i></label>
                                <div class="iconswrapper">
                                    <ul>';
                                    $trainer_facebook   = get_post_meta( $recent->ID, 'consultab_leader_facebook', true);
                                    $trainer_twwitter   = get_post_meta( $recent->ID, 'consultab_leader_twitter', true);
                                    $trainer_google   = get_post_meta( $recent->ID, 'consultab_leader_google', true);
                                    $trainer_github    = get_post_meta( $recent->ID, 'consultab_leader_github', true);
                                    $trainer_insta     = get_post_meta( $recent->ID, 'consultab_leader_insta', true);
                                        if($trainer_facebook){
                                            $html .='<li><a href="'.esc_url($trainer_facebook).'"><i class="fa fa-facebook-f"></i></a></li>';
                                            }
                                        if($trainer_twwitter){
                                            $html .='<li><a href="'.esc_url($trainer_twwitter).'"><i class="fa fa-twitter"></i></a></li>';
                                        }
                                        if($trainer_google){
                                            $html .='<li><a href="'.esc_url($trainer_google).'"><i class="fa fa-google"></i></a></li>';
                                        }
                                        if($trainer_github){
                                            $html .='<li><a href="'.esc_url($trainer_github).'"><i class="fa fa-github"></i></a></li>';
                                        }
                                        if($trainer_insta){
                                            $html .='<li><a href="'.esc_url($trainer_insta).'"><i class="fa fa-instagram"></i></a></li>';
                                        }
                                        $html .= '
                                    </ul>
                                </div>
                                </div>
                            </div>
                            <div class="iq-leader-info text-'.$position.'">';
                                $html .='
                                <'.$tag.'>'.esc_html($recent->post_title).'</'.$tag.'>';
                                $data = '';
                                $designation  = get_post_meta( $recent->ID, 'consultab_leader_designation', true);
                                $html .='<h6 class="team-post mb-3">';
                                if($designation) { $html .= $designation; }
                                $html .='</h6>';
                                $html .='<p class="mb-0">'.sprintf( esc_html__('%s','consultab'),$recent->post_content).'</p>';
                    $html .='</div>';
                            $i++;
                            $html .='
                    </div>
                </div>';
                }
                $html .='
        </div>';

    return $html;
}
add_shortcode('consultableadership','consultableadership');
