<?php
// Project
function consultabproject($atts, $content = null) {

    extract(shortcode_atts(array(
        'number'         => '',
        'desk_number'    => '3',
        'lap_number'     => '3',
		'tab_number'     => '3',
		'mob_number'     => '2',
        'sort'           => '',
        'order'          => 'DESC',
        'arrow'          => 'true',
        'loop'          => 'true',
        'auto'          => 'true',
        'dots'          => 'false',
        'tag'           => 'h2',
        'position'      => 'left',
        'css'           => '',
        'disble_effect' => '',
    ), $atts));

    $css_class = '';

    $args = array(
        'post_type'         => 'consultabproject',
        'post_status'       => 'publish',
        'numberposts'       => $number,
        'orderby'           => $sort,
        'order'             => $order,
        'suppress_filters'  => 0
	);

	$wp_query = new WP_Query($args);
	$tot= $wp_query->found_posts ;
    if($tot<=$desk_number){ $desk_number = $tot; $less_post = "less_post"; $loop = "false";}
    if($tot<=$lap_number){ $lap_number = $tot; $less_post = "less_post"; $loop = "false"; }
    if($tot<=$tab_number){ $tab_number = $tot; $less_post = "less_post"; $loop = "false"; }
	if($tot<=$mob_number){ $mob_number = $tot; $less_post = "less_post"; $loop = "false"; }

    $recent_posts = get_posts( $args);

    if(!empty($css)){
		$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
        }
        
    $i = '';

    $html = '';

    $html .='<div class="'. esc_attr( $css_class ) .'">';

    if($desk_number <= "3" && $desk_number != "-1"){
        $html .= '<div class="owl-carousel" data-dots="'.$dots.'" data-nav="'.$arrow.'" data-items="'.$desk_number.'" data-items-laptop="'.$lap_number.'" data-items-tab="'.$tab_number.'" data-items-mobile="'.$mob_number.'" data-items-mobile-sm="1" data-autoplay="'.$auto.'" data-loop="'.$loop.'">';
    }else{
        $html .= '<div class="owl-carousel" data-dots="'.$dots.'" data-nav="'.$arrow.'"  data-items="3" data-items-laptop="3" data-items-tab="2" data-items-mobile="2" data-items-mobile-sm="1" data-autoplay="'.$auto.'" data-loop="'.$loop.'">';
    }

        foreach( $recent_posts as $recent ){
        $html .= '
                <div class="item '. esc_attr( $css_class ) .'">
                    <div class="consulting-project">
                        <div class="consult-detail">';
                        if(has_post_thumbnail( $recent->ID ))
						{
                        $full_image = wp_get_attachment_image_src( get_post_thumbnail_id( $recent->ID ), "full" );
                        $html .='<img src="'.$full_image[0].'" class="img-fluid center-block" alt="blogimage'.$i.'">';
                        }
                        if($disble_effect == "0")
                        {

                        }
                        else{
                        $html .='<div class="consult-effect"></div>';
                        }
                $html .='</div>';
                $html .='<div class="main-project clearfix text-'.$position.'">';
                            $html .='
                            <div class="project-details">';
                            $html .='<'.$tag.'>'.sprintf( esc_html__('%s','consultab'),$recent->post_title).'</'.$tag.'>';
                            $html .='<h4 class="mb-3">'.sprintf( esc_html__('%s','consultab'),$recent->post_content).'</h4>';
                            $html .='<div class="project-button">';
                                            $button  = get_post_meta( $recent->ID, 'project_button', true);
                                            $button_url  = get_post_meta( $recent->ID, 'project_button_url', true);
                                            if($button){
                                            $html .='<a class="button button-icon" href="'; if($button_url) { $html .= $button_url; }
                                            $html .='"><span class="btn-effect">';
                                            if($button) { $html .= $button; }
                                            $html .='</span></a>';
                                            }
                                $html .='</div>
                            </div>

                        </div>
                    </div>
                </div>';
            }
            $html .= '
        </div>
    </div>';

    return $html;
}
add_shortcode('consultabproject','consultabproject');
