<?php
// Service Slider
function consultabserviceslider( $atts, $content = null ) {

	extract(shortcode_atts(array(
			'service_slider'				=> '',
			'consultabtitle_content'  		=> 'Easy to Customize',
			'consultabsubtitle_content' 	=> 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.',
			'image'       				=> '',
			'position' 					=> 'left',
			'tag'						=> 'h2',
			'pp_btl_url'				=> '#',
			'extra_class'               => '',
			'openiconic' 				=> '',
			'fontawesome' 				=> '',
			'typicons' 					=> '',
			'entypo' 					=> '',
			'linecons' 					=> '',
			'ionicons' 					=> '',
			'flaticon'	                => '',
			'css' 						=> '',
			'number'       				=> -1,
			'desk_number'   			=> '2',
			'lap_number'    			=> '1',
			'tab_number'   	 			=> '1',
			'mob_number'    			=> '1',
			'auto'          			=> 'true',
			'loop'          			=> 'true',
			'sortby'        			=> 'date',
			'order'         			=> 'DESC',
			'arrow'         			=> 'true',
			'dots'          			=> 'false',
			'disble_icon'				=> '',
	), $atts));

	$css_class = '';

	wp_enqueue_style( 'font-awesome' );
	wp_enqueue_style( 'vc_openiconic' );
	wp_enqueue_style( 'vc_typicons' );
	wp_enqueue_style( 'vc_entypo' );
	wp_enqueue_style( 'vc_linecons' );

	$icons ='';

	// features loop
	$service_slider_out	= '';
	$service_slider		= (array) vc_param_group_parse_atts( $service_slider );
	$service_slider_data	= array();

	foreach ( $service_slider as $data ) :
		$new_line 				      = $data;
		$new_line['consultabtitle_content']	      = isset( $data['consultabtitle_content'] ) ? $data['consultabtitle_content'] : '';
		$new_line['consultabsubtitle_content']	      = isset( $data['consultabsubtitle_content'] ) ? $data['consultabsubtitle_content'] : '';
		$new_line['pp_btl_url']  = isset( $data['pp_btl_url'] ) ? $data['pp_btl_url'] : '';
		$new_line['icons']  = isset( $data['icons'] ) ? $data['icons'] : '';
		if(isset($new_line['image'])){
				$new_line['image']	      = wp_get_attachment_image_url($data['image'],'full');
		}
		$service_slider_data[] 		      = $new_line;
	endforeach;

	if(!empty($css)){
		$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
		}

	$out ='';

	$out .='
	<div class="service-slider '.$extra_class.' '. esc_attr( $css_class ) .'">';

		if($desk_number <= "2" && $desk_number != "-1"){
			$out .= '<div class="owl-carousel" data-dots="'.$dots.'" data-nav="'.$arrow.'" data-items="'.$desk_number.'" data-items-laptop="'.$lap_number.'" data-items-tab="'.$tab_number.'" data-items-mobile="'.$mob_number.'" data-items-mobile-sm="1" data-autoplay="'.$auto.'" data-loop="'.$loop.'" data-margin="30">';
		} else {
			$out .= '<div class="owl-carousel" data-dots="'.$dots.'" data-nav="'.$arrow.'"  data-items="3" data-items-laptop="3" data-items-tab="3" data-items-mobile="2" data-items-mobile-sm="1" data-autoplay="true" data-loop="'.$loop.'" data-margin="30">';
		}


			foreach ($service_slider_data as $data) :

				$out .='
				<div class="item">';
					$out .='
					<div class="services-slider">';
						$out .='
						<div class="row row-eq-height align-items-center">';
							if($data['image']){
								$out .='
								<div class="col-sm-6">';
										$out .='
										<div class="hover-effect"><a href="'.$data['pp_btl_url'].'"> <img class="img-fluid" src="'.$data['image'].'" alt="image"></a>
											<div class="iq-overly-bg">';
											if($data['pp_btl_url']) {
												$out .='<a href="'.$data['pp_btl_url'].'"><i aria-hidden="true" class="ion ion-plus"></i></a>';
											}
										$out .='
										</div>
									</div>';
								$out .='
								</div>';
							}
							$out .='
							<div class="col-sm-6 iq-shadow text-'.$position.'">';
								$out .='
								<div class="content">';

									if($data['type'] == "fontawesome") {
										$data['fontawesome'] ? $data['icon'] = $data['fontawesome'] : '';
									} else if($data['type'] == "openiconic") {
										$data['openiconic'] ? $data['icon'] =$data['openiconic'] : '';
									} else if($data['type'] == "typicons") {
										$data['typicons'] ? $data['icon'] =$data['typicons'] : '';
									} else if($data['type'] == "entypo") {
										$data['entypo'] ? $data['icon'] = $data['entypo'] : '';
									} else if($data['type'] == "linecons") {
										$data['linecons'] ? $data['icon'] =$data['linecons'] : '';
									} else if($data['type'] == "Ionicons") {
										$data['ionicons'] ? $data['icon'] =$data['ionicons'] : '';
									} else if($data['type'] == "flaticon") {
										$data['flaticon'] ? $data['icon'] =$data['flaticon'] : '';
									}

									if($disble_icon == "0")
                                    {

                                    }
                                    else{
										$out .='<i class="'.$data['icon'].'"></i>';
                                    }
								$out .='<'.$tag.' class="mb-2">'.$data['consultabtitle_content'].'</'.$tag.'>';
								$out .='<p class="mb-0">'.$data['consultabsubtitle_content'].'</p>';
							$out .='</div>';
						$out .='</div>';
					$out .='</div>';
				$out .='</div>';
			$out .='</div>';

			endforeach;
		$out .='</div>';
	$out .='</div>';

		return $out;
}
add_shortcode('consultabserviceslider','consultabserviceslider');
