<?php
// Timeline
function consultabtimeline( $atts, $content = null ) {

	$data = wp_parse_args( $atts, array(
		'consultab_timeline'            => '',
		'consultabtitle_content'  		=> 'Easy to Customize',
		'tag'						=> 'h2',
		'title_color'				=> '',
		'consultab_subtitle' 	        => 'Long established',
		'sub_tag'                   => 'span',
		'subtitle_color'			=> '',
        'consultab_box_position'        => 'right',
        'consultab_boxlist'             => '',
        'consultab_listtest'            => 'Easy to Customize List',
        'css' 						=> '',
        'years' 						=> '',
        'location' 						=> '',
	) );

    $consultabtitle_content = $data['consultabtitle_content'] ?  $data["consultabtitle_content"]  : '';
    $tag = $data['tag'] ?  $data["tag"]  : '';
    $title_color = $data['title_color'] ?  $data["title_color"]  : '';

    $consultab_subtitle = $data['consultab_subtitle'] ?  $data["consultab_subtitle"]  : '';
    $sub_tag = $data['sub_tag'] ?  $data["sub_tag"]  : '';
    $subtitle_color = $data['subtitle_color'] ?  $data["subtitle_color"]  : '';

    $consultab_box_position = $data['consultab_box_position'] ?  $data["consultab_box_position"]  : '';


	$consultab_timeline = $data['consultab_timeline'] ?  $data["consultab_timeline"]  : '';
	$consultab_timeline = vc_param_group_parse_atts( $consultab_timeline );

	$consultab_boxlist = $data['consultab_boxlist'] ?  $data["consultab_boxlist"]  : '';
	
	$consultab_listtest = $data['consultab_listtest'] ?  $data["consultab_listtest"]  : '';
	
	$years = $data['years'] ?  $data["years"]  : '';
	
	$location = $data['location'] ?  $data["location"]  : '';

	$css_class = $data['css'] ?  $data["css"]  : '';
	if(!empty($css_class)){
	$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
	}

	$out = '';	

	$out .= '
	<div class="row">

		<div class="col-md-12 col-sm-12 col-xs-12">

			<section class="main-timeline-section '. esc_attr( $css_class ) .'">

			    <div class="conference-center-line"></div>

			    <div class="conference-timeline-content">';

			        foreach ( $consultab_timeline as $data ) {

			        	$out .= '

					    <div class="timeline-article content-'.$data['consultab_box_position'].'-container">
					 
				        	<div class="meta-date"></div>

					        <div class="content-box">

					            <div class="iqtml-top-box">
					        	    <div class="data1">';
					        	        $out .='
					        	        <'.$data['tag'].' style="color: ' . $data['title_color']. ';" class="title">'.$data['consultabtitle_content'].'</'.$data['tag'].'>';
					        	       $out .='
					        	        <'.$data['sub_tag'].' style="color: ' . $data['subtitle_color']. ';">'.$data['consultab_subtitle'].'</'.$data['sub_tag'].'>
					        	    </div>
		                            <div class="data2">';
		                                if(isset($data['years'])){
		                                $out .= '<span><i class="fa fa-calendar"></i>'.$data['years'].'</span>';
		                                }
		                                if(isset($data['location'])){
					        	        $out .= '<span><i class="fa fa-map-marker"></i>'.$data['location'].'</span>';
		                                }
		                            $out .= '</div>
					        	</div>';

	                            $consultab_boxlist = vc_param_group_parse_atts( $data['consultab_boxlist'] );

                                foreach ( $consultab_boxlist as $listdata ) {
                                	$out .= '
		                            <ul class="iq-contant">
		                                <li>'.$listdata['consultab_listtest'].'</li>
		                            </ul>';
	                            }

                            $out .= '
					        </div>

					    </div>';

                    }
				$out .= '    
				</div>

		  	</section>

		</div>

	</div>';	


	return $out;
	
}
add_shortcode('consultabtimeline', 'consultabtimeline');
