<?php
// Title
function consultabtitle( $atts, $content = null ) {

	extract( shortcode_atts( array(
		'extra_class'   => '',
		'text_white'	=> '1',
		'sub_text_white'	=> '1',
		'shadow_margin' 	=> '1',
		'consultab_subtitle_content'  => '',
		'consultabtitle_content'		=> '',
		'position'				=> 'left',
		'tag'		=> 'h2',
		'css' => '',
	), $atts ) );

	$css_class = '';

	if(!empty($css)){
		$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
		}

	$out ='';

	if($text_white == 1)
	{
		if($shadow_margin == 1)
		{
		$out .='<div class="title-box '.$extra_class.' text-'.$position.' '. esc_attr( $css_class ) .'">';
		}
		if($shadow_margin == 2)
		{
		$out .='<div class="title-box title-shadow '.$extra_class.' text-'.$position.' '. esc_attr( $css_class ) .'">';
		}
	}
	if($text_white == 2)
	{
		if($shadow_margin == 1)
		{
		$out .='<div class="title-box text-white '.$extra_class.' text-'.$position.' '. esc_attr( $css_class ) .'">';
		}
		if($shadow_margin == 2)
		{
		$out .='<div class="title-box text-white title-shadow '.$extra_class.' text-'.$position.' '. esc_attr( $css_class ) .'">';
		}
	}
	if($sub_text_white == 1)
	{
		if(!empty($consultab_subtitle_content))
		{
			$out .='<span class="title-design">'.$consultab_subtitle_content.'</span>';	
		}
		
	}
	if($sub_text_white == 2)
	{
		if(!empty($consultab_subtitle_content))
		{
			$out .='<span class="title-design sub-title">'.$consultab_subtitle_content.'</span>';
		}
		
	}
		if(!empty($consultabtitle_content))
		{
			$out .='<'.$tag.' class="title">'.$consultabtitle_content.'</'.$tag.'>';	
		}
		
	$out .='</div>';

	return $out;
}
add_shortcode('consultabtitle','consultabtitle');
