<?php
// Parallax Video
function consultabvideo( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'video_image'       => '',
		'video_image2'       => '',
		'video_yt_key'		=> '',
		'no_year' => '',
		'description' => '',
		'extra_class'	=> '',
		'css' => '',
	), $atts ) );

	$css_class = '';

	if(!empty($css)){
		$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
		}

	if(is_numeric($video_image)){
		$video_image = wp_get_attachment_url( $video_image );
	}
	if(is_numeric($video_image2)){
		$video_image2 = wp_get_attachment_url( $video_image2 );
	}
	$out = '';

		$out .= '<div class="scroll-effect '.$extra_class.' '. esc_attr( $css_class ) .'">';

				$out .= '<img src="'.$video_image.'" class="img-fluid img-one" alt="#">';
				if(!empty($no_year)){
				$out .= '<div class="year-box">
								<span>'.$no_year.'</span>
								<P class="mb-0">'.$description.'</p>
								</div>';
				}
				if(!empty($video_image2)){
					$out .= '<div class="main-video">';
						$out .= '<div class="video-img">';

							$out .= '<img src="'.$video_image2.'" class="img-fluid img-two" alt="#">';
							$out .= '<div class="consult-video video-btn">';
										$out .= '<div class="btn-waves">
											<div class="waves wave-1"></div>
											<div class="waves wave-2"></div>
											<div class="waves wave-3"></div>
										</div>';

								$out .= '<a href="'.esc_html($video_yt_key).'" class="iq-video popup-youtube"><i class="fa fa-play"></i></a>';
							$out .= '</div>';

						$out .= '</div>';
					$out .= '</div>';
				}
		$out .= '</div>';

	return $out;
}
add_shortcode('consultabvideo', 'consultabvideo');
