<?php
function consultab_display_header(){
$consultab_option = get_option('consultab_options');
if(!is_front_page()) {

	if ( ( ( is_page() && ! consultab_is_frontpage() ) ) && has_post_thumbnail( get_queried_object_id() ) ) 
	{
		$options= $consultab_option['bg_opacity']; 

		if($options == "1"){ $bg_class = esc_html__('iq-bg-over black','consultab'); } 
		elseif($options == "2"){ $bg_class = esc_html__('iq-bg-over iq-over-dark-80','consultab'); }
		elseif($options == "3"){ $bg_class = esc_html__('breadcrumb-bg breadcrumb-ui','consultab'); }
		else{ $bg_class = esc_html__('iq-bg-over iq-over-dark-80','consultab'); }
		?>
		<div class="text-left iq-consultab-bread bg-none <?php if(!empty($bg_class)) { echo esc_attr($bg_class); } ?>" style="background: url(<?php the_post_thumbnail_url(); ?>);">
	<?php
	}
	else {
			if(!empty($consultab_option['bg_type'] == "1"))
			{
				$bg_color = esc_html__('iq-bg-over black','consultab');
			}
			elseif(!empty($consultab_option['bg_type'] == "2"))
			{
				if(isset($consultab_option['banner_image']['url'])){
					$bgurl = $consultab_option['banner_image']['url'];
				}
			
				$options= $consultab_option['bg_opacity']; 

				if($options == "1"){ $bg_class = esc_html__('iq-bg-over black','consultab'); } 
				elseif($options == "2"){ $bg_class = esc_html__('iq-bg-over iq-over-dark-80','consultab'); }
				elseif($options == "3"){ $bg_class = esc_html__('breadcrumb-bg breadcrumb-ui','consultab'); }
				else{ $bg_class = esc_html__('iq-bg-over iq-over-dark-80','consultab'); }
			}
			elseif(!empty($consultab_option['bg_type'] == "3"))
			{			
				$options= $consultab_option['bg_opacity']; 

				if($options == "1"){ $bg_class = esc_html__('video-iq-bg-over','consultab'); } 
				elseif($options == "2"){ $bg_class = esc_html__('video-breadcrumb-bg breadcrumb-video','consultab'); }
				elseif($options == "3"){ $bg_class = esc_html__('video-breadcrumb-bg breadcrumb-video','consultab'); }
				else{ $bg_class = esc_html__('iq-bg-over iq-over-dark-80','consultab'); }
			}
			else
			{
				$bg_class = esc_html__('iq-bg-over iq-over-dark-80','consultab'); 
			}
			?>
<div class="text-left iq-consultab-bread bg-none <?php if(!empty($consultab_option['bg_type'] == "1")) { echo esc_attr($bg_color); } ?> <?php if(!empty($bg_class)) { echo esc_attr($bg_class); } ?>" 
	<?php if(!empty($bgurl)){ ?> style="background: url(<?php echo esc_url($bgurl); ?> );" <?php } ?>>
	<?php
	}
?>


	<?php
	if($consultab_option['bg_type'] == "3")
	{
		
		if($consultab_option['bg_video'] == "1")
		{ 
			if(isset($consultab_option['bg_youtube'])){ 
				$youtubeurl = $consultab_option['bg_youtube'];
			}
		?>
			<div id="video-background">
				<div class="video-wrapper">
					<iframe width="560" height="315" src="https://www.youtube.com/embed/<?php echo esc_url($youtubeurl); ?>?feature=oembed&playlist=0O2aH4XLbto&iv_load_policy=3&enablejsapi=1&disablekb=1&autoplay=1&controls=0&showinfo=0&rel=0&loop=1&wmode=transparent&mute=1&modestbranding=1" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe> 
				</div>
			</div>
		<?php
		}
		elseif($consultab_option['bg_video'] == "2")
		{ 
			if(isset($consultab_option['bg_video_link'])){ 
				$videourl = $consultab_option['bg_video_link'];
			}
		?>
			<video class="masthead-video" autoplay loop muted>
                <source src="<?php echo esc_url($videourl); ?>" type="video/mp4">
                <source src="<?php echo esc_url($videourl); ?>" type="video/webm">
            </video>
		<?php
		}
	}
	?>
	<div class="container">
		<?php
		$options= $consultab_option['bg_image']; 
		
		if($options == '1')
		{
		?>
		<div class="row align-items-center">
			<div class="col-sm-12">
				<nav aria-label="breadcrumb" class="text-center iq-breadcrumb-one iq-breadcrumb-two">
					<?php
					if(is_archive()){
					?>
					<h2 class="title"><?php the_archive_title();  ?></h2>
					<?php
					}
					elseif(is_search()){
					if ( have_posts() ) : ?>
					<h2 class="title"><?php printf( esc_html__( 'Search Results for: %s', 'consultab' ), '<span>' . get_search_query() . '</span>' ); ?></h2>
					
					<?php else : ?>
					<h2 class="title"><?php esc_html_e( 'Nothing Found', 'consultab' ); ?></h2>
					
					<?php endif;
					} elseif(is_404()){
					
					if(isset($consultab_option['consultab_fourzerofour_title'])){
					?>
					<h2 class="title"><?php $four_title =  $consultab_option['consultab_fourzerofour_title']; echo esc_html($four_title);  ?></h2>
					<?php
					} else{
					?>
					<h2 class="title"><?php esc_html_e( 'Oops! That page can not be found.', 'consultab' ); ?></h2>
					
					<?php }
					} elseif(is_home()){ ?>
					<h2 class="title"><?php esc_html_e( 'Blog', 'consultab' ); ?></h2>
					<?php }
					else { ?>
							<h2 class="title"><?php single_post_title(); ?></h2>
					<?php } ?>
					<?php
					if(isset($consultab_option['display_breadcrumbs']))
					{
					$options = $consultab_option['display_breadcrumbs'];
						if($options == "yes")
						{
						?>
						<ol class="breadcrumb main-bg">
							<?php echo consultab_custom_breadcrumbs(); ?>                         
						</ol>
						<?php 
						}
					}
					?>
				</nav>
			</div>
		</div>
		<?php }  elseif($options == '2')
		{
		?>
		<div class="row align-items-center">
			<div class="col-sm-12">
				<nav aria-label="breadcrumb" class="text-left iq-breadcrumb-one">
					<?php
					if(is_archive()){
					?>
					<h2 class="title"><?php the_archive_title();  ?></h2>
					<?php
					}
					elseif(is_search()){
					if ( have_posts() ) : ?>
					<h2 class="title"><?php printf( esc_html__( 'Search Results for: %s', 'consultab' ), '<span>' . get_search_query() . '</span>' ); ?></h2>
					
					<?php else : ?>
					<h2 class="title"><?php esc_html_e( 'Nothing Found', 'consultab' ); ?></h2>
					
					<?php endif;
					} elseif(is_404()){
					
					if(isset($consultab_option['consultab_fourzerofour_title'])){
					?>
					<h2 class="title"><?php $four_title =  $consultab_option['consultab_fourzerofour_title']; echo esc_html($four_title);  ?></h2>
					<?php
					} else{
					?>
					<h2 class="title"><?php esc_html_e( 'Oops! That page can not be found.', 'consultab' ); ?></h2>
					
					<?php }
					} elseif(is_home()){ ?>
					<h2 class="title"><?php esc_html_e( 'Blog', 'consultab' ); ?></h2>
					<?php }
					else { ?>
							<h2 class="title"><?php single_post_title(); ?></h2>
					<?php } ?>
					<?php
					if(isset($consultab_option['display_breadcrumbs']))
					{
					$options = $consultab_option['display_breadcrumbs'];
						if($options == "yes")
						{
					?>
					<ol class="breadcrumb main-bg">
						<?php echo consultab_custom_breadcrumbs(); ?>                         
					</ol>
					<?php 
						}
					}
					?>
				</nav>
			</div>
		</div>
		<?php }  elseif($options == '3')
		{
		?>
		<div class="row align-items-center">
			<div class="col-sm-12">
				<nav aria-label="breadcrumb" class="text-right iq-breadcrumb-one iq-breadcrumb-two">
					<?php
					if(is_archive()){
					?>
					<h2 class="title"><?php the_archive_title();  ?></h2>
					<?php
					}
					elseif(is_search()){
					if ( have_posts() ) : ?>
					<h2 class="title"><?php printf( esc_html__( 'Search Results for: %s', 'consultab' ), '<span>' . get_search_query() . '</span>' ); ?></h2>
					
					<?php else : ?>
					<h2 class="title"><?php esc_html_e( 'Nothing Found', 'consultab' ); ?></h2>
					
					<?php endif;
					} elseif(is_404()){
					
					if(isset($consultab_option['consultab_fourzerofour_title'])){
					?>
					<h2 class="title"><?php $four_title =  $consultab_option['consultab_fourzerofour_title']; echo esc_html($four_title);  ?></h2>
					<?php
					} else{
					?>
					<h2 class="title"><?php esc_html_e( 'Oops! That page can not be found.', 'consultab' ); ?></h2>
					
					<?php }
					} elseif(is_home()){ ?>
					<h2 class="title"><?php esc_html_e( 'Blog', 'consultab' ); ?></h2>
					<?php }
					else { ?>
							<h2 class="title"><?php single_post_title(); ?></h2>
					<?php } ?>
					<?php
					if(isset($consultab_option['display_breadcrumbs']))
					{
					$options = $consultab_option['display_breadcrumbs'];
						if($options == "yes")
						{
					?>
					<ol class="breadcrumb main-bg">
						<?php echo consultab_custom_breadcrumbs(); ?>                         
					</ol>
					<?php 
						}
					}
					?>
				</nav>
			</div>
		</div>
		<?php }  elseif($options == '4')
		{
		?>
		<div class="row align-items-center iq-breadcrumb-three">
			<div class="col-sm-6 mb-3 mb-lg-0 mb-md-0">
					<?php
					if(is_archive()){
					?>
					<h2 class="title text-white ext-lg-right text-md-right text-sm-left"><?php the_archive_title();  ?></h2>
					<?php
					}
					elseif(is_search()){
					if ( have_posts() ) : ?>
					<h2 class="title text-white"><?php printf( esc_html__( 'Search Results for: %s', 'consultab' ), '<span>' . get_search_query() . '</span>' ); ?></h2>
					
					<?php else : ?>
					<h2 class="title text-white"><?php esc_html_e( 'Nothing Found', 'consultab' ); ?></h2>
					
					<?php endif;
					} elseif(is_404()){
					
					if(isset($consultab_option['consultab_fourzerofour_title'])){
					?>
					<h2 class="title text-white"><?php $four_title =  $consultab_option['consultab_fourzerofour_title']; echo esc_html($four_title);  ?></h2>
					<?php
					} else{
					?>
					<h2 class="title text-white"><?php esc_html_e( 'Oops! That page can not be found.', 'consultab' ); ?></h2>
					
					<?php }
					} elseif(is_home()){ ?>
					<h2 class="title text-white"><?php esc_html_e( 'Blog', 'consultab' ); ?></h2>
					<?php }
					else { ?>
							<h2 class="title text-white"><?php single_post_title(); ?></h2>
					<?php } ?>
			</div>
			<div class="col-sm-6 ext-lg-right text-md-right text-sm-left">
				<nav aria-label="breadcrumb" class="iq-breadcrumb-one iq-breadcrumb-two">
					<?php
					if(isset($consultab_option['display_breadcrumbs']))
					{
					$options = $consultab_option['display_breadcrumbs'];
						if($options == "yes")
						{
					?>
					<ol class="breadcrumb main-bg">
						<?php echo consultab_custom_breadcrumbs(); ?>                         
					</ol>
					<?php 
						}
					}
					?>
				</nav>
			</div>
		</div>
		<?php }  elseif($options == '5')
		{
		?>
		<div class="row align-items-center iq-breadcrumb-three">
			<div class="col-sm-6 mb-3 mb-lg-0 mb-md-0">
				<nav aria-label="breadcrumb" class="text-left iq-breadcrumb-one iq-breadcrumb-two">
					<ol class="breadcrumb main-bg">
						<?php echo consultab_custom_breadcrumbs(); ?>                         
					</ol>
				</nav>
			</div>
			<div class="col-sm-6">
					<?php
					if(is_archive()){
					?>
					<h2 class="title text-white text-lg-right text-md-right text-sm-left"><?php the_archive_title();  ?></h2>
					<?php
					}
					elseif(is_search()){
					if ( have_posts() ) : ?>
					<h2 class="title text-white text-lg-right text-md-right text-sm-left"><?php printf( esc_html__( 'Search Results for: %s', 'consultab' ), '<span>' . get_search_query() . '</span>' ); ?></h2>
					
					<?php else : ?>
					<h2 class="title text-white text-lg-right text-md-right text-sm-left"><?php esc_html_e( 'Nothing Found', 'consultab' ); ?></h2>
					
					<?php endif;
					} elseif(is_404()){
					
					if(isset($consultab_option['consultab_fourzerofour_title'])){
					?>
					<h2 class="title text-white text-lg-right text-md-right text-sm-left"><?php $four_title =  $consultab_option['consultab_fourzerofour_title']; echo esc_html($four_title);  ?></h2>
					<?php
					} else{
					?>
					<h2 class="title text-white text-lg-right text-md-right text-sm-left"><?php esc_html_e( 'Oops! That page can not be found.', 'consultab' ); ?></h2>
					
					<?php }
					} elseif(is_home()){ ?>
					<h2 class="title text-white text-lg-right text-md-right text-sm-left"><?php esc_html_e( 'Blog', 'consultab' ); ?></h2>
					<?php }
					else { ?>
							<h2 class="title text-white text-lg-right text-md-right text-sm-left"><?php single_post_title(); ?></h2>
					<?php } ?>
			</div>
		</div>
		<?php } else
		{
		?>
		<div class="row align-items-center">
			<div class="col-sm-12">
				<nav aria-label="breadcrumb" class="text-left iq-breadcrumb-one">
					<?php
					if(is_archive()){
					?>
					<h2 class="title"><?php the_archive_title();  ?></h2>
					<?php
					}
					elseif(is_search()){
					if ( have_posts() ) : ?>
					<h2 class="title"><?php printf( esc_html__( 'Search Results for: %s', 'consultab' ), '<span>' . get_search_query() . '</span>' ); ?></h2>
					
					<?php else : ?>
					<h2 class="title"><?php esc_html_e( 'Nothing Found', 'consultab' ); ?></h2>
					
					<?php endif;
					} elseif(is_404()){
					
					if(isset($consultab_option['consultab_fourzerofour_title'])){
					?>
					<h2 class="title"><?php $four_title =  $consultab_option['consultab_fourzerofour_title']; echo esc_html($four_title);  ?></h2>
					<?php
					} else{
					?>
					<h2 class="title"><?php esc_html_e( 'Oops! That page can not be found.', 'consultab' ); ?></h2>
					
					<?php }
					} elseif(is_home()){ ?>
					<h2 class="title"><?php esc_html_e( 'Blog', 'consultab' ); ?></h2>
					<?php }
					else { ?>
							<h2 class="title"><?php single_post_title(); ?></h2>
					<?php } ?>
					<ol class="breadcrumb main-bg">
						<?php echo consultab_custom_breadcrumbs(); ?>                         
					</ol>
				</nav>
			</div>
		</div>
		<?php } ?>
		
		</div>
</div>

<?php
	}	
}
