<?php	
// Add custom side bar start from here
function consultab_right_widgets_init() {

	$consultab_option = get_option('consultab_options'); 

	$options= $consultab_option['footer_one'];
	$footer_one = '';
	if($options == "1"){ $footer_one = esc_html__('text-left','consultab'); } 
	if($options == "2"){ $footer_one = esc_html__('text-right','consultab'); }
	if($options == "3"){ $footer_one = esc_html__('text-center','consultab'); }
	register_sidebar( array(
		'name'          => esc_html__('Footer Area 1','consultab'),
		'class'         => 'nav-list',
		'id'            => 'footer_1_sidebar',
		'before_widget' => '<div class="widget '. esc_attr($footer_one).'">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="footer-title">',
		'after_title'   => '</h4>',
	) );

	$options= $consultab_option['footer_two'];
	$footer_two ='';
	if($options == "1"){ $footer_two = esc_html__('text-left','consultab'); } 
	if($options == "2"){ $footer_two = esc_html__('text-right','consultab'); }
	if($options == "3"){ $footer_two = esc_html__('text-center','consultab'); }
	register_sidebar( array(
		'name'          => esc_html__('Footer Area 2','consultab'),
		'class'         => 'nav-list',
		'id'            => 'footer_2_sidebar',
		'before_widget' => '<div class="widget '. esc_attr($footer_two).'">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="footer-title">',
		'after_title'   => '</h4>',
	) );
	
	$options= $consultab_option['footer_three'];
	$footer_three ='';
	if($options == "1"){ $footer_three = esc_html__('text-left','consultab'); } 
	if($options == "2"){ $footer_three = esc_html__('text-right','consultab'); }
	if($options == "3"){ $footer_three = esc_html__('text-center','consultab'); }
	register_sidebar( array(
		'name'          => esc_html__('Footer Area 3','consultab'),
		'class'         => 'nav-list',
		'id'            => 'footer_3_sidebar',
		'before_widget' => '<div class="widget '. esc_attr($footer_three).'">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="footer-title iq-rmt-30">',
		'after_title'   => '</h4>',
	) );
	
	$options= $consultab_option['footer_fore'];
	$footer_fore ='';
	if($options == "1"){ $footer_fore = esc_html__('text-left','consultab'); } 
	if($options == "2"){ $footer_fore = esc_html__('text-right','consultab'); }
	if($options == "3"){ $footer_fore = esc_html__('text-center','consultab'); }
	register_sidebar( array(
		'name'          => esc_html__('Footer Area 4','consultab'),
		'class'         => 'nav-list',
		'id'            => 'footer_4_sidebar',
		'before_widget' => '<div class="widget '. esc_attr($footer_fore).'">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="footer-title iq-rmt-30">',
		'after_title'   => '</h4>',
	) );
}
add_action( 'widgets_init', 'consultab_right_widgets_init' );
?>