<?php
function consultab_import_files() { 
    return array(

        array(
            'import_file_name'             => esc_html__('Demo 1','consultab'),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo/demo-1/consultab-content.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo/demo-1/consultab-widget.wie',
            'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/demo/demo-1/consultab-export.dat',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demo/demo-1/consultab_redux.json',
                    'option_name' => 'consultab_options',
                ),
            ),
            'import_preview_image_url'     => get_template_directory_uri().'/inc/demo/demo-1/preview_import_image1.jpg',
            'import_notice'                => esc_html__( 'After you import this demo, you will have to setup the slider separately.', 'consultab' ),
            'preview_url'                  => 'https://iqonicthemes.com/wp-themes/consultab/',
        ),

        array(
            'import_file_name'             => esc_html__('Demo 2','consultab'),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo/demo-2/consultab-content.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo/demo-2/consultab-widget.wie',
            'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/demo/demo-2/consultab-export.dat',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demo/demo-2/consultab_redux.json',
                    'option_name' => 'consultab_options',
                ),
            ),
            'import_preview_image_url'     => get_template_directory_uri().'/inc/demo/demo-2/preview_import_image2.jpg',
            'import_notice'                => esc_html__( 'A special note for this import.', 'consultab' ),
            'preview_url'                  => 'https://iqonic.design/wp-themes/consultab/home-two/',
        ),

        array(
            'import_file_name'             => esc_html__('Demo 3','consultab'),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo/demo-3/consultab-content.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo/demo-3/consultab-widget.wie',
            'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/demo/demo-3/consultab-export.dat',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demo/demo-3/consultab_redux.json',
                    'option_name' => 'consultab_options',
                ),
            ),
            'import_preview_image_url'     => get_template_directory_uri().'/inc/demo/demo-3/preview_import_image3.jpg',
            'import_notice'                => esc_html__( 'A special note for this import.', 'consultab' ),
            'preview_url'                  => 'https://iqonic.design/wp-themes/consultab/consultab3/',
        ),  

        array(
            'import_file_name'             => esc_html__('Demo 4','consultab'),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo/demo-4/consultab-content.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo/demo-4/consultab-widget.wie',
            'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/demo/demo-4/consultab-export.dat',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demo/demo-4/consultab_redux.json',
                    'option_name' => 'consultab_options',
                ),
            ),
            'import_preview_image_url'     => get_template_directory_uri().'/inc/demo/demo-4/preview_import_image4.jpg',
            'import_notice'                => esc_html__( 'A special note for this import.', 'consultab' ),
            'preview_url'                  => 'https://iqonic.design/wp-themes/consultab/consultab4/',
        ),

        array(
            'import_file_name'             => esc_html__('Demo 5','consultab'),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo/demo-5/consultab-content.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo/demo-5/consultab-widget.wie',
            'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/demo/demo-5/consultab-export.dat',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demo/demo-5/consultab_redux.json',
                    'option_name' => 'consultab_options',
                ),
            ),
            'import_preview_image_url'     => get_template_directory_uri().'/inc/demo/demo-5/preview_import_image5.jpg',
            'import_notice'                => esc_html__( 'A special note for this import.', 'consultab' ),
            'preview_url'                  => 'https://iqonic.design/wp-themes/consultab/consultab2/law/',
        ),

        array(
            'import_file_name'             => esc_html__('Demo 6','consultab'),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo/demo-6/consultab-content.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo/demo-6/consultab-widget.wie',
            'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/demo/demo-6/consultab-export.dat',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demo/demo-6/consultab_redux.json',
                    'option_name' => 'consultab_options',
                ),
            ),
            'import_preview_image_url'     => get_template_directory_uri().'/inc/demo/demo-6/preview_import_image6.jpg',
            'import_notice'                => esc_html__( 'A special note for this import.', 'consultab' ),
            'preview_url'                  => 'https://iqonic.design/wp-themes/consultab/consultab4/freelancers/',
        ),

        array(
            'import_file_name'             => esc_html__('Demo 7','consultab'),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo/demo-7/consultab-content.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo/demo-7/consultab-widget.wie',
            'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/demo/demo-7/consultab-export.dat',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demo/demo-7/consultab_redux.json',
                    'option_name' => 'consultab_options',
                ),
            ),
            'import_preview_image_url'     => get_template_directory_uri().'/inc/demo/demo-7/preview_import_image7.jpg',
            'import_notice'                => esc_html__( 'A special note for this import.', 'consultab' ),
            'preview_url'                  => 'https://iqonic.design/wp-themes/consultab/consultab5/',
        ),

        array(
            'import_file_name'             => esc_html__('Demo 8','consultab'),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo/demo-8/consultab-content.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo/demo-8/consultab-widget.wie',
            'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/demo/demo-8/consultab-export.dat',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demo/demo-8/consultab_redux.json',
                    'option_name' => 'consultab_options',
                ),
            ),
            'import_preview_image_url'     => get_template_directory_uri().'/inc/demo/demo-8/preview_import_image8.jpg',
            'import_notice'                => esc_html__( 'A special note for this import.', 'consultab' ),
            'preview_url'                  => 'https://iqonic.design/wp-themes/consultab/consultab4/leadership/',
        ),

        array(
            'import_file_name'             => esc_html__('Demo 9','consultab'),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo/demo-9/consultab-content.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo/demo-9/consultab-widget.wie',
            'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/demo/demo-9/consultab-export.dat',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demo/demo-9/consultab_redux.json',
                    'option_name' => 'consultab_options',
                ),
            ),
            'import_preview_image_url'     => get_template_directory_uri().'/inc/demo/demo-9/preview_import_image9.jpg',
            'import_notice'                => esc_html__( 'A special note for this import.', 'consultab' ),
            'preview_url'                  => 'https://iqonic.design/wp-themes/consultab/environment/',
        ),

        array(
            'import_file_name'             => esc_html__('Demo 10','consultab'),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo/demo-10/consultab-content.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo/demo-10/consultab-widget.wie',
            'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/demo/demo-10/consultab-export.dat',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demo/demo-10/consultab_redux.json',
                    'option_name' => 'consultab_options',
                ),
            ),
            'import_preview_image_url'     => get_template_directory_uri().'/inc/demo/demo-10/preview_import_image10.jpg',
            'import_notice'                => esc_html__( 'A special note for this import.', 'consultab' ),
            'preview_url'                  => 'https://iqonic.design/wp-themes/consultab/loan/',
        ),


    );
}
add_filter( 'pt-ocdi/import_files', 'consultab_import_files' );

function consultab_after_import_setup($selected_import) {
    

    // Assign menus to their locations.
    $locations = get_theme_mod( 'nav_menu_locations' ); // registered menu locations in theme
    $menus = wp_get_nav_menus(); // registered menus
    
    if($menus) {				
        foreach($menus as $menu) { // assign menus to theme locations
            
            if( $menu->name == 'Main Menu' ) {
                $locations['top'] = $menu->term_id;
            }	
            
            if( $menu->name == 'footer-menu' ) {
                $locations['social'] = $menu->term_id;
            }
        }
    }
    set_theme_mod( 'nav_menu_locations', $locations ); // set menus to locations 

            if ( 'Demo 1' === $selected_import['import_file_name'] ) {
    
                // Assign front page and posts page (blog page).
                 $front_page_id = get_page_by_title( 'Home' );
                 $blog_page_id  = get_page_by_title( 'Blog' );

                
                update_option( 'show_on_front', 'page' );
                update_option( 'page_on_front', $front_page_id->ID );
                update_option( 'page_for_posts', $blog_page_id->ID );

            }elseif ( 'Demo 2' === $selected_import['import_file_name'] ) {
                //Same codes as above for the demo 2
                $front_page_id = get_page_by_title( 'Home 2' );
                $blog_page_id  = get_page_by_title( 'Blog' );
            
                update_option( 'show_on_front', 'page' );
                update_option( 'page_on_front', $front_page_id->ID );
                update_option( 'page_for_posts', $blog_page_id->ID );

            }elseif ( 'Demo 3' === $selected_import['import_file_name'] ) {
                
                $front_page_id = get_page_by_title( 'Home 3' );
                $blog_page_id  = get_page_by_title( 'Blog' );
            
                update_option( 'show_on_front', 'page' );
                update_option( 'page_on_front', $front_page_id->ID );
                update_option( 'page_for_posts', $blog_page_id->ID );

            }elseif ( 'Demo 4' === $selected_import['import_file_name'] ) {
                
                $front_page_id = get_page_by_title( 'Home 4' );
                $blog_page_id  = get_page_by_title( 'Blog' );
            
                update_option( 'show_on_front', 'page' );
                update_option( 'page_on_front', $front_page_id->ID );
                update_option( 'page_for_posts', $blog_page_id->ID );

            }elseif ( 'Demo 5' === $selected_import['import_file_name'] ) {
                
                $front_page_id = get_page_by_title( 'Law' );
                $blog_page_id  = get_page_by_title( 'Blog' );
            
                update_option( 'show_on_front', 'page' );
                update_option( 'page_on_front', $front_page_id->ID );
                update_option( 'page_for_posts', $blog_page_id->ID );

            }elseif ( 'Demo 6' === $selected_import['import_file_name'] ) {
            
                $front_page_id = get_page_by_title( 'Freelancers' );
                $blog_page_id  = get_page_by_title( 'Blog' );
            
                update_option( 'show_on_front', 'page' );
                update_option( 'page_on_front', $front_page_id->ID );
                update_option( 'page_for_posts', $blog_page_id->ID );

            }
            elseif ( 'Demo 7' === $selected_import['import_file_name'] ) {
            
                $front_page_id = get_page_by_title( 'Home 7' );
                $blog_page_id  = get_page_by_title( 'Blog' );
            
                update_option( 'show_on_front', 'page' );
                update_option( 'page_on_front', $front_page_id->ID );
                update_option( 'page_for_posts', $blog_page_id->ID );

            }
            elseif ( 'Demo 8' === $selected_import['import_file_name'] ) {
            
                $front_page_id = get_page_by_title( 'Leadership' );
                $blog_page_id  = get_page_by_title( 'Blog' );
            
                update_option( 'show_on_front', 'page' );
                update_option( 'page_on_front', $front_page_id->ID );
                update_option( 'page_for_posts', $blog_page_id->ID );

            }
            elseif ( 'Demo 9' === $selected_import['import_file_name'] ) {
            
                $front_page_id = get_page_by_title( 'Environment' );
                $blog_page_id  = get_page_by_title( 'Blog' );
            
                update_option( 'show_on_front', 'page' );
                update_option( 'page_on_front', $front_page_id->ID );
                update_option( 'page_for_posts', $blog_page_id->ID );

            }
            elseif ( 'Demo 10' === $selected_import['import_file_name'] ) {
            
                $front_page_id = get_page_by_title( 'Loan' );
                $blog_page_id  = get_page_by_title( 'Blog' );
            
                update_option( 'show_on_front', 'page' );
                update_option( 'page_on_front', $front_page_id->ID );
                update_option( 'page_for_posts', $blog_page_id->ID );

            }                 
                
             //Import Revolution Slider
                if ( class_exists( 'RevSlider' ) ) {
                    $slider_array = array(
                        get_template_directory()."/inc/demo/slider/consultab1.zip",
                        get_template_directory()."/inc/demo/slider/consultab4.zip",
                        get_template_directory()."/inc/demo/slider/consultab-3.zip",
                        get_template_directory()."/inc/demo/slider/consultab-environment.zip",
                        get_template_directory()."/inc/demo/slider/consultab-financial.zip",
                        get_template_directory()."/inc/demo/slider/consultab-home.zip",
                        get_template_directory()."/inc/demo/slider/consultab-financial.zip",
                        get_template_directory()."/inc/demo/slider/Freelancers.zip",
                        get_template_directory()."/inc/demo/slider/law-consultab.zip",
                        get_template_directory()."/inc/demo/slider/leadership-consultab.zip",
                        get_template_directory()."/inc/demo/slider/loan-consultab.zip",
                    );

                    $slider = new RevSlider();

                    foreach($slider_array as $filepath){
                    $slider->importSliderFromPost(true,true,$filepath);  
                    }
                }


    // remove default post
    wp_delete_post(1);

}
add_action( 'pt-ocdi/after_import', 'consultab_after_import_setup' );
?>