<?php
/*
 * Additional Code Options
 */
$opt_name;
Redux::setSection( $opt_name, array(
    'title' => __( 'Additional Code', 'consultab' ),
    'id'    => 'additional-Code',
    'icon'  => 'el el-css',    
    'fields'=> array(

        array(
            'id'       => 'consultab_css_code',
            'type'     => 'ace_editor',
            'title'    => esc_html__('CSS Code','consultab'),
            'subtitle' => esc_html__('Paste your css code here.','consultab'),
            'mode'     => 'css',
            'desc'     => esc_html__('Paste your custom CSS code here.','consultab'),
            'default'  => ""
        ),

        array(
            'id'       => 'consultab_js_code',
            'type'     => 'ace_editor',
            'title'    => esc_html__('JS Code','consultab'),
            'subtitle' => esc_html__('Paste your js code in footer.','consultab'),
            'mode'     => 'javascript',
            'theme'   => 'chrome',
            'desc'     => esc_html__('Paste your custom JS code here.','consultab'),
            'default' => "jQuery(document).ready(function($){\n\n});"
        ),

    )
));
