<?php
/*
 * blog Options
 */
$opt_name;
Redux::setSection( $opt_name, array(
    'title' => esc_html__( 'Portfolio', 'consultab' ),
    'id'    => 'portfolio-editor',
    'icon'  => 'el el-th',
    'customizer_width' => '500px',
    'fields'           => array(

        array(
            'id'        => 'portfolio_variation',
            'type'      => 'image_select',
            'title'     => esc_html__( 'Page Variation Type','consultab' ),
            'subtitle'  => wp_kses( __( '<br>Choose among these structures (left sidebar, right sidebar and full width) for your pages.<br>To filling these column sections you should go to appearance > widget.<br>And put every widget that you want in these sections.','consultab' ), array( 'br' => array() ) ),            
            'options'   => array(
                                '1' => array( 'title' => esc_html__( 'single Blog Layout 1','consultab' ), 'img' => get_template_directory_uri() . '/assets/images/backend/right-side.jpg' ),
                                '2' => array( 'title' => esc_html__( 'single Blog Layout 2','consultab' ), 'img' => get_template_directory_uri() . '/assets/images/backend/left-side.jpg' ),
                                '3' => array( 'title' => esc_html__( 'single Blog Layout 3','consultab' ), 'img' => get_template_directory_uri() . '/assets/images/backend/single-column.jpg' ),
                            ),
            'default'   => '3',
        ),

        array(
            'id'        => 'portfolio_top',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Display Portfolio Detail Top','consultab'),
            'subtitle' => esc_html__( 'Display Portfolio Detail Top on single Portfolio Page', 'consultab' ),
            'options'   => array(
                            'yes' => esc_html__('Yes','consultab'),
                            'no' => esc_html__('No','consultab')
                        ),
            'default'   => esc_html__('yes','consultab')
        ),

        array(
            'id'       => 'portfolio_sub_title',
            'type'     => 'text',
            'title'    => esc_html__( 'Portfolio Detail Page Title', 'consultab' ),
            'subtitle' => esc_html__( 'Change Title On Portfolio Detail page', 'consultab' ),
            'default'  => esc_html__('We work with you to address your most critical business priorities.','consultab'),
        ),

        array(
            'id'       => 'portfolio_title_desc',
            'type'     => 'editor',
            'title'    => esc_html__( 'Portfolio Detail Page Description', 'consultab' ),
            'subtitle' => esc_html__( 'Change Title On Portfolio Detail page', 'consultab' ),
            'default'  => esc_html__('There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don’t look even slightly believable.','consultab'),
        ),

    )
) );
?>