<?php
Redux::setSection( $opt_name, array(
    'title'      => esc_html__( 'Post Sharing', 'consultab' ),
    'id'         => 'sharing',
    'icon'       => 'el el-share-alt',
    'fields'     => array(

            array(
                'id'        => 'display_social_share',
                'type'      => 'button_set',
                'title'     => esc_html__( 'Share','consultab'),
                'subtitle' => esc_html__( 'Turn on to display social sharing option on singal blog page.','consultab'),
                'options'   => array(
                                'yes' => esc_html__('On','consultab'),
                                'no' => esc_html__('Off','consultab')
                            ),
                'default'   => esc_html__('no','consultab')
            ),

            array(
                'id'        => 'social_share_title',
                'type'      => 'text',
                'title'     => esc_html__( 'Title(Shar This Post)','consultab'),
                'required'  => array( 'display_social_share', '=', 'yes' ),
                'default'   => 'Shar This Post',
                'desc'   => esc_html__('Change Title (e.g.Shar This Post).','consultab'),
            ),

            array(
                'id'        => 'fb_shar',
                'type'      => 'button_set',
                'title'     => esc_html__( 'Facebook','consultab'),
                'subtitle' => esc_html__( 'Shar post with facebook.','consultab'),
                'required'  => array( 'display_social_share', '=', 'yes' ),
                'options'   => array(
                                'yes' => esc_html__('On','consultab'),
                                'no' => esc_html__('Off','consultab')
                            ),
                'default'   => esc_html__('yes','consultab')
            ),

            array(
                'id'        => 'twitter_shar',
                'type'      => 'button_set',
                'title'     => esc_html__( 'Twitter','consultab'),
                'subtitle' => esc_html__( 'Shar post with twitter.','consultab'),
                'required'  => array( 'display_social_share', '=', 'yes' ),
                'options'   => array(
                                'yes' => esc_html__('On','consultab'),
                                'no' => esc_html__('Off','consultab')
                            ),
                'default'   => esc_html__('yes','consultab')
            ),

            array(
                'id'        => 'google_shar',
                'type'      => 'button_set',
                'title'     => esc_html__( 'Google','consultab'),
                'subtitle' => esc_html__( 'Shar post with google-plus.','consultab'),
                'required'  => array( 'display_social_share', '=', 'yes' ),
                'options'   => array(
                                'yes' => esc_html__('On','consultab'),
                                'no' => esc_html__('Off','consultab')
                            ),
                'default'   => esc_html__('yes','consultab')
            ),

            array(
                'id'        => 'linkedin_shar',
                'type'      => 'button_set',
                'title'     => esc_html__( 'Linkedin','consultab'),
                'subtitle' => esc_html__( 'Shar post with linkedin.','consultab'),
                'required'  => array( 'display_social_share', '=', 'yes' ),
                'options'   => array(
                                'yes' => esc_html__('On','consultab'),
                                'no' => esc_html__('Off','consultab')
                            ),
                'default'   => esc_html__('yes','consultab')
            ),

            array(
                'id'        => 'pinterest_shar',
                'type'      => 'button_set',
                'title'     => esc_html__( 'Pinterest','consultab'),
                'subtitle' => esc_html__( 'Shar post with pinterest.','consultab'),
                'required'  => array( 'display_social_share', '=', 'yes' ),
                'options'   => array(
                                'yes' => esc_html__('On','consultab'),
                                'no' => esc_html__('Off','consultab')
                            ),
                'default'   => esc_html__('yes','consultab')
            ),

        )) 
    );
?>