<?php
// Button
vc_map( array(
		"name" 			=> esc_html__('Button','consultab'),
		"base" 			=> 'consultabButton',
		"description" 	=> esc_html__('Consultab Button','consultab'),
		"category" 		=> esc_html__( 'Consultab Shortcodes','consultab'),
		"icon" 			=> "icon-wpb-consultabtitle",
        "params" => array(
		            
				array(
				"heading" 		=> esc_html__( 'Button Name','consultab' ),
				"description" 	=> esc_html__( "Enter the Button Name",'consultab'),
				"type" 			=> "textfield",
				"param_name" 	=> "title",
				),
				
				array(
				"heading" 		=> esc_html__( "Button URL",'consultab' ),
				"description" 	=> esc_html__( "Enter the Button URL",'consultab'),
				"type" 			=> "textfield",
				"param_name" 	=> "url",
				),

				array(
					"type" => "dropdown",
					"class" => "",
					"heading" =>  esc_html__('Select Button Position','consultab'),
					"param_name" => "button_position",
					'edit_field_class' => 'vc_col-xs-6',
					"value" => array(
								"Left" =>  'left',
								"Center" => 'center',
								"Right" => 'right',
							),
					
				),

				array(
				"heading"       => esc_html__( "Button White",'consultab' ),
				"type"          => "dropdown",
				"param_name"    => "button_white",
				'edit_field_class' => 'vc_col-xs-6',
				"value"         => array(
						"Default"    => '1',
						"Button-White" => '2',
					   ),
				),

				array(
					'type'        => 'textfield',
					'heading'     => esc_html__( 'Extra class name','consultab' ),
					'param_name'  => 'extra_class',
					'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' ),
					'group' => esc_html__( 'Extra class', 'consultab' ),
				),

				array(
					'type' => 'css_editor',
					'heading' => __( 'Css', 'consultab' ),
					'param_name' => 'css',
					'group' => __( 'Design options', 'consultab' ),
				),


        ),
    ) 
);
