<?php
// Fancy Clients
vc_map(
	array(
		"name" 			=> esc_html__('Fancy Client','consultab'),
		"base" 			=> 'consultabfancyclient',
		"description" 	=> esc_html__( 'Display Client Logo', 'consultab'),
		"category" 		=> esc_html__( 'Consultab Shortcodes', 'consultab' ),
		"icon" 			=> "icon-consultabclient",
		"params" => array(

		   
			array(
				"type"        => "attach_images",
				"heading"     => esc_html__('Client Logo Images', 'consultab'),
				"param_name"  => "images",
				"value"       => "",
				"description" => esc_html__("Select logo from media library.", "consultab")
			),
			
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name','consultab' ),
				'param_name'  => 'extra_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' ),
				'group' => esc_html__( 'Extra class', 'consultab' ),
			),

			array(
				'type' => 'css_editor',
				'heading' => __( 'Css', 'consultab' ),
				'param_name' => 'css',
				'group' => __( 'Design options', 'consultab' ),
			),
			
		),
	) 
);
