<?php
// List FAQ
vc_map(
	array(
		"name" 			=> esc_html__( 'List FAQ','consultab' ),
		"base" 			=> 'consultablistFAQ',
		"description" 	=> esc_html__( 'Consultab List FAQ', 'consultab'),
		"category" 		=> esc_html__( 'Consultab Shortcodes', 'consultab' ),
		"icon" 			=> "icon-wpb-listfaq",
		"params" => array(
		
			array(
			'heading'		=> esc_html__( 'Add Frequently Asked Questions', 'consultab' ),
			'description'	=> esc_html__( 'Enter Title and Number out of 100', 'consultab' ),
			'type'			=> 'param_group',
			'param_name'	=> 'faqlist',
			'params' => array(

					array(
						'heading'		=> esc_html__( 'Title', 'consultab' ),
						'type'			=> 'textfield',
						'param_name'	=> 'title',
						'admin_label'	=> true,
						'value'         => 'Ipsum is simply dummy the printing?',
						
					),
					
					array(
						'heading'		=> esc_html__( 'Description', 'consultab' ),
						'type'			=> 'textarea',
						'param_name'	=> 'description',
						'value'         => 'It has survived not only five centuries, but also the leap into electronic typesetting. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur.',	
					),
															    
                ),
			),

			array( 
                "type" => "checkbox",
                "holder" => "div",
                "admin_label" => true,
                "heading" => esc_html__( "Background Hide", "consultab" ),
                "edit_field_class" => "vc_col-xs-4",
                "param_name" => "background_hide",
                "value"       => array(
                    "disable" => "0",
                ),                     
                "description" => "If selected, icon will disable.",
            ),

			array(
				"type"        => "textfield",
				"heading"     => esc_html__( "Extra class name","consultab" ),
				"param_name"  => "extra_class",
				"description" => esc_html__( "If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.","consultab" ),
				"group" => esc_html__( "Extra class", "consultab" ),
			),

			array(
				"type" => "css_editor",
				"heading" => esc_html__( "Css", "consultab" ),
				"param_name" => "css",
				"group" => esc_html__( "Design options", "consultab" ),
			),
		
		),
	)
);
