<?php
// Recent Blog
$categories = get_categories();
$cat = array();
$cat["All"] = 0;
foreach($categories as $category) {
	
   $cat[$category->name] = $category->term_id;
}
vc_map( array(
        'name' 			=> esc_html__('Recent Blog', 'consultab'),
        'base' 			=> 'consultarecentbblog',
		'description' 	=> esc_html__( 'Recent Blog', 'consultab'),
        'category' 		=> esc_html__( 'Consultab Shortcodes', 'consultab' ),
        'icon' 			=> 'consultab_recentblog',
		'params' => array(

			array( 
                'type' => 'checkbox',
                'holder' => 'div',
                'admin_label' => true,
                'heading' => __( 'Disable Hover Effect', 'consultab' ),
                'edit_field_class' => 'vc_col-xs-6',
                'param_name' => 'disble_effect',
                "value"       => array(
                    "disable" => '0',
                ),                     
                'description' => 'If selected, hover effect will disable.',
            ),

			array(
				"type" 			=> "heading",
				"heading" 		=> esc_html__('Number of Post :', 'consultab' ),
				'group' => esc_html__( 'Post Setting', 'consultab' ),
				 "param_name" 	=> "heading",
			 ),

			array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Desktop view', 'consultab' ),
				 "param_name" 	=> "desk_number",
				 'edit_field_class' => 'vc_col-xs-3',
				 'group' => esc_html__( 'Post Setting', 'consultab' ),
				 "description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' ),
			 ),
			 array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Laptop view', 'consultab' ),
				 "param_name" 	=> "lap_number",
				 'edit_field_class' => 'vc_col-xs-3',
				 'group' => esc_html__( 'Post Setting', 'consultab' ),
				"description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' ),
			 ),
			 array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Tablet view', 'consultab' ),
				"param_name" 	=> "tab_number",
				'edit_field_class' => 'vc_col-xs-3',
				'group' => esc_html__( 'Post Setting', 'consultab' ),
				"description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' ),
			 ),
			 array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Mobile view', 'consultab' ),
				"param_name" 	=> "mob_number",
				'edit_field_class' => 'vc_col-xs-3',
				'group' => esc_html__( 'Post Setting', 'consultab' ),
				"description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' ),
			 ),

			array(
				"type" 			=> "dropdown",
				"heading" 		=> esc_html__( "Arrow", 'consultab' ),
				"param_name" 	=> "arrow",
				'group' => esc_html__( 'Post Setting', 'consultab' ),
				"value" 		=> array(
								  "True"    => 'true',
								  "False"   => 'false',
							  ),
			),
			array(
						"type" 			=> "dropdown",
						"heading" 		=> esc_html__( "Dots", 'consultab' ),
						"param_name" 	=> "dots",
						'group' => esc_html__( 'Post Setting', 'consultab' ),
						"value" 		=> array(
										"False"   => 'false',
										"True"    => 'true',
									),
				),

			array(
				"type" 			=> "dropdown",
				"heading" 		=> esc_html__( "Autoplay", 'consultab' ),
				"param_name" 	=> "auto",
				'group' => esc_html__( 'Post Setting', 'consultab' ),
				"value" 		=> array(
										"True"    => 'true',
										"False"   => 'false',
									),
			),	

			array(
				"type" 			=> "dropdown",
				"heading" 		=> esc_html__( "Loop", 'consultab' ),
				"param_name" 	=> "loop",
				'group' => esc_html__( 'Post Setting', 'consultab' ),
				"value" 		=> array(
								  "True"    => 'true',
								  "False"   => 'false',
							  ),
		    ),

			array(
			   "type" 			=> "dropdown",
			   "heading" 		=> esc_html__("Order By", 'consultab'),
			   "param_name" 	=> "sort",
			   'group' => esc_html__( 'Post Setting', 'consultab' ),
			   'value' 			=> array_flip( array('date' => esc_html__('Date', 'consultab'),'title' => esc_html__('Title', 'consultab') ,'name' => esc_html__('Name', 'consultab') ,'author' => esc_html__('Author', 'consultab'),'comment_count' => esc_html__('Comment Count', 'consultab'),'random' => esc_html__('Random', 'consultab') ) ),
			   "description" 	=> esc_html__("Enter the sorting order.", 'consultab')
			),

			 array(
				"type" 			=> "dropdown",
				"heading" 		=> esc_html__( "Category", "xamin" ),
				"param_name" 	=> "category",
				"group" => esc_html__( "Post Setting", "xamin" ),				
				"value" 		=> $cat,
			),	

			  array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Number Of Post', 'consultab' ),
				 "param_name" 	=> "posts_per_page",
				 'edit_field_class' => 'vc_col-xs-8',
				 "group" => esc_html__( "Post Setting", "consultab" ),
				"description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' ),
				
			 ),

			array(
			   "type" 			=> "dropdown",
			   "heading" 		=> esc_html__("Order", 'consultab'),
			   "param_name" 	=> "order",
			   'group' => esc_html__( 'Post Setting', 'consultab' ),
			   'value' 			=> array_flip(array('DESC' => esc_html__('Descending', 'consultab'),'ASC' => esc_html__('Ascending', 'consultab') ) ),
			),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name','consultab' ),
				'param_name'  => 'extra_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' ),
				'group' => esc_html__( 'Extra class', 'consultab' ),
			),

			array(
				'type' => 'css_editor',
				'heading' => __( 'Css', 'consultab' ),
				'param_name' => 'css',
				'group' => __( 'Design options', 'consultab' ),
			),

		)
    )
);
