<?php
// Testimonial
vc_map( array(
		"name" 			=> esc_html__("Testimonial", "consultab"),
		"base" 			=> "consultabblogtestimonial",
		"description" 	=> esc_html__( "Recent Testimonial", "consultab"),
		"category" 		=> esc_html__( "Consultab Shortcodes", "consultab" ),
		"icon" 			=> "consultab_recentblog",
		"params" => array(

			array(
				"heading" 		=> esc_html__( "Select Style","consultab" ),
				"description" 	=> esc_html__( "Select Style of the Testimonial.","consultab"),
				"type" 			=> "dropdown",
				"param_name" 	=> "style_type",
				"value" 		=> array(
										"Style 1" => "1",
										"Style 2" => "2",
									),
			),

			array(
				"heading" 		=> esc_html__( "Slider Style","consultab" ),
				"description" 	=> esc_html__( "Select Style of the Testimonial Slider Style.","consultab"),
				"type" 			=> "dropdown",
				"param_name" 	=> "slider_style_type",
				"dependency" => array(
					"element" => "style_type",
					"value" => "2",
				),
				"value" 		=> array(
					"Default" => "default",
					"Profile" => "profile",
					"Financial" => "financial",
				),
			),
			 
			array(
				"type" 			=> "dropdown",
				"heading" 		=> esc_html__( "Select Position", "consultab" ),
				"param_name" 	=> "text_pos",		
				"value" 		=> array(
								  "Left"    => "left",
								  "Center"   => "center",
								  "Right"   => "right",
				),
			),

			array(
			    "type" 			=> "textfield",
			    "heading" 		=> esc_html__("Desktop view", "consultab" ),
			    "param_name" 	=> "desk_number",
			    "edit_field_class" => "vc_col-xs-3",				
				"description" 	=> esc_html__("Enter Number of post to Show.", "consultab" ),
				"group" => esc_html__( "Post Setting", "consultab" ),
				"dependency" => array(
					"element" => "style_type",
					"value" => "2",
				),
			),
			array(
			   "type" 			=> "textfield",
			   "heading" 		=> esc_html__("Laptop view", "consultab" ),
				"param_name" 	=> "lap_number",
				"edit_field_class" => "vc_col-xs-3",				
				"description" 	=> esc_html__("Enter Number of post to Show.", "consultab" ),
				"group" => esc_html__( "Post Setting", "consultab" ),
				"dependency" => array(
					"element" => "style_type",
					"value" => "2",
				),
			),
			array(
			   "type" 			=> "textfield",
			   "heading" 		=> esc_html__("Tablet view", "consultab" ),
				"param_name" 	=> "tab_number",
				"edit_field_class" => "vc_col-xs-3",				
				"description" 	=> esc_html__("Enter Number of post to Show.", "consultab" ),
				"group" => esc_html__( "Post Setting", "consultab" ),
				"dependency" => array(
					"element" => "style_type",
					"value" => "2",
				),
			),
			array(
			   "type" 			=> "textfield",
			   "heading" 		=> esc_html__("Mobile view", "consultab" ),
			   "param_name" 	=> "mob_number",
			   "edit_field_class" => "vc_col-xs-3",				
				"description" 	=> esc_html__("Enter Number of post to Show.", "consultab" ),
				"group" => esc_html__( "Post Setting", "consultab" ),
				"dependency" => array(
					"element" => "style_type",
					"value" => "2",
				),
			),				

			array(
			   "type" 			=> "dropdown",
			   "heading" 		=> esc_html__("Order By", "consultab"),
			   "param_name" 	=> "sort",
			   "value" 			=> array_flip( array("date" => esc_html__("Date", "consultab"),"title" => esc_html__("Title", "consultab") ) ),			   			
				"description" 	=> esc_html__("Enter the sorting order.", "consultab"),
				"group" => esc_html__( "Post Setting", "consultab" ),
				"dependency" => array(
					"element" => "style_type",
					"value" => "2",
				),
			),

			array(
			   "type" 			=> "dropdown",
			   "heading" 		=> esc_html__("Order", "consultab"),
			   "param_name" 	=> "order",
			   "value" 			=> array_flip(array("DESC" => esc_html__("Descending", "consultab"), "ASC" => esc_html__("Ascending", "consultab") ) ),			   			
				"description" 	=> esc_html__("Enter the sorting order.", "consultab"),
				"group" => esc_html__( "Post Setting", "consultab" ),
				"dependency" => array(
					"element" => "style_type",
					"value" => "2",
				),
			),
			array(
                "type" 			=> "dropdown",
					 "heading" 		=> esc_html__( "Arrow", "consultab" ),
					 "group" => esc_html__( "Post Setting", "consultab" ),
                "param_name" 	=> "arrow",               
                "value" 		=> array(
										"True"    => "true",
										"False"   => "false",
									),
					"dependency" => array(
						"element" => "style_type",
						"value" => "2",
					),
			),
			array(
                "type" 			=> "dropdown",
					 "heading" 		=> esc_html__( "Dots", "consultab" ),
					 "group" => esc_html__( "Post Setting", "consultab" ),
                "param_name" 	=> "dots",                
                "value" 		=> array(
										"False"   => "false",
										"True"    => "true",
									),
					"dependency" => array(
						"element" => "style_type",
						"value" => "2",
					),
				),
			array(
				"type" 			=> "dropdown",
				"heading" 		=> esc_html__( "Autoplay", "consultab" ),
				"group" => esc_html__( "Post Setting", "consultab" ),
				"param_name" 	=> "auto",				
				"value" 		=> array(
						  "True"    => "true",
						  "False"   => "false",
				 ),
				 "dependency" => array(
					"element" => "style_type",
					"value" => "2",
				),
		    ),
		    array(
				"type" 			=> "dropdown",
				"heading" 		=> esc_html__( "Loop", "consultab" ),
				"group" => esc_html__( "Post Setting", "consultab" ),
				"param_name" 	=> "loop",				
				"value" 		=> array(
								  "True"    => "true",
								  "False"   => "false",
							  ),
				"dependency" => array(
					"element" => "style_type",
					"value" => "2",
				),
		    ),

		    array(
			   "type" 			=> "textfield",
			   "heading" 		=> esc_html__("Extra Class", "consultab" ),
				"param_name" 	=> "extra_class",								
				"description" 	=> esc_html__("Add Extra Class.", "consultab" ),
				"group" => esc_html__( "Extra class", "consultab" ),
			),

			array(
				"type" => "css_editor",
				"heading" => esc_html__( "Css", "consultab" ),
				"param_name" => "css",
				"group" => esc_html__( "Design options", "consultab" ),
			),

		)        
    ) 
);
