<?php
/**
 * Displays footer site info
 *
 * @package WordPress
 * @subpackage consultab
 * @since 1.0
 * @version 1.0
 */

?>
<?php $consultab_option = get_option('consultab_options'); ?>
<div class="copyright-footer">
	<div class="pt-3 pb-3">
		<div class="row flex-row-reverse justify-content-between">
			<?php
			if(isset($consultab_option['display_copyright']))
			{
			$options = $consultab_option['display_copyright'];
			if($options == "yes")
			{ 
			?>
			<div class="col-lg-6 col-md-12 text-lg-right text-md-center text-center">
				<?php
				if(isset($consultab_option['footer_copyright'])) {  ?>
					<span class="copyright"><?php echo html_entity_decode($consultab_option['footer_copyright']); ?></span>
					<?php
				}
				else {	?>
					<span class="copyright"><a target="_blank" href="<?php echo esc_url( __( 'https://themeforest.net/user/iqonicthemes/portfolio/', 'consultab' ) ); ?>"> <?php printf( esc_html__( 'Proudly Powered By %s', 'consultab' ), 'Consultab.' ); ?></a></span>
					<?php
				} ?>
			</div>
			<?php
			}
			}
			else { 
			?>
			<div class="col-lg-6 col-md-12 text-lg-right text-md-center text-center">
				<?php
				if(isset($consultab_option['footer_copyright'])) { ?>
					<span class="copyright"><?php echo html_entity_decode($consultab_option['footer_copyright']); ?></span>
					<?php
				}
				else {	?>
					<span class="copyright"><a target="_blank" href="<?php echo esc_url( __( 'https://themeforest.net/user/iqonicthemes/portfolio/', 'consultab' ) ); ?>"> <?php printf( esc_html__( 'Proudly Powered By %s', 'consultab' ), 'Consultab.' ); ?></a></span>
					<?php
				} ?>
			</div>
			<?php
			}
			?>
			<div class="col-lg-6 col-md-12 text-lg-left text-md-center text-center">
				<?php if ( has_nav_menu( 'social' ) ) : ?>
					<?php wp_nav_menu( array(
						'theme_location' => 'social',
						'menu_id'        => 'footer-menu',
					) ); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>