<?php
// Button
function consultabButton( $atts, $content = null ) {

	$data = wp_parse_args( $atts, array(
		'title'            => 'Button',
		'url'                    => '#',
		'button_position'        => 'left',
		'button_white'		=> '1',
		'extra_class'        => '',
		'css' => '',
	) );

	$css_class = '';

	$url = $data['url'] ? $data["url"] : '';

	$title = $data['title'] ? $data["title"] : '';

	$button_white = $data['button_white'] ? $data["button_white"] : '';

	$extra_class = $data['extra_class'] ? $data["extra_class"] : '';

	$button_position = $data['button_position'] ? $data["button_position"] : '';

	$css = $data['css'] ? $data["css"] : '';
	
	if(!empty($css)){
		$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
	}

	$out ='';

	$out .='
	<div class="d-block text-'.$button_position.' '.$extra_class.' '. esc_attr( $css_class ) .'">';
	    if($button_white == 1) {
			$out .='
			<a class="button button-icon" href="'. esc_url($url) . '">
				<span class="btn-effect"> '.$title.'</span>
		    </a>';
	    }
	    if($button_white == 2) {
			$out .='
			<a class="button white-btn button-icon" href="'. esc_url($url) . '">
				<span class="btn-effect"> '.$title.'</span>
			</a>';
	    }
	$out .='
	</div>';
	return $out;

}
add_shortcode('consultabButton', 'consultabButton');
