<?php
// Fancy About
function consultabfancyabout( $atts, $content = null ) {

	 $data = wp_parse_args( $atts, array(
				'consultabtitle_content'  		=> '',
				'about_content'  		=> '',
				'consultabsubtitle_content' => '',
				'image'       				=> '',
				'position' 					=> '',
				'openiconic' 				=> '',
                'fontawesome' 				=> '',
                'typicons' 					=> '',
                'entypo' 					=> '',
				'linecons' 					=> '',
				'ionicons' 					=> '',
				'flaticon'	                => '',
				'extra_class'               => '',
				'css'	                	=> '',
			) );

		$css_class = '';

		wp_enqueue_style( 'font-awesome' );
		wp_enqueue_style( 'vc_openiconic' );
		wp_enqueue_style( 'vc_typicons' );
		wp_enqueue_style( 'vc_entypo' );
		wp_enqueue_style( 'vc_linecons' );

		$icons ='';
		$icon_f = $data['fontawesome'] ? '<i aria-hidden="true" class="'.$data['fontawesome'].'"></i>' : '';
		$icon_o = $data['openiconic'] ? '<i aria-hidden="true" class="'.$data['openiconic'].'"></i>' : '';
		$icon_t = $data['typicons'] ? '<i aria-hidden="true" class="'.$data['typicons'].'"></i>' : '';
		$icon_e = $data['entypo'] ? '<i aria-hidden="true" class="'.$data['entypo'].'"></i>' : '';
		$icon_l = $data['linecons'] ? '<i aria-hidden="true" class="'.$data['linecons'].'"></i>' : '';
		$icon_i = $data['ionicons'] ? '<i aria-hidden="true" class="'.$data['ionicons'].'"></i>' : '';
		$icon_fl = $data['flaticon'] ? '<i aria-hidden="true" class="'.$data['flaticon'].'"></i>' : '';


		$url = $data['image'] ? wp_get_attachment_image_url( $data["image"]) : '';
		$image = '<img src="'. $url .'" alt="fancybox" />';
		if($url)
		{
			$icons = $image;
		}
		else
		{
		    if($icon_o || $icon_f || $icon_t || $icon_e || $icon_l || $icon_i || $icon_fl)
			{
	            $icons = ' '.$icon_f.''.$icon_o.''.$icon_t.''.$icon_e.''.$icon_l.''.$icon_i.''.$icon_fl.' ';
	        }
		}

		$position = $data['position'] ? $data["position"] : '';

		$consultabtitle_content = $data['consultabtitle_content'] ? $data["consultabtitle_content"]  : '';

		$consultabsubtitle_content = $data['consultabsubtitle_content'] ?  $data["consultabsubtitle_content"]  : '';

		$about_content = $data['about_content'] ?  $data["about_content"]  : '';

		$extra_class = $data['extra_class'] ?  $data["extra_class"]  : '';

		$css = $data['css'] ?  $data["css"]  : '';

		if(!empty($css)){
			$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
			}

		$out ='';

		$out ='<div class="about-box postion-relative '.$extra_class.' text-'.$position.' '. esc_attr( $css_class ) .'">
					<div class="fancy-about">
					'.$icons.'
					<h4 class="font-weight-bold mb-3 light-black">'.$consultabtitle_content.'</h4>
					<h6 class="mb-0">'.$consultabsubtitle_content.'</h6>
					</div>
					<div class="effect-box">
						<div class="effect-btn">
							<i class="ion-arrow-resize"></i>
						</div>
						<p>'.$about_content.'</p>
					</div>
				</div>';
		return $out;

}
add_shortcode('consultabfancyabout','consultabfancyabout');
