<?php
// Flipbox
function consultabflipbox($atts, $content = null) {

    extract(shortcode_atts(array(
        'number'        => -1,
        'desk_number'   => '3',
        'lap_number'    => '3',
        'tab_number'    => '3',
        'mob_number'    => '2',
        'loop'          => 'true',
        'sortby'        => 'date',
        'order'         => 'DESC',
        'arrow'         => 'true',
        'dots'          => 'false',
        'tag'           => 'h2',
        'css'           => '',
        'position'      => '',
        'extra_class'   => '',
    ), $atts));

    $args = array(
        'post_type'         => 'service',
        'post_status'       => 'publish',
        'posts_per_page'    => $number,
        'order'             => $order,
        'suppress_filters'  => 0
    );

    $wp_query = new WP_Query($args);
    $tot= $wp_query->found_posts ;
    if($tot<=$desk_number){ $desk_number = $tot; $less_post = "less_post"; $loop = "false";}
    if($tot<=$lap_number){ $lap_number = $tot; $less_post = "less_post"; $loop = "false"; }
    if($tot<=$tab_number){ $tab_number = $tot; $less_post = "less_post"; $loop = "false"; }
    if($tot<=$mob_number){ $mob_number = $tot; $less_post = "less_post"; $loop = "false"; }

    
    $css_class = '';

    if(!empty($css)){
        $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
        }

    $html = '';

    $html .= '
        <div class="row '. esc_attr( $css_class ) .'">
            <div class="col-sm-12">';
                if($desk_number <= "3" && $desk_number != "-1"){ 
                    $html .= '<div class="owl-carousel" data-dots="'.$dots.'" data-nav="'.$arrow.'" data-items="'.$desk_number.'" data-items-laptop="'.$lap_number.'" data-items-tab="'.$tab_number.'" data-items-mobile="'.$mob_number.'" data-items-mobile-sm="1" data-autoplay="true" data-loop="'.$loop.'" data-margin="30">';
                }else{
                    $html .= '<div class="owl-carousel" data-dots="'.$dots.'" data-nav="'.$arrow.'"  data-items="3" data-items-laptop="3" data-items-tab="3" data-items-mobile="2" data-items-mobile-sm="1" data-autoplay="true" data-loop="'.$loop.'" data-margin="30">';
                }

                $args = array( 'post_type' => 'service', 'posts_per_page' => $number, 'orderby' => $sortby,  'order' => $order );
                $wp_query = new WP_Query( $args );

                while ( $wp_query->have_posts() ) : $wp_query->the_post();

                $term_list = wp_get_post_terms(get_the_ID(), 'service-tag');


                $html .= '<div class="flip-box">';
                    $html .= '<div class="flip-box-inner '.$extra_class.'">';
                        $html .= '<div class="flip-box-front">';
                            if(has_post_thumbnail( $wp_query->ID )){
                                $full_image = wp_get_attachment_image_src( get_post_thumbnail_id( $wp_query->ID ), "full" );
                                $html .='<img src="'.$full_image[0].'" class="img-fluid" alt="service">';
                            }
                            $html .= '<div class="centered text-set text-'.$position.'">';

                                $html .='<div class="badge">';
                                foreach($term_list as $term){
                                    $html .= $term->name;
                                }
                                $html .='</div>';

                                $html .= '<'.$tag.'>'.sprintf( esc_html__('%s','consultab'),$wp_query->post->post_title).'</'.$tag.'>';
                                $html .= '<p>'.sprintf( esc_html__('%s','consultab'),get_the_excerpt()).'</p>';
                            $html .= '</div>';
                        $html .= '</div>';
                        $html .= '<div class="flip-box-back">';

                            $hover_image = get_post_meta( get_the_ID() , 'hover_image',true);
                            $hover_image=wp_get_attachment_image_src( $hover_image, 'full' );

                            $html .='<img src="'.esc_url($hover_image[0]).'" class="img-fluid service" alt="flip">';

                            $button_name  = get_post_meta( get_the_ID(), 'service_button_name', true);
                            $button_link  = get_post_meta( get_the_ID() , 'service_button_link', true);
                            $html .='<a class="button-flip centered" href="';
                            if($button_link) { $html .= $button_link; }
                            $html .='">';
                            if($button_name) { $html .= $button_name; }
                            $html .='</a>';

                        $html .= '</div>';
                    $html .= '</div>';
                $html .= '</div>';

                endwhile;
                wp_reset_postdata();
                $html .='
                </div>
            </div>
        </div>';

    return $html;
}
add_shortcode('consultabflipbox','consultabflipbox');
