<?php
// History
function consultabhistory($atts, $content = null) {
    extract( shortcode_atts( array(
        'history'   => '',
        'history_year'		=> '2014',
        'history_image'		=> '',
        'history_title'		=> '',
        'history_contant'		=> '',
        'tag'				=> 'h2',
        'position'          => 'left',
		'extra_class'		=> '',
		'css'               => '',
    ), $atts ) );
    
    $css_class = '';

    if(isset($data))
	{
		$history_image = $data['history_image'] ? wp_get_attachment_image_url( $data["history_image"]) : '';
	}

	// features loop
	$history_out	= '';
	$history		= (array) vc_param_group_parse_atts( $history );
	$history_data	= array();


	foreach ( $history as $data ) :
		$new_line 				      = $data;
		$new_line['history_year']	      = isset( $data['history_year'] ) ? $data['history_year'] : '';
        $new_line['history_title']  = isset( $data['history_title'] ) ? $data['history_title'] : '';
        $new_line['history_contant']  = isset( $data['history_contant'] ) ? $data['history_contant'] : '';
		if(isset($new_line['history_image'])){
										$new_line['history_image']	      = wp_get_attachment_image_url($data['history_image'], 'full');
									}

		$history_data[] 		      = $new_line;


    endforeach;

    if(!empty($css)){
        $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
        }

    $out = '';

    $out .='<div class="swiper-container '.$extra_class.' '. esc_attr( $css_class ) .'">';
        $out .='<div class="swiper-wrapper">';
        foreach ( $history_data as $line ) :
                $out .='<div class="swiper-slide">';
                    $out .='<div class="project-year">';
                    $out .='<h5 class="text-center">'.$line['history_year'].'</h5>';
                        $out .='<div class="consulting-project">';
                            $out .='<div class="consult-detail">';
                                    $out .='<img src="'. $line['history_image'] .'" class="img-fluid center-block"  alt="#">';
                            $out .='</div>';
                            $out .='<div class="main-project clearfix text-'.$position.'">';
                                $out .='<div class="project-details">';
                                    $out .='<'.$tag.' class="mb-2">'.$line['history_title'].'</'.$tag.'>';
                                    $out .='<p class="mb-0">'.$line['history_contant'].'</p>';
                                $out .='</div>';
                            $out .='</div>';
                        $out .='</div>';
                $out .='</div>';
            $out .='</div>';
        endforeach;
        $out .='</div>';
    $out .='<div class="swiper-scrollbar"></div>';
    $out .='</div>';

	return $out;

}
add_shortcode('consultabhistory','consultabhistory');
