<?php

// Loan
function consultabLoan( $atts, $content = null ) {

	$data = wp_parse_args( $atts, array(
		'tab_title'				=> '',
		'extra_class'			=> '',
		'amt_slider_title'      => '',
		'period_slider_title'   => '',
		'rate_title'            => '8',
		'css' => '',
	) );

	$css_class = '';

	wp_enqueue_style( 'vc_typicons' );
	wp_enqueue_style( 'vc_entypo' );
	wp_enqueue_style( 'vc_linecons' );
	wp_enqueue_style( 'font-awesome' );
	wp_enqueue_style( 'vc_openiconic' );

	$amt_slider_title = $data['amt_slider_title'] ?  $data["amt_slider_title"]  : '';
	$period_slider_title = $data['period_slider_title'] ?  $data["period_slider_title"]  : '';
	$css = $data['css'] ?  $data["css"]  : '';

	if(!empty($css)){
		$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
	}


	$out = '';

	$extra_class = $data['extra_class'] ? $data['extra_class']  : '';

	$progress1 = $data['tabs'] ? vc_param_group_parse_atts( $atts['tabs'] ) : '';
	$p1 = count($progress1);

	$out .= '
	<div>
        <div class="container '.esc_attr($css_class).'">
            <div class="row justify-content-center">
                <div class="col-lg-10 col-md-12">
                    <form class="loan-form">
                        <div class="form">

                            <div class="row">

                                <div class="col-md-12">

                                    <div class="light-tab">
                                        
                                        <ul class="nav nav-pills" id="pills-tab" role="tablist">';

	                                        for($i=0;$i<$p1;$i++) {
												$pi1 = $progress1[$i];

												if($i == 0){ $ac = 'active'; }else { $ac=''; }
												if($i == 0){ $aria = 'true'; }else { $aria='false'; }
										        $out .='
										        <li class="nav-item">
													<a class="nav-link '.$ac.'" id="pills-'.$i.'-tab" data-toggle="pill" href="#pills-'.$i.'" role="tab" aria-controls="pills-'.$i.'" aria-selected="'.$aria.'">';
													if(!empty($pi1['tab_title'])){

														$out .= '<span>'.$pi1['tab_title'].'</span>';
													}
											        $out .='
											        </a>
												</li>';
											}

                                        $out .= '
	                                    </ul>

                                        <div class="tab-content" id="pills-tabContent1">';

                                            for($i=0;$i<$p1;$i++) {
												$pi1 = $progress1[$i];
												if($i == 0){ $ac = 'show active'; }else { $ac=''; }

											
                                            
	                                            $out .= '
	                                            <div class="tab-pane fade '.$ac.'" id="pills-'.$i.'" role="tabpanel" aria-labelledby="pills-'.$i.'-tab">
			                                        <div class="row">
			                                            <div class="col-md-8">
			                                                <div class="range-slider">

			                                                    <input class="input-rate" type="hidden" value="'.$pi1['rate_title'].'" id="'.$i.'amt_rate" >

			                                                    <div class="white-bg iq-font-blue d-inline-flex" id="'.$i.'amt_rate">'.$pi1['rate_title'].'% Interest</div>
			                                                    <label class="iq-font-black">'.$amt_slider_title.'</label>

			                                                    

			                                                    <input class="input-range cls-slider-borrow" id="'.$i.'hl_slider_borrow" type="range" value="0" min="0" max="30000" step="1">
			                                                    <input type="number" class="range-value cls-input-borrow" id="'.$i.'hl_input_borrow" value="0" min="0" max="30000"  pattern="[0-9]">
			                                                </div>
			                                                <div class="range-slider">
			                                                   <label class="iq-font-black">'.$period_slider_title.'</label>
			                                                   <input class="input-range cls-slider-want" id="'.$i.'hl_slider_want" type="range" value="1" min="1" max="24" step="1">
			                                                   <input type="number" class="range-value cls-input-want" id="'.$i.'hl_input_want" value="1" min="1" max="24" pattern="[0-9]">
			                                                </div>
			                                            </div>
			                                            <div class="col-md-4 re-space">
			                                                <table class="table table-borderless">
			                                                    <tbody>
				                                                    <tr>
				                                                        <td class="">Loan Amount</td>
				                                                        <td class="text-right">$<span class="display-amt" id="'.$i.'hl_amount">0</span></td>
				                                                    </tr>
				                                                    <tr>
				                                                        <td class="">Interest & Fee</td>
				                                                        <td class="text-right">+ $
				                                                            <span class="display-interest" id="'.$i.'hl_interest_amt">0</span>
				                                                        </td>
				                                                    </tr>
				                                                    <tr class="tborder tbl-footer">
				                                                        <td class=""><b>Total to repay</b></td>
				                                                        <td class="text-right"><b> $
				                                                            <span class="display-total" id="'.$i.'hl_total_repay">0</span></b>
				                                                        </td>
				                                                    </tr>
			                                                    </tbody>
			                                                </table>
			                                                <a class="button black" href="#" role="button">apply now</a>
			                                            </div>
	                                                </div>
	                                            </div>';
	                                        }    
                                    $out .= '
                                    </div>

                                 </div>

                              </div>

                           </div>

                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>';

	return $out;

}
add_shortcode('consultabLoan','consultabLoan');
