<?php
// Portfolio
function consultabportfolio($atts, $content = null) {    

    extract(shortcode_atts(array(
        'position'	    => 'left',
        'tag'		    => 'h2',
        'extra_class'   => '',
        'number'        => -1,
        'columns_type'  => '2',
        'space_field'   => '',
        'sortby'        => 'date',
        'order'         => 'DESC',
        'css'           => '',
        'masonry_type'  => '0',
    ), $atts)); 

    $css_class = '';
   
    $args = array(
        'post_type'         => 'portfolio',
        'post_status'       => 'publish',
        'posts_per_page'    => $number, 
        'orderby'           => $sortby,                       
        'order'             => $order,                       
    );

    if(!empty($css)){
		$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
	}

    $wp_query = new WP_Query($args);
    
    $html ='';

    $html .='<div class="row '. esc_attr( $css_class ) .' '.esc_attr($css_class).'">
                <div class="col-sm-12">
                    <div class="iq-masonry-block '.$extra_class.'"  >
                        <div class="isotope-filters isotope-tooltip">';
                        $terms = get_terms( array('taxonomy' => 'portfolio-categories',) );
                        $html .='<button data-filter="" class="active">All<span class="post_no">'. $wp_query->post_count .'</span></button>';
                        foreach($terms as $term) {
                        $html .='<button data-filter=".'. $term->slug .'">'. $term->name .'<span class="post_no">'. $term->count .'</span></button>';
                        }
                $html .='</div>';
                $html .='<div class=" iq-masonry iq-columns-'. $columns_type.' '. $space_field .'" >';
                            $args = array( 'post_type' => 'portfolio', 'posts_per_page' => $number, 'orderby' => $sortby,  'order' => $order );
                            $loop = new WP_Query( $args );
                        
                            while ( $loop->have_posts() ) : $loop->the_post();
                            
                            $term_list = wp_get_post_terms(get_the_ID(), 'portfolio-categories');
                            
                            $slugs=array();
                            foreach($term_list as $term)
                            $slugs[]=$term->slug;

                        $html .='<div class="iq-masonry-item '. implode(' ',$slugs) .' ">';
                            $html .='<div class="iq-portfolio">';
                            if($masonry_type == 0)
                            {   
                                $portfolio_masonry_image = get_post_meta( get_the_ID(), 'portfolio_masonry_image',true); 
                                
                                $portfolio_masonry_image = wp_get_attachment_image_src( $portfolio_masonry_image, 'full' );
                                
                                //$html .='<img src="'.esc_url($vizion_client_image[0]).'" class="img-fluid team-2">';
                                $html .='<img src="'.esc_url($portfolio_masonry_image[0]).'" class="img-fluid" alt="portfolio">';
                            }
                            else {
                                $html .='<a href="'. get_permalink() .'" class="iq-portfolio-img">'. get_the_post_thumbnail() .'</a>';
                            }
                                $html .='<div class="iq-portfolio-content  text-'.$position.'">
                                            <div class="details-box clearfix">
                                                <div class="consult-details">';
                                                $html .='<a href="'. get_permalink() .'"> 
                                                        <'.$tag.'>'. get_the_title() .'</'.$tag.'>
                                                        </a>
                                                        <p class="mb-0">'.$term->name.'</p>
                                                </div>
                                                <a href="'. get_permalink() .'"> <i aria-hidden="true" class="ion ion-plus"></i> </a>
                                            </div>
                                        </div>
                                    </div>
                                </div>';
                                
                            endwhile;
                            wp_reset_postdata();
                    $html .='
                        </div>
                    </div>
                </div>
            </div>';

        if (  $wp_query->max_num_pages > 1 )
        $html .= '<br><div class="hardik_loadmore">More posts</div>';
   
    return $html;
}
add_shortcode('consultabportfolio','consultabportfolio');
