<?php
// Progressbar
function consultabprogress( $atts, $content = null ) {

	extract( shortcode_atts( array(
		'progress'   		=> '',
		'tab_title'   		=> '',
		'tab_score'   		=>  '',	
		'extra_class'		=> '',
		'position'		    => '',
		'text_color'        => '',
		'css'               => '',
	), $atts ) );

	$css_class = '';

	$text_color = $text_color ? ' style="color: ' . $text_color . ';"' : '';

	if(!empty($css)){
		$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
		}

	
	// features loop
	$pro_out	= '';
	$progress		= (array) vc_param_group_parse_atts( $progress );
	$pro_data	= array();


	foreach ( $progress as $data ) :

	$new_line 				      = $data;
	$new_line['tab_title']	      = isset( $data['tab_title'] ) ? $data['tab_title'] : '';
	$new_line['tab_score']  = isset( $data['tab_score'] ) ? $data['tab_score'] : '';

	$pro_data[] 		      = $new_line;

	endforeach; 
     	
			
	$out = '';	

	$out .=	'<div class="iq-services-box text-'.$position.' '.$extra_class.' '. esc_attr( $css_class ) .'">';
			foreach ( $pro_data as $line ) :
	$out .=	'<div class="services-content">
					<h6 '.$text_color.'>'.$line['tab_title'].'</h6>
					<span class="progress-value" '.$text_color.'>'.$line['tab_score'].'%</span>
					<div class="iq-progress-bar">
						<span class="position-relative" data-percent="'.$line['tab_score'].'"></span>
					</div>
			</div>';
			endforeach;	
	$out .=	'</div>';
	

	return $out;			
}
add_shortcode('consultabprogress','consultabprogress');
