<?php
// Service
function consultabservice( $atts, $content = null ) {

	 $data = wp_parse_args( $atts, array(
				'consultabtitle_content'  		=> 'Easy to Customize',
				'consultabsubtitle_content' 	=> 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.',
				'image'       				=> '',
				'position' 					=> 'left',
				'pp_btl_label'				=> 'See More',
				'pp_btl_url'				=> '#',
				'extra_class'               => '',
				'openiconic' 				=> '',
                'fontawesome' 				=> '',
                'typicons' 					=> '',
                'entypo' 					=> '',
				'linecons' 					=> '',
				'ionicons' 					=> '',
				'flaticon'	                => '',
				'css' => '',
			) );

		$css_class = '';

		wp_enqueue_style( 'font-awesome' );
		wp_enqueue_style( 'vc_openiconic' );
		wp_enqueue_style( 'vc_typicons' );
		wp_enqueue_style( 'vc_entypo' );
		wp_enqueue_style( 'vc_linecons' );

		$icons ='';
		$icon_f = $data['fontawesome'] ? '<i aria-hidden="true" class="'.$data['fontawesome'].'"></i>' : '';
		$icon_o = $data['openiconic'] ? '<i aria-hidden="true" class="'.$data['openiconic'].'"></i>' : '';
		$icon_t = $data['typicons'] ? '<i aria-hidden="true" class="'.$data['typicons'].'"></i>' : '';
		$icon_e = $data['entypo'] ? '<i aria-hidden="true" class="'.$data['entypo'].'"></i>' : '';
		$icon_l = $data['linecons'] ? '<i aria-hidden="true" class="'.$data['linecons'].'"></i>' : '';
		$icon_i = $data['ionicons'] ? '<i aria-hidden="true" class="'.$data['ionicons'].'"></i>' : '';
		$icon_fl = $data['flaticon'] ? '<i aria-hidden="true" class="'.$data['flaticon'].'"></i>' : '';

		if($icon_o || $icon_f || $icon_t || $icon_e || $icon_l || $icon_i || $icon_fl)
		{
			$icons = ' '.$icon_f.''.$icon_o.''.$icon_t.''.$icon_e.''.$icon_l.''.$icon_i.''.$icon_fl.' ';
		}


		$url = $data['image'] ? wp_get_attachment_image_url( $data["image"], 'full') : '';
		$image = '<img src="'. $url .'" alt="fancybox" />';

		$css = $data['css'] ?  $data["css"]  : '';

		$pp_btl_label = $data['pp_btl_label'] ?  $data["pp_btl_label"]  : '';

		$pp_btl_url = $data['pp_btl_url'] ?  $data["pp_btl_url"]  : '';

		$extra_class = $data['extra_class'] ?  $data["extra_class"]  : '';

		$consultabtitle_content = $data['consultabtitle_content'] ?  $data["consultabtitle_content"]  : '';

		$consultabsubtitle_content = $data['consultabsubtitle_content'] ?  $data["consultabsubtitle_content"]  : '';

		$position = $data['position'] ?  $data["position"]  : '';

		if(!empty($css)){
			$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
			}

		$out ='';

		$out ='<div class="Consulting-box '.$extra_class.' text-'.$position.' '. esc_attr( $css_class ) .'">
				'.$image.'
				<div class="consult-effect"></div>
				<div class="details-box clearfix">
					<div class="consult-details">
						<h4>'.$consultabtitle_content.'</h4>
						<p class="mb-0">'.$consultabsubtitle_content.'</p>
					</div>
					<a href="'. $pp_btl_url .'">'.$icons.'</a>
				</div>
			</div>';
		return $out;


}
add_shortcode('consultabservice','consultabservice');
