<?php
// consultab Tab
function consultabtabs( $atts, $content = null ) {

	$data = wp_parse_args( $atts, array(
		'tab_title'				=> '',
		'consultab_title'    	=> '',
		'consultab_subtitle'  	=> '',
		'tab_contant'			=> '',
		'video_show'			=> '',
		'video_yt_key'   		=> '',
		'tab_image'				=> '',
		'extra_class'			=> '',
		'css' => '',
	) );

	$css_class = '';

	wp_enqueue_style( 'vc_typicons' );
	wp_enqueue_style( 'vc_entypo' );
	wp_enqueue_style( 'vc_linecons' );
	wp_enqueue_style( 'font-awesome' );
	wp_enqueue_style( 'vc_openiconic' );

	$css = $data['css'] ?  $data["css"]  : '';

	if(!empty($css)){
		$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
		}


	$out = '';

	$extra_class = $data['extra_class'] ? $data['extra_class']  : '';

	$progress1 = $data['tabs'] ? vc_param_group_parse_atts( $atts['tabs'] ) : '';
	$p1 = count($progress1);

		$out .='
		<div class="conatiner '. esc_attr( $css_class ) .'">
			<div class="row">
				<div class="col-lg-12">
					<div class="services-btn '.$extra_class.'">
						<ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">';
						for($i=0;$i<$p1;$i++)
						{
							$pi1 = $progress1[$i];


							if($i == 0){ $ac = 'active'; }else { $ac=''; }
							if($i == 0){ $aria = 'true'; }else { $aria='false'; }
						$out .='<li class="nav-item">
									<a class="nav-link '.$ac.'" id="pills-'.$i.'-tab" data-toggle="pill" href="#pills-'.$i.'" role="tab" aria-controls="pills-'.$i.'" aria-selected="'.$aria.'">';
									if(!empty($pi1['tab_title'])){

										$out .= '<span>'.$pi1['tab_title'].'</span>';
									}
							$out .='</a>
								</li>';
						}
				$out .='</ul>
					</div>
					<div class="tab-content" id="pills-tabContent">';
					for($i=0;$i<$p1;$i++)
					{
						$pi1 = $progress1[$i];
						if($i == 0){ $ac = 'show active'; }else { $ac=''; }
						$out .='<div class="tab-pane '.$ac.'" id="pills-'.$i.'" role="tabpanel" aria-labelledby="pills-'.$i.'-tab">
									<div class="row row-eq-height">
										<div class="col-lg-6 pr-0">
											<div class="services-tab">
												<div class="title-box mb-3 text-left">
													<span class="title-design">'. $pi1['consultab_subtitle'] .'</span>
													<h2>'. $pi1['consultab_title'] .'</h2>
												</div>
												<p>'. $pi1['tab_contant'] .'</p>
											</div>
										</div>
										<div class="col-lg-6 pl-lg-0">';
											if(isset($pi1['tab_image'])){
											$tab_image = wp_get_attachment_image_url( $pi1["tab_image"], 'full');
											$out .='<img src="'.$tab_image.'" class="img-fluid position-relative" alt="#">';
											}
											if(isset($pi1['video_yt_key'])){
											$out .='<div class="video-btn">
														<div class="btn-waves">
															<div class="waves wave-1"></div>
															<div class="waves wave-2"></div>
															<div class="waves wave-3"></div>
														</div>
													<a href="'. $pi1['video_yt_key'] .'" class="iq-video popup-youtube"><i class="fa fa-play" aria-hidden="true"></i></a>
													</div>';
											}
								$out .='</div>
									</div>
								</div>';
					}
			$out .='</div>
				</div>
			</div>
		</div>';

	return $out;

}
add_shortcode('consultabtabs','consultabtabs');
