<?php
// Testimonial
function consultabblogtestimonial($atts, $content = null) {

    extract(shortcode_atts(array(
		'number'     		=> -1,
		'desk_number'     	=> '3',
		'lap_number'     	=> '3',
		'tab_number'     	=> '3',
		'mob_number'     	=> '2',
        'sort'       		=> '',
		'order'      		=> 'DESC',
		'arrow'      		=> 'true',
		'dots'      		=> 'false',
		'auto'				=> 'true',
		'loop'				=> 'true',
        'style_type'        => '1',
        'slider_style_type' => 'default',
        'text_pos'          => 'left',
        'extra_class'       => '',
        'css' => '',
    ), $atts));

    $css_class = '';

	$args = array(
        'post_type'         => 'testimonial',
        'post_status'       => 'publish',
        'numberposts'       => $number,
        'orderby'           => $sort,
        'order'             => $order,
        'suppress_filters'  => 0
	);

	$wp_query = new WP_Query($args);
	$tot= $wp_query->found_posts ;
    if($tot<=$desk_number){ $desk_number = $tot; $less_post = "less_post"; $loop = "false";}
    if($tot<=$lap_number){ $lap_number = $tot; $less_post = "less_post"; $loop = "false"; }
    if($tot<=$tab_number){ $tab_number = $tot; $less_post = "less_post"; $loop = "false"; }
	if($tot<=$mob_number){ $mob_number = $tot; $less_post = "less_post"; $loop = "false"; }

    $recent_posts = get_posts( $args);

    if(!empty($css)){
		$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
		}

    if($style_type == '1') {

	$html = '';

    $html .='<section class="vertical-center slider '. esc_attr( $css_class ) .'">';
        foreach( $recent_posts as $recent ){

        $html .='<div class="iq-testimonial text-'.$text_pos.' '.$extra_class.'">';
            $html .=' <div class="testimonial-box">';
                $html .='<h4>'.sprintf( esc_html__('%s','consultab'),$recent->post_title).'<span class="sub-title">';
                        $designation  = get_post_meta( $recent->ID, 'consultab_testimonial_designation', true);
                        if($designation) { $html .= $designation; }
                        $html .='
                        </span></h4>';
                $html .='<p class="mb-0">'.sprintf( esc_html__('%s','consultab'),$recent->post_content).'</p>';

            $html .='</div>';
        $html .='</div>';
        }
    $html .='</section>';
    return $html;
    }

    if($style_type == '2') {

        $html = '';

        if($desk_number <= 3 && $desk_number != "-1"){
            $html .= '<div class="owl-carousel our-testimonial" data-dots="'.$dots.'" data-nav="'.$arrow.'"   data-autoplay="'.$auto.'"  data-loop="'.$loop.'"  data-items="'.$desk_number.'" data-items-laptop="'.$lap_number.'" data-items-tab="'.$tab_number.'" data-items-mobile="'.$mob_number.'" data-items-mobile-sm="1" data-margin="30">';
        }else{
            $html .= '<div class="owl-carousel our-testimonial" data-dots="'.$dots.'" data-nav="'.$arrow.'"   data-autoplay="'.$auto.'"  data-loop="'.$loop.'"  data-items="3" data-items-laptop="3" data-items-tab="3" data-items-mobile="2" data-items-mobile-sm="1" data-margin="30">';
        }
         
            if($slider_style_type == 'default') {

                foreach( $recent_posts as $recent ){
                    $html .='
                    <div class="item text-'.$text_pos.' '.$extra_class.' '. esc_attr( $css_class ) .'">
                        <div class="iq-testimonial">';
                            $html .='
                            <p>'.sprintf( esc_html__('%s','consultab'),$recent->post_content).'</p>
                            <div class="testimonial-info">';
                                if(has_post_thumbnail( $recent->ID )) {
                                    $full_image = wp_get_attachment_image_src( get_post_thumbnail_id( $recent->ID ), "full" );
                                    $html .='<img alt="#" class="img-fluid rounded-circle" src="'.$full_image[0].'">';
                                }
                                $html .='
                                <div class="testimonial-name">
                                    <h5>'.sprintf( esc_html__('%s','consultab'),$recent->post_title).'</h5>';
                                    $designation  = get_post_meta( $recent->ID, 'consultab_testimonial_designation', true);
                                    $html .='<span class="sub-title">';
                                                if($designation) { $html .= $designation; }
                                    $html .='</span>
                                </div>
                            </div>
                        </div>
                    </div>';
                }
            }

            if($slider_style_type == 'profile') {
              
                foreach( $recent_posts as $recent ){
                    $html .='
                    <div class="item '.$slider_style_type.' text-'.$text_pos.' '.$extra_class.' '. esc_attr( $css_class ) .'">
                        <div class="iq-testimonial">';
                            $html .='
                            <div class="testimonial-info">';
                                if(has_post_thumbnail( $recent->ID ))
                                {
                                $full_image = wp_get_attachment_image_src( get_post_thumbnail_id( $recent->ID ), "full" );
                                $html .='<img alt="#" class="img-fluid rounded-circle" src="'.$full_image[0].'">';
                                }
                                $html .='
                                <div class="testimonial-name">
                                    <h5>'.sprintf( esc_html__('%s','xamin'),$recent->post_title).'</h5>';
                                    $designation  = get_post_meta( $recent->ID, 'xamin_testimonial_designation', true);
                                    $html .='<span class="sub-title">';
                                                if($designation) { $html .= $designation; }
                                    $html .='</span>
                                </div>
                            </div>
                            <p>'.sprintf( esc_html__('%s','xamin'),$recent->post_content).'</p>
                        </div>
                    </div>';
                }
            }

            if($slider_style_type == 'financial') {

                foreach( $recent_posts as $recent ){
                    $html .='
                    <div class="item '.$slider_style_type.'-testimonial text-'.$text_pos.' '.$extra_class.' '. esc_attr( $css_class ) .'">
                        <div class="iq-testimonial">';
                            $html .='
                            <div class="testimonial-info">';
                                $html .='
                                <div class="testimonial-name">
                                    <h5>'.sprintf( esc_html__('%s','consultab'),$recent->post_title).'</h5>';
                                    $designation  = get_post_meta( $recent->ID, 'consultab_testimonial_designation', true);
                                    $html .='<span class="sub-title">';
                                                if($designation) { $html .= $designation; }
                                    $html .='</span>
                                </div>';
                                if(has_post_thumbnail( $recent->ID )) {
                                    $full_image = wp_get_attachment_image_src( get_post_thumbnail_id( $recent->ID ), "full" );
                                    $html .='<img alt="#" class="img-fluid rounded-circle" src="'.$full_image[0].'">';
                                }
                            $html .='    
                            </div>
                            <p>'.sprintf( esc_html__('%s','consultab'),$recent->post_content).'</p>
                        </div>
                    </div>';
                }
            }

        $html .= '
        </div>';
        return $html;
    }

}
add_shortcode('consultabblogtestimonial','consultabblogtestimonial');
