<?php
// Work
function consultabwork( $atts, $content = null ) {

	 $data = wp_parse_args( $atts, array(
				'year_title'  		=> '2014',
				'year_title_text'  		=> 'Easy to Customize',
				'consultabsubtitle_content' => 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.',
				'image'       				=> '',
				'position' 					=> '',
				'extra_class'               => '',
				'css' => '',
			) );

		$css_class = '';

		$url = $data['image'] ? wp_get_attachment_image_url( $data["image"], 'full') : '';
		$image = '<img src="'. $url .'" alt="fancybox" />';

		$extra_class = $data['extra_class'] ?  $data["extra_class"]  : '';

		$year_title = $data['year_title'] ?  $data["year_title"]  : '';

		$year_title_text = $data['year_title_text'] ?  $data["year_title_text"]  : '';

		$consultabsubtitle_content = $data['consultabsubtitle_content'] ?  $data["consultabsubtitle_content"]  : '';

		$position = $data['position'] ?  $data["position"]  : '';

		$css = $data['css'] ?  $data["css"]  : '';

		if(!empty($css)){
			$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
			}

		$out ='';


		$out ='<div class="work-detail '.$extra_class.' text-'.$position.' '. esc_attr( $css_class ) .'">
					<div class="work-image">
					'.$image.'
					</div>
					<div class="work-title">
						<div class="year">'.$year_title.'</div>
						<h4 class="text-white mb-3">'.$year_title_text.'</h4>
						<h6 class="text-white">'.$consultabsubtitle_content.'</h6>
					</div>
				</div>';

		return $out;


}
add_shortcode('consultabwork','consultabwork');
