<?php
if ( !function_exists( 'consultab_create_dynamic_style' ) ) {
    
    function consultab_create_dynamic_style() {

        $consultab_dynamic_css = array();
        $consultab_dynamic_css_min_width_1200px = array();

        $consultab_option = get_option('consultab_options');

        $loader_width = '';
        $loader_height = ''; 

        if(!empty($consultab_option["logo-dimensions"]["width"])) { $logo_width = $consultab_option["logo-dimensions"]["width"]; }
        if(!empty($consultab_option["logo-dimensions"]["height"])) { $logo_height = $consultab_option["logo-dimensions"]["height"]; }
        if(!empty($consultab_option["loader-dimensions"]["width"])) {  $loader_width = $consultab_option["loader-dimensions"]["width"]; }
        if(!empty($consultab_option["loader-dimensions"]["height"])) { $loader_height = $consultab_option["loader-dimensions"]["height"]; }

        if(isset($consultab_option["body_font"]["font-family"])) { $body_family = $consultab_option["body_font"]["font-family"]; }
        if(isset($consultab_option["body_font"]["font-size"])){ $body_size = $consultab_option["body_font"]["font-size"]; }
        if(isset($consultab_option["body_font"]["font-weight"])){ $body_weight = $consultab_option["body_font"]["font-weight"]; }

        if(isset($consultab_option["primary_menu"]["font-family"])) { $primary_family = $consultab_option["primary_menu"]["font-family"]; }
        if(isset($consultab_option["primary_menu"]["font-size"])) { $primary_size = $consultab_option["primary_menu"]["font-size"]; }
        if(isset($consultab_option["primary_menu"]["font-weight"])) { $primary_weight = $consultab_option["primary_menu"]["font-weight"]; }

        if(isset($consultab_option["sub_menu"]["font-family"])) { $sub_family = $consultab_option["sub_menu"]["font-family"]; }
        if(isset($consultab_option["sub_menu"]["font-size"])) { $sub_size = $consultab_option["sub_menu"]["font-size"]; }
        if(isset($consultab_option["sub_menu"]["font-weight"])) { $sub_weight = $consultab_option["sub_menu"]["font-weight"]; }

        if(isset($consultab_option["header_font"]["font-family"])) { $header_font_family = $consultab_option["header_font"]["font-family"]; }
        if(isset($consultab_option["header_font"]["font-size"])) { $header_font_size = $consultab_option["header_font"]["font-size"]; }
        if(isset($consultab_option["header_font"]["font-weight"])) { $header_font_weight = $consultab_option["header_font"]["font-weight"]; }

        if(isset($consultab_option["h2_font"]["font-family"])) { $h2_family = $consultab_option["h2_font"]["font-family"]; }
        if(isset($consultab_option["h2_font"]["font-size"])) { $h2_size = $consultab_option["h2_font"]["font-size"]; }
        if(isset($consultab_option["h2_font"]["font-weight"])) { $h2_weight = $consultab_option["h2_font"]["font-weight"]; }

        if(isset($consultab_option["h3_font"]["font-family"])) { $h3_family = $consultab_option["h3_font"]["font-family"]; }
        if(isset($consultab_option["h3_font"]["font-size"])) { $h3_size = $consultab_option["h3_font"]["font-size"]; }
        if(isset($consultab_option["h3_font"]["font-weight"])) { $h3_weight = $consultab_option["h3_font"]["font-weight"]; }

        if(isset($consultab_option["h4_font"]["font-family"])) { $h4_family = $consultab_option["h4_font"]["font-family"]; }
        if(isset($consultab_option["h4_font"]["font-size"])) { $h4_size = $consultab_option["h4_font"]["font-size"]; }
        if(isset($consultab_option["h4_font"]["font-weight"])) { $h4_weight = $consultab_option["h4_font"]["font-weight"]; }

        if(isset($consultab_option["h5_font"]["font-family"])) { $h5_family = $consultab_option["h5_font"]["font-family"]; }
        if(isset($consultab_option["h5_font"]["font-size"])) { $h5_size = $consultab_option["h5_font"]["font-size"]; }
        if(isset($consultab_option["h5_font"]["font-weight"])) { $h5_weight = $consultab_option["h5_font"]["font-weight"]; }

        if(isset($consultab_option["h6_font"]["font-family"])) { $h6_family = $consultab_option["h6_font"]["font-family"]; }
        if(isset($consultab_option["h6_font"]["font-size"])) { $h6_size = $consultab_option["h6_font"]["font-size"]; }
        if(isset($consultab_option["h6_font"]["font-weight"])) { $h6_weight = $consultab_option["h6_font"]["font-weight"]; }

        if(isset($consultab_option["page_title_font"]["font-family"])) { $page_title_family = $consultab_option["page_title_font"]["font-family"]; }
        if(isset($consultab_option["page_title_font"]["font-size"])) { $page_title_size = $consultab_option["page_title_font"]["font-size"]; }
        if(isset($consultab_option["page_title_font"]["font-weight"])) { $page_title_weight = $consultab_option["page_title_font"]["font-weight"]; }

        if(isset($consultab_option["page_desc_font"]["font-family"])) { $page_desc_family = $consultab_option["page_desc_font"]["font-family"]; }
        if(isset($consultab_option["page_desc_font"]["font-size"])) { $page_desc_size = $consultab_option["page_desc_font"]["font-size"]; }
        if(isset($consultab_option["page_desc_font"]["font-weight"])) { $page_desc_weight = $consultab_option["page_desc_font"]["font-weight"]; }


        if(!empty($logo_width)){
            $consultab_dynamic_css[] = array(
                        'elements'  =>  'header a.navbar-brand img',
                        'property'  =>  'width',
                        'value'     =>  $logo_width. '!important'
                    );
            }
        
    
    
        if(!empty($logo_height)){
            $consultab_dynamic_css[] = array(
                        'elements'  =>  'header a.navbar-brand img',
                        'property'  =>  'height',
                        'value'     =>  $logo_height. '!important'
                    );
            }
        
    
    
        if(!empty($loader_width)){
                $consultab_dynamic_css[] = array( 
                    'elements'  =>  '#loading img',
                    'property'  =>  'width',
                    'value'     =>  $loader_width. '!important'
                );
            }
        
    
        if(!empty($loader_height)){
                $consultab_dynamic_css[] = array(
                    'elements'  =>  '#loading img',
                    'property'  =>  'height',
                    'value'     =>  $loader_height. '!important'
                );
            } 
        
        if( $consultab_option['header_radio'] == 1 ){
            if(!empty($header_font_family)){   
            $consultab_dynamic_css[] = array(
                'elements'  =>  'h1',
                'property'  =>  'font-family',
                'value'     =>  $header_font_family. '!important'
            );
            }

            if(!empty($header_font_size)){  
            $consultab_dynamic_css[] = array(
                'elements'  =>  'h1',
                'property'  =>  'font-size',
                'value'     =>  $header_font_size. '!important'
            );
            }

            if(!empty($header_font_weight)){  
            $consultab_dynamic_css[] = array(
                'elements'  =>  'h1',
                'property'  =>  'font-weight',
                'value'     =>  $header_font_weight. '!important'
            );
            }
        }

    	
        // Change font 1
        if( $consultab_option['consultab_change_font'] == 1 ){

            // body
            $consultab_dynamic_css[] = array(
                'elements'  =>  'body',
                'property'  =>  'font-family',
                'value'     =>  $body_family. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  'body',
                'property'  =>  'font-size',
                'value'     =>  $body_size. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  'body',
                'property'  =>  'font-weight',
                'value'     =>  $body_weight. '!important'
            );

            // primary menu
            $consultab_dynamic_css[] = array(
                'elements'  =>  '#primary-menu',
                'property'  =>  'font-family',
                'value'     =>  $primary_family. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  '#primary-menu',
                'property'  =>  'font-size',
                'value'     =>  $primary_size. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  '#primary-menu',
                'property'  =>  'font-weight',
                'value'     =>  $primary_weight. '!important'
            );

            // sub menu
            $consultab_dynamic_css[] = array(
                'elements'  =>  '#sub-menu',
                'property'  =>  'font-family',
                'value'     =>  $sub_family. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  '#sub-menu',
                'property'  =>  'font-size',
                'value'     =>  $sub_size. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  '#sub-menu',
                'property'  =>  'font-weight',
                'value'     =>  $sub_weight. '!important'
            );

            // h2 menu
            $consultab_dynamic_css[] = array(
                'elements'  =>  'h2',
                'property'  =>  'font-family',
                'value'     =>  $h2_family. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  'h2',
                'property'  =>  'font-size',
                'value'     =>  $h2_size. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  'h2',
                'property'  =>  'font-weight',
                'value'     =>  $h2_weight. '!important'
            );

            // h3 menu
            $consultab_dynamic_css[] = array(
                'elements'  =>  'h3',
                'property'  =>  'font-family',
                'value'     =>  $h3_family. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  'h3',
                'property'  =>  'font-size',
                'value'     =>  $h3_size. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  'h3',
                'property'  =>  'font-weight',
                'value'     =>  $h3_weight. '!important'
            );

            // h4 menu
            $consultab_dynamic_css[] = array(
                'elements'  =>  'h4',
                'property'  =>  'font-family',
                'value'     =>  $h4_family. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  'h4',
                'property'  =>  'font-size',
                'value'     =>  $h4_size. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  'h4',
                'property'  =>  'font-weight',
                'value'     =>  $h4_weight. '!important'
            );

            // h5 menu
            $consultab_dynamic_css[] = array(
                'elements'  =>  'h5',
                'property'  =>  'font-family',
                'value'     =>  $h5_family. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  'h5',
                'property'  =>  'font-size',
                'value'     =>  $h5_size. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  'h5',
                'property'  =>  'font-weight',
                'value'     =>  $h5_weight. '!important'
            );

            // h6 menu
            $consultab_dynamic_css[] = array(
                'elements'  =>  'h6',
                'property'  =>  'font-family',
                'value'     =>  $h6_family. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  'h6',
                'property'  =>  'font-size',
                'value'     =>  $h6_size. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  'h6',
                'property'  =>  'font-weight',
                'value'     =>  $h6_weight. '!important'
            );

            // page_title menu
            $consultab_dynamic_css[] = array(
                'elements'  =>  '.page_title',
                'property'  =>  'font-family',
                'value'     =>  $page_title_family. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  '.page_title',
                'property'  =>  'font-size',
                'value'     =>  $page_title_size. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  '.page_title',
                'property'  =>  'font-weight',
                'value'     =>  $page_title_weight. '!important'
            );

             // page_desc menu
             $consultab_dynamic_css[] = array(
                'elements'  =>  '.page_desc',
                'property'  =>  'font-family',
                'value'     =>  $page_desc_family. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  '.page_desc',
                'property'  =>  'font-size',
                'value'     =>  $page_desc_size. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  '.button',
                'property'  =>  'font-weight',
                'value'     =>  $page_desc_weight. '!important'
            );

            $consultab_dynamic_css[] = array(
                'elements'  =>  '.button',
                'property'  =>  'font-family',
                'value'     =>  $page_desc_family. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  '.button',
                'property'  =>  'font-size',
                'value'     =>  $page_desc_size. '!important'
            );
            $consultab_dynamic_css[] = array(
                'elements'  =>  '.button',
                'property'  =>  'font-weight',
                'value'     =>  $page_desc_weight. '!important'
            );         
            
        }
       // }

        // Start generating if related arrays are populated
        if ( count( $consultab_dynamic_css ) > 0 ) {
            echo "<style type='text/css' id='consultab-dynamic-css'>\n\n";
            
            // Basic dynamic CSS
            if ( count( $consultab_dynamic_css ) > 0 ) {
                consultab_dynamic_style( $consultab_dynamic_css );
            }            
            echo '</style>';
        }
    }
}
add_action( 'wp_head', 'consultab_create_dynamic_style' );
if ( !function_exists( 'consultab_create_dynamic_style' ) ) {
    
    function consultab_create_dynamic_style() {

        $consultab_dynamic_css = array();
        $consultab_dynamic_css_min_width_1200px = array();

        $consultab_option = get_option('consultab_options');

        $loader_width = '';
        $loader_height = '';
       
        if(!empty($consultab_option["logo-dimensions"]["width"])) { $logo_width = $consultab_option["logo-dimensions"]["width"]; }
        if(!empty($consultab_option["logo-dimensions"]["height"])) { $logo_height = $consultab_option["logo-dimensions"]["height"]; }

        if(!empty($consultab_option["loader-dimensions"]["width"])) { $loader_width = $consultab_option["loader-dimensions"]["width"]; }
        if(!empty($consultab_option["loader-dimensions"]["height"])) { $loader_height = $consultab_option["loader-dimensions"]["height"]; }

                
        $consultab_dynamic_css[] = array(
            'elements'  =>  '.navbar-brand img',
            'property'  =>  'width',
            'value'     =>  $logo_width. '!important'
        );
        $consultab_dynamic_css[] = array(
            'elements'  =>  '.navbar-brand img',
            'property'  =>  'height',
            'value'     =>  $logo_height. '!important'
        );
	
              

        // Start generating if related arrays are populated
        if ( count( $consultab_dynamic_css ) > 0 ) {
            echo "<style type='text/css' id='consultab-dynamic-css'>\n\n";
            
            // Basic dynamic CSS
            if ( count( $consultab_dynamic_css ) > 0 ) {
                consultab_dynamic_style( $consultab_dynamic_css );
            }            
            echo '</style>';
        }
    }
}
add_action( 'wp_head', 'consultab_create_dynamic_style' );
?>