<?php
/*
 * 404 Options
 */
$opt_name;
Redux::setSection( $opt_name, array(
    'title' => esc_html__('404','consultab'),
    'id'    => 'fourzerofour-section',
    'icon'  => 'el-icon-error',
    'desc'  => esc_html__('This section contains options for 404.','consultab'),
    'fields'=> array(

        array(
            'id'       => 'consultab_404_banner_image',         
            'type'     => 'media',
            'url'      => true,
            'title'    => esc_html__( '404 Page Default Background Image','consultab'),
            'read-only'=> false,
            'default'  => array( 'url' => get_template_directory_uri() .'/assets/images/maintenance.jpg' ),
            'subtitle' => esc_html__( 'Upload background image for your Website. Otherwise blank field will be displayed in place of this section.','consultab'),
        ),

        array(
            'id'        => 'consultab_fourzerofour_title',
            'type'      => 'text',
            'title'     => esc_html__( '404 Page Title','consultab'),
            'default'   => esc_html__( '404','consultab' )
        ),

        array(
            'id'        => 'consultab_four_description',
            'type'      => 'textarea',
            'title'     => esc_html__( '404 Page Description','consultab'),
            'default'   => esc_html__( 'Oops! This Page is Not Found.','consultab' )
        ),

        array(
            'id'        => 'consultab_description',
            'type'      => 'textarea',
            'title'     => esc_html__( '404 Page Sub Description','consultab'),
            'default'   => esc_html__( 'The requested page does not exist.','consultab' )
        ),

    )) 
);
?>