<?php
// -> START Contact
    Redux::setSection( $opt_name, array(
        'title' => esc_html__( 'Contact', 'consultab' ),
        'id'    => 'Contact', 
        'icon'  => 'el el-map-marker',
        'desc'  => esc_html__( '', 'consultab' ),
		'fields'           => array(

            array(
                'id'       => 'address',
                'type'     => 'textarea',
                'title'    => esc_html__( 'Address', 'consultab' ),
                
                'default'  => esc_html__('1234 North Avenue Luke Lane, South Bend, IN 360001','consultab' ),
            ),

			array(
                'id'       => 'phone',
                'type'     => 'text',
                'title'    => esc_html__( 'Phone', 'consultab' ),
                
                'preg' => array(
                    'pattern' => '/[^0-9_ -+()]/s', 
                    'replacement' => ''
                ),
                'default'  => esc_html__('+0123456789','consultab' ),
            ),

            array(
                'id'       => 'second_phone',
                'type'     => 'text',
                'title'    => esc_html__( 'Phone', 'consultab' ),
                
                'preg' => array(
                    'pattern' => '/[^0-9_ -+()]/s', 
                    'replacement' => ''
                ),
                'default'  => esc_html__('+0123456789','consultab' ),
            ),
			
			array(
                'id'       => 'email',
                'type'     => 'text',
                'title'    => esc_html__( 'Email', 'consultab' ),
                
                'validate' => 'email',
                'msg'      => esc_html__('custom error message','consultab' ),
                'default'  => esc_html__('support@iqnonicthemes.com','consultab' ),
            ),

            array(
                'id'       => 'second_email',
                'type'     => 'text',
                'title'    => esc_html__( 'Email', 'consultab' ),
                
                'validate' => 'email',
                'msg'      => esc_html__('custom error message','consultab' ),
                'default'  => esc_html__('support@iqnonicthemes.com','consultab' ),
            ),

            array(
                'id'       => 'contact-social-media',
                'type'     => 'sortable',
                'title'    => esc_html__('Social Media Option', 'consultab'),
                'subtitle' => esc_html__('Enter social media url.', 'consultab'),
                'mode'     => 'text',
                'label'    => true,
                'options'  => array(
                    'facebook-f'     => '',
                    'twitter'        => '',
                    'google-plus-g'  => '',
                    'github'      	 => '',
                    'instagram'      => '',
                    'linkedin'       => '',
                    'tumblr'         => '',
                    'pinterest'      => '',
                    'dribbble'       => '',
                    'reddit'         => '',
                    'flickr'         => '',
                    'skype'          => '',
                    'youtube-play'   => '',
                    'vimeo'          => '',
                    'soundcloud'     => '',
                    'wechat'         => '',
                    'renren'         => '',
                    'weibo'          => '',
                    'xing'           => '',
                    'qq'             => '',
                    'rss'            => '',
                    'vk'             => '',
                    'behance'        => '',
                    'snapchat'       => '',
                ),  
            ),
            
						
        ) 
    ) );
?>