<?php
/*
 * Social Network Options
 */
$opt_name;
Redux::setSection( $opt_name, array(
    'title'            => esc_html__( 'Social Media', 'consultab' ),
    'id'               => 'social_link',
    'icon'             => 'el-icon-share',  
    'fields'           => array(
        
        array(
            'id'        => 'consultab_display_social_media',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Display Social Media on Footer','consultab'),
            'options'   => array(
                            'yes' => esc_html__('Yes','consultab'),
                            'no' => esc_html__('No','consultab')
                        ),
            'default'   => esc_html__('yes','consultab')
        ),
        
        array(
            'id'       => 'social-media-iq',
            'type'     => 'sortable',
            'title'    => esc_html__('Social Media Option', 'consultab'),
            'required'  => array( 'consultab_display_social_media', '=', 'yes' ),
            'subtitle' => esc_html__('Enter social media url.', 'consultab'),
            'mode'     => 'text',
			'label'    => true,
            'options'  => array(
				'facebook-f'     => '',
				'twitter'        => '',
				'google-plus-g'  => '',
                'github'      	 => '',
				'instagram'      => '',
                'linkedin'       => '',
                'tumblr'         => '',
                'pinterest'      => '',
                'dribbble'       => '',
                'reddit'         => '',
                'flickr'         => '',
                'skype'          => '',
                'youtube-play'   => '',
                'vimeo'          => '',
                'soundcloud'     => '',
                'wechat'         => '',
                'renren'         => '',
                'weibo'          => '',
                'xing'           => '',
                'qq'             => '',
                'rss'            => '',
                'vk'             => '',
                'behance'        => '',
                'snapchat'       => '',
            ),
        ),
        
    ),
) );