<?php
// Blog
$categories = get_categories();
$cat = array();
$cat["All"] = 0;
foreach($categories as $category) {
	
   $cat[$category->name] = $category->term_id;
}
vc_map( array(
        'name' 			=> esc_html__('Blog', 'consultab'),
        'base' 			=> 'consultabblog',
		'description' 	=> esc_html__( 'Recent Blog', 'consultab'),
        'category' 		=> esc_html__( 'Consultab Shortcodes', 'consultab' ),
        'icon' 			=> 'consultab_recentblog',
		'params' => array(

			array(
                "type" 			=> "dropdown",
                "heading" 		=> esc_html__( "Select Style", 'consultab' ),
                "param_name" 	=> "type",
                "value" 		=> array(
										"Blog Slider"    		=> '1',
										"Blog Grid Fancy Style" => '5',
										"Blog 1 Columns" 		=> '4',
										"Blog 2 Columns" 		=> '2',
										"Blog 3 Columns" 		=> '3',
								   ),
                "description" => esc_html__( "You can choose among these pre-designed types.", 'consultab')
            ),
			array(
				"type" 			=> "heading",
				"group" => esc_html__( "Post Setting", "consultab" ),
				 "param_name" 	=> "heading",
				 "dependency"	=> array(
					'element' => 'type',
					'value'   => array('4','5','2','3','1'),
				),
			 ),

			array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Desktop view', 'consultab' ),
				 "param_name" 	=> "desk_number",
				 'edit_field_class' => 'vc_col-xs-3',
				 "group" => esc_html__( "Post Setting", "consultab" ),
				 "description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' ),
				 "dependency"	=> array(
					'element' => 'type',
					'value'   => array('1'),
				),
			 ),
			 array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Laptop view', 'consultab' ),
				 "param_name" 	=> "lap_number",
				 'edit_field_class' => 'vc_col-xs-3',
				 "group" => esc_html__( "Post Setting", "consultab" ),
				"description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' ),
				"dependency"	=> array(
					'element' => 'type',
					'value'   => array('1'),
				),
			 ),
			 array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Tablet view', 'consultab' ),
				 "param_name" 	=> "tab_number",
				 'edit_field_class' => 'vc_col-xs-3',
				 "group" => esc_html__( "Post Setting", "consultab" ),
				"description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' ),
				"dependency"	=> array(
					'element' => 'type',
					'value'   => array('1'),
				),
			 ),
			 array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Mobile view', 'consultab' ),
				 "param_name" 	=> "mob_number",
				 'edit_field_class' => 'vc_col-xs-3',
				 "group" => esc_html__( "Post Setting", "consultab" ),
				"description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' ),
				"dependency"	=> array(
					'element' => 'type',
					'value'   => array('1'),
				),
			 ),

			array(
				"type" 			=> "dropdown",
				"heading" 		=> esc_html__( "Arrow", 'consultab' ),
				"group" => esc_html__( "Post Setting", "consultab" ),
				"param_name" 	=> "arrow",
				"value" 		=> array(
								  "True"    => 'true',
								  "False"   => 'false',
							  ),
				"dependency"	=> array(
					'element' => 'type',
					'value'   => array('1'),
				),
			),
			array(
						"type" 			=> "dropdown",
						"heading" 		=> esc_html__( "Dots", 'consultab' ),
						"group" => esc_html__( "Post Setting", "consultab" ),
						"param_name" 	=> "dots",
						"value" 		=> array(
										"False"   => 'false',
										"True"    => 'true',
									),
						"dependency"	=> array(
					'element' => 'type',
					'value'   => array('1'),
					),
				),

			array(
				"type" 			=> "dropdown",
				"heading" 		=> esc_html__( "Autoplay", 'consultab' ),
				"group" => esc_html__( "Post Setting", "consultab" ),
				"param_name" 	=> "auto",
				"value" 		=> array(
										"True"    => 'true',
										"False"   => 'false',
									),
				"dependency"	=> array(
					'element' => 'type',
					'value'   => array('1'),
				),
			),	

			

			array(
				"type" 			=> "dropdown",
				"heading" 		=> esc_html__( "Loop", 'consultab' ),
				"group" => esc_html__( "Post Setting", "consultab" ),
				"param_name" 	=> "loop",
				"value" 		=> array(
								  "True"    => 'true',
								  "False"   => 'false',
							  ),
				"dependency"	=> array(
					'element' => 'type',
					'value'   => array('1'),
				),
		    ),

			array(
			   "type" 			=> "dropdown",
			   "heading" 		=> esc_html__("Order By", 'consultab'),
			   "param_name" 	=> "sort",
			   "group" => esc_html__( "Post Setting", "consultab" ),
			   'value' 			=> array_flip( array('date' => esc_html__('Date', 'consultab'),'title' => esc_html__('Title', 'consultab') ,'name' => esc_html__('Name', 'consultab') ,'author' => esc_html__('Author', 'consultab'),'comment_count' => esc_html__('Comment Count', 'consultab'),'random' => esc_html__('Random', 'consultab') ) ),
			   "description" 	=> esc_html__("Enter the sorting order.", 'consultab')
			),

			 array(
				"type" 			=> "dropdown",
				"heading" 		=> esc_html__( "Category", "xamin" ),
				"param_name" 	=> "category",
				"group" => esc_html__( "Post Setting", "xamin" ),				
				"value" 		=> $cat,
			),	

			 array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Number Of Post', 'consultab' ),
				 "param_name" 	=> "posts_per_page",
				 'edit_field_class' => 'vc_col-xs-8',
				 "group" => esc_html__( "Post Setting", "consultab" ),
				"description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' ),
				
			 ),

			array(
			   "type" 			=> "dropdown",
			   "heading" 		=> esc_html__("Order", 'consultab'),
			   "group" => esc_html__( "Post Setting", "consultab" ),
			   "param_name" 	=> "order",
			   'value' 			=> array_flip(array('DESC' => esc_html__('Descending', 'consultab'),'ASC' => esc_html__('Ascending', 'consultab') ) )
			),

			array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__("Extra Class", "consultab" ),
				 "param_name" 	=> "extra_class",								
				 "description" 	=> esc_html__("Add Extra Class.", "consultab" ),
				 "group" => esc_html__( "Extra class", "consultab" ),
			 ),
 
			 array(
				 "type" => "css_editor",
				 "heading" => esc_html__( "Css", "consultab" ),
				 "param_name" => "css",
				 "group" => esc_html__( "Design options", "consultab" ),
			 ),
		)
    )
);
