<?php
// Box Slider
    vc_map( 
  
        array(
            "name"          => esc_html__("Box Slider","consultab" ),
            "base"          => "consultabBoxslider",
            "description"   => esc_html__( "Consultab Box Slider","consultab" ),
            "category"      => esc_html__( "Consultab Shortcodes","consultab" ),
            "icon"          => "icon-wpb-consultabboxslider",
            "params" => array(

                array(
                    "heading"       => esc_html__( "Add Box", "consultab" ),
                    "description"   => esc_html__( "Enter Your Box Data.", "consultab" ),
                    "type"          => "param_group",
                    "param_name"    => "box_data",
                    "params" => array(
                                                
                        array(
                            "heading"       => esc_html__( "Title","consultab" ),
                            "description"   => esc_html__( "Enter the title","consultab"),
                            "type"          => "textfield",
                            "param_name"    => "consultabtitle_content",
                            "value"         => esc_html__("Easy to Customize","consultab" ),
                        ),

                        array(
                            "heading"       => esc_html__( "Title Element Tag","consultab" ),
                            "description"   => esc_html__( "Select Element Tag of the title text.","consultab"),
                            "type"          => "dropdown",
                            "param_name"    => "tag",
                            "edit_field_class" => "vc_col-xs-6",
                            "value" => array(
                                            "h2" => "h2",
                                            "h3" => "h3",
                                            "h4" => "h4",
                                            "h5" => "h5",
                                            "h6" => "h6",
                                        ),
                        ),

                        array(
                            "heading"       => esc_html__( "Sub Title","consultab" ),
                            "description"   => esc_html__( "Enter the sub title","consultab"),
                            "type"          => "textfield",
                            "param_name"    => "consultab_subtitle",
                            "value"         => esc_html__("Easy to Customize","consultab" ),
                        ),

                        array(
                            "heading"       => esc_html__( "Date","consultab" ),
                            "description"   => esc_html__( "Enter the date","consultab"),
                            "type"          => "textfield",
                            "param_name"    => "consultab_box_date",
                        ),

                        array(
                            "heading"       => esc_html__( "Result Title","consultab" ),
                            "description"   => esc_html__( "Enter the Result title","consultab"),
                            "type"          => "textfield",
                            "param_name"    => "consultab_box_resulttitle",
                        ),

                        array(
                            "heading"       => esc_html__( "Result","consultab" ),
                            "description"   => esc_html__( "Enter the result","consultab"),
                            "type"          => "textfield",
                            "param_name"    => "consultab_box_result",
                        ),

                        array(
                            "type"        => "attach_image",
                            "heading"     => esc_html__( "Image", "consultab" ),
                            "param_name"  => "image",
                            "description" => "Select image/icon from library.",
                            "group" => esc_html__( "Image", "consultab" ),
                            "dependency"  =>array(
                                                "element"  => "icon_type",
                                                "value" => "iq-image" ,
                                                ),
                        ),




                    ),    
                ),

                array(
                    "type"           => "textfield",
                    "heading"        => esc_html__("Desktop view", "consultab" ),
                    "param_name"     => "desk_number",
                    "edit_field_class" => "vc_col-xs-3",             
                    "description"   => esc_html__("Enter Number of post to Show.", "consultab" ),
                    "group" => esc_html__( "Slider Setting", "consultab" ), 
                ),

                array(
                    "type"           => "textfield",
                    "heading"        => esc_html__("Laptop view", "consultab" ),
                    "param_name"    => "lap_number",
                    "edit_field_class" => "vc_col-xs-3",                
                    "description"   => esc_html__("Enter Number of post to Show.", "consultab" ),
                    "group" => esc_html__( "Slider Setting", "consultab" ),    
                ),

                array(
                    "type"           => "textfield",
                    "heading"        => esc_html__("Tablet view", "consultab" ),
                    "param_name"    => "tab_number",
                    "edit_field_class" => "vc_col-xs-3",                
                    "description"   => esc_html__("Enter Number of post to Show.", "consultab" ),
                    "group" => esc_html__( "Slider Setting", "consultab" ),
                ),

                array(
                    "type"           => "textfield",
                    "heading"        => esc_html__("Mobile view", "consultab" ),
                    "param_name"     => "mob_number",
                    "edit_field_class" => "vc_col-xs-3",             
                    "description"   => esc_html__("Enter Number of post to Show.", "consultab" ),
                    "group" => esc_html__( "Slider Setting", "consultab" ),
                ),              

                array(
                    "type"          => "dropdown",
                    "heading"      => esc_html__( "Arrow", "consultab" ),
                    "group" => esc_html__( "Slider Setting", "consultab" ),
                    "param_name"    => "arrow",               
                    "value"         => array(
                                            "True"    => "true",
                                            "False"   => "false",
                                        ),    
                ),

                array(
                    "type"          => "dropdown",
                    "heading"      => esc_html__( "Dots", "consultab" ),
                    "group" => esc_html__( "Slider Setting", "consultab" ),
                    "param_name"    => "dots",                
                    "value"         => array(
                            "False"   => "false",
                            "True"    => "true",
                    ),   
                ),

                array(
                    "type"          => "dropdown",
                    "heading"       => esc_html__( "Autoplay", "consultab" ),
                    "group" => esc_html__( "Slider Setting", "consultab" ),
                    "param_name"    => "auto",              
                    "value"         => array(
                            "True"    => "true",
                            "False"   => "false",
                     ),
                ),

                array(
                    "type"          => "dropdown",
                    "heading"       => esc_html__( "Loop", "consultab" ),
                    "group" => esc_html__( "Slider Setting", "consultab" ),
                    "param_name"    => "loop",              
                    "value"         => array(
                            "True"    => "true",
                            "False"   => "false",
                    ),
                ),

                array(
                    "heading"       => esc_html__( "Delay Time","consultab" ),
                    "description"   => esc_html__( "Enter delay time of fancybox","consultab"),
                    "type"          => "textfield",
                    "group" => esc_html__( "Animation", "consultab" ),
                    "param_name"    => "delay_time",
                ),


                array(
                    "type" => "css_editor",
                    "heading" => esc_html__( "Css", "consultab" ),
                    "param_name" => "css",
                    "group" => esc_html__( "Design options", "consultab" ),
                ),
                
            )
        )
    );
