<?php
// Clients
vc_map(
	array(
		"name" 			=> esc_html__('Client','consultab'),
		"base" 			=> 'consultabclient',
		"description" 	=> esc_html__( 'Display Client Logo', 'consultab'),
		"category" 		=> esc_html__( 'Consultab Shortcodes', 'consultab' ),
		"icon" 			=> "icon-consultabclient",
		"params" => array(


			array(
				"type"        => "attach_images",
				"heading"     => esc_html__('Client Logo Images', 'consultab'),
				"param_name"  => "images",
				"value"       => "",
				"description" => esc_html__("Select logo Images from media library.", "consultab")
			),

			array(
				"type" 			=> "heading",
				"heading" 		=> esc_html__('Number of images :', 'consultab' ),
				"param_name" 	=> "desk_number1",
			 ),
			array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Desktop view', 'consultab' ),
				"param_name" 	=> "desk_number",
				'edit_field_class' => 'vc_col-xs-3',
				"description" 	=> esc_html__('Enter Number of images to Show.', 'consultab' )
			 ),
			 array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Laptop view', 'consultab' ),
				"param_name" 	=> "lap_number",
				'edit_field_class' => 'vc_col-xs-3',
				"description" 	=> esc_html__('Enter Number of images to Show.', 'consultab' )
			 ),
			 array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Tablet view', 'consultab' ),
				"param_name" 	=> "tab_number",
				'edit_field_class' => 'vc_col-xs-3',
				"description" 	=> esc_html__('Enter Number of images to Show.', 'consultab' )
			 ),
			 array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Mobile view', 'consultab' ),
				"param_name" 	=> "mob_number",
				'edit_field_class' => 'vc_col-xs-3',
				"description" 	=> esc_html__('Enter Number of images to Show.', 'consultab' )
			 ),				
 
			array(
                "type" 			=> "dropdown",
                "heading" 		=> esc_html__( "Arrow", 'consultab' ),
                "param_name" 	=> "arrow",
                "value" 		=> array(
					"True"    => 'true',
					"False"   => 'false',
				),
			),
			array(
                "type" 			=> "dropdown",
                "heading" 		=> esc_html__( "Dots", 'consultab' ),
                "param_name" 	=> "dots",
                "value" 		=> array(
					"False"   => 'false',
					"True"    => 'true',
			    ),
			),
			
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name','consultab' ),
				'param_name'  => 'extra_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' ),
				'group' => esc_html__( 'Extra class', 'consultab' ),
			),

			array(
				'type' => 'css_editor',
				'heading' => __( 'Css', 'consultab' ),
				'param_name' => 'css',
				'group' => __( 'Design options', 'consultab' ),
			),

		),
	) 
);
