<?php
// FAQ
vc_map(
	array(
		"name" 			=> esc_html__( 'FAQ','consultab' ),
		"base" 			=> 'consultabFAQ',
		"description" 	=> esc_html__( 'Consultab FAQ', 'consultab'),
		"category" 		=> esc_html__( 'Consultab Shortcodes', 'consultab' ),
		"icon" 			=> "icon-wpb-maxtitle",
		"params" => array(
		
		
			array(
				"type" 			=> "dropdown",
				"heading" 		=> esc_html__("Order By", 'consultab'),
				"param_name" 	=> "sort",
				'value' 			=> array_flip( array('date' => esc_html__('Date', 'consultab'),'title' => esc_html__('Title', 'consultab') ) ),			   			
				'group' => esc_html__( 'Post Setting', 'consultab' ),
			 ),
 
			 array(
				"type" 			=> "dropdown",
				"heading" 		=> esc_html__("Order", 'consultab'),
				"param_name" 	=> "order",
				'value' 			=> array_flip(array('DESC' => esc_html__('Descending', 'consultab'), 'ASC' => esc_html__('Ascending', 'consultab') ) ),			   			
				'group' => esc_html__( 'Post Setting', 'consultab' ),
			 ),

			 array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Extra Class', 'consultab' ),
				 "param_name" 	=> "extra_class",								
				 "description" 	=> esc_html__('Add Extra Class.', 'consultab' ),
				 'group' => esc_html__( 'Extra class', 'consultab' ),
			 ),

			 array(
				'type' => 'css_editor',
				'heading' => __( 'Css', 'consultab' ),
				'param_name' => 'css',
				'group' => __( 'Design options', 'consultab' ),
			),
		
		),
	)
);
