<?php
vc_map(
	array(
		"name" 			=> "Fling Layer",
		"base" 			=> "consultabflinglayer",
		"description" 	=> esc_html__( "Consultab Subscribe",'consultab' ),
		"category" 		=> esc_html__( 'Consultab Shortcodes','consultab' ),
		"icon" 			=> "icon-wpb-consultabflinglayer",
		"params" => array(
			
			array(
				"heading" 		=> esc_html__( "Background Image", 'consultab' ),
				"type" 			=> "attach_image",
				"param_name" 	=> "layer_image1",
				"description" 	=> wp_kses( __( "Select Background Image.", 'consultab'), array( 'br' => array() ) ),
			),
			
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name','consultab' ),
				'param_name'  => 'extra_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' ),
				'group' => esc_html__( 'Extra class', 'consultab' ),
			),
			
		),
	) 
);
