<?php
// History
vc_map( array(
        'name' 			=> esc_html__('History','consultab'),
        'base' 			=> 'consultabhistory',
		  	'description' 	=> esc_html__( 'Consultab History', 'consultab'),
        'category' 		=> esc_html__( 'Consultab Shortcodes', 'consultab' ),
        'icon' 			=> "consultab_team",
				'params' => array(


					array(
						'heading'		=> esc_html__( 'Add History', 'consultab' ),
						'description'	=> esc_html__( 'Add History', 'consultab' ),
						'type'			=> 'param_group',
						'param_name'	=> 'history',
						'params' => array(


										array(
											"heading" 		=> esc_html__( "History Year",'consultab' ),
											"description" 	=> esc_html__( "Enter the Year",'consultab'),
											"type" 			=> "textfield",
											'edit_field_class' => 'vc_col-xs-6',
											"param_name" 	=> "history_year",
										),

										array(
											'type'        => 'attach_image',
											'heading'     => esc_html__( 'History Image', 'consultab' ),
											'param_name'  => 'history_image',
											"admin_label" => true,
											'edit_field_class' => 'vc_col-xs-6',
											'description' => esc_html__('Select image from library.','consultab' ),		 
										),

										array(
											"heading" 		=> esc_html__( "History Title",'consultab' ),
											"description" 	=> esc_html__( "Enter the title",'consultab'),
											"type" 			=> "textfield",
											"param_name" 	=> "history_title",
										),

										array(
											'heading'		=> esc_html__( 'Tab Content', 'consultab' ),
											'type'			=> 'textarea',
											'param_name'	=> 'history_contant',
											'value'         => '',
										),

						),
				
					),

					array(
						"heading" 		=> esc_html__( "Element Tag",'consultab' ),
						"description" 	=> wp_kses( __( "Select Element Tag of the title text.",'consultab'), array( 'br' => array() ) ),
						"type" 			=> "dropdown",
						"param_name" 	=> "tag",
						'edit_field_class' => 'vc_col-xs-6',
						'group' => esc_html__( 'History Setting', 'consultab' ),
						"value" => array(
										"1" => 'h2',
										"2" => 'h3',
										"3" => 'h4',
										"4" => 'h5',
										"5" => 'h6',
									),
					),

					array(
						"heading" 		=> esc_html__( "Alignment",'consultab' ),
						"description" 	=> wp_kses( __( "Select Alignment of the text.",'consultab'), array( 'br' => array() ) ),
						"type" 			=> "dropdown",
						"param_name" 	=> "position",
						'edit_field_class' => 'vc_col-xs-6',
						'group' => esc_html__( 'History Setting', 'consultab' ),
						"value" => array(
										"Left" =>  'left',
										"Center" => 'center',
										"Right" => 'right',
									),
					),

					array(
						'type'        => 'textfield',
						'heading'     => esc_html__( 'Extra class name','consultab' ),
						'param_name'  => 'extra_class',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' ),
						'group' => esc_html__( 'Extra class', 'consultab' ),
					),

					array(
						'type' => 'css_editor',
						'heading' => __( 'Css', 'consultab' ),
						'param_name' => 'css',
						'group' => __( 'Design options', 'consultab' ),
					),
		)        
    ) 
);
