<?php
// Image Effect
vc_map(
	array(
		"name" 			=> esc_html__('Image Effect','consultab'),
		"base" 			=> 'consultabeffect',
		"description" 	=> esc_html__( 'Image Effect','consultab'),
		"category" 		=> esc_html__( 'Consultab Shortcodes','consultab' ),
		"icon" 			=> "icon-consultabvideo",
		"params" => array(

			array(
                "type" 			=> "attach_image",
                "heading" 		=> esc_html__( "Image 1",'consultab' ),
                "param_name" 	=> "video_image",
				'value'			=> '',
				'edit_field_class' => 'vc_col-xs-6',
			),
			
			array(
                "type" 			=> "attach_image",
                "heading" 		=> esc_html__( "Image 2",'consultab' ),
                "param_name" 	=> "video_image2",
				'value'			=> '',
				'edit_field_class' => 'vc_col-xs-6',
			),
			
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name','consultab' ),
				'param_name'  => 'extra_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' ),
				'group' => esc_html__( 'Extra class', 'consultab' ),
			),

			array(
				'type' => 'css_editor',
				'heading' => __( 'Css', 'consultab' ),
				'param_name' => 'css',
				'group' => __( 'Design options', 'consultab' ),
			),
			
		),
	)
);
