<?php
vc_map(
	array(
		"name" 			=> "Info_box",
		"base" 			=> "consultabinfo_box",
		"description" 	=> esc_html__( "Info_box",'consultab' ),
		"category" 		=> esc_html__( 'Consultab Shortcodes','consultab' ),
		"icon" 			=> "icon-wpb-consultabtitle",
		"params" => array(

				

			array(
				"heading" 		=> esc_html__( "Year",'consultab' ),
				"description" 	=> esc_html__( "Enter the Year",'consultab'),
				"type" 			=> "textfield",
				"param_name" 	=> "year_no",
			),

			
			array(
				"heading" 		=> esc_html__( "Title",'consultab' ),
				"description" 	=> esc_html__( "Enter the title",'consultab'),
				"type" 			=> "textfield",
				"param_name" 	=> "title_text",
			),

			array(
				"heading" 		=> esc_html__( "Year Element Tag",'consultab' ),
				"description" 	=> wp_kses( __( "Select Element Tag of the year text.",'consultab'), array( 'br' => array() ) ),
				"type" 			=> "dropdown",
				"param_name" 	=> "year_tag",
				'edit_field_class' => 'vc_col-xs-6',
				"value" => array(
								"1" => 'h2',
								"2" => 'h3',
								"3" => 'h4',
								"4" => 'h5',
								"5" => 'h6',
								"6" => 'span',
								"7" => 'p',
							),
			),

			array(
				"heading" 		=> esc_html__( "Title Element Tag",'consultab' ),
				"description" 	=> wp_kses( __( "Select Element Tag of the title text.",'consultab'), array( 'br' => array() ) ),
				"type" 			=> "dropdown",
				"param_name" 	=> "title_tag",
				'edit_field_class' => 'vc_col-xs-6',
				"value" => array(
								"1" => 'h2',
								"2" => 'h3',
								"3" => 'h4',
								"4" => 'h5',
								"5" => 'h6',
								"6" => 'span',
								"7" => 'p',
							),
			),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name','consultab' ),
				'param_name'  => 'extra_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' ),
				'group' => esc_html__( 'Extra class', 'consultab' ),
			),

			array(
				'type' => 'css_editor',
				'heading' => __( 'Css', 'consultab' ),
				'param_name' => 'css',
				'group' => __( 'Design options', 'consultab' ),
			),
						
		),
	) 
);
