<?php
// Leadership
vc_map( array(
        'name' 			=> esc_html__('Leadership','consultab'),
        'base' 			=> 'consultableadership',
		  	'description' 	=> esc_html__( 'Consultab Leadership', 'consultab'),
        'category' 		=> esc_html__( 'Consultab Shortcodes', 'consultab' ),
        'icon' 			=> "consultab_team",
				'params' => array(

					array(
						"heading" 		=> esc_html__( "Alignment",'consultab' ),
						"description" 	=> wp_kses( __( "Select Alignment of the title text.",'consultab'), array( 'br' => array() ) ),
						"type" 			=> "dropdown",
						"param_name" 	=> "position",
						'edit_field_class' => 'vc_col-xs-6',
						"value" => array(
										"Left" =>  'left',
										"Center" => 'center',
										"Right" => 'right',
									),
					),

					array(
						"heading" 		=> esc_html__( "Element Tag",'consultab' ),
						"description" 	=> wp_kses( __( "Select Element Tag of the title text.",'consultab'), array( 'br' => array() ) ),
						"type" 			=> "dropdown",
						"param_name" 	=> "tag",
						'edit_field_class' => 'vc_col-xs-6',
						"value" => array(
										"1" => 'h2',
										"2" => 'h3',
										"3" => 'h4',
										"4" => 'h5',
										"5" => 'h6',
									),
					),

					array(
						'type'        => 'textfield',
						'heading'     => esc_html__( 'Extra class name','consultab' ),
						'param_name'  => 'extra_class',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' ),
						'group' => esc_html__( 'Extra class', 'consultab' ),
					),

					array(
						'type' => 'css_editor',
						'heading' => __( 'Css', 'consultab' ),
						'param_name' => 'css',
						'group' => __( 'Design options', 'consultab' ),
					),
		)        
    ) 
);
