<?php
// Loan
vc_map(
    array(
        "name"          => esc_html__('Loan','consultab'),
        "base"          => 'consultabLoan',
        "description"   => esc_html__( 'Consultab Loan','consultab'),
        "category"      => esc_html__( 'Consultab Shortcodes','consultab' ),
        "icon"          => "icon-consultabLoan",
        "params" => array(
        
        array(
            'heading'       => esc_html__( 'Add Tabs', 'consultab' ),
            'description'   => esc_html__( 'Add Tabs', 'consultab' ),
            'type'          => 'param_group',
            'param_name'    => 'tabs',
            'params' => array(
                
                array(
                    "heading"       => esc_html__( "Tab Title",'consultab' ),
                    "description"   => esc_html__( "Enter the tab title",'consultab'),
                    "type"          => "textfield",
                    "param_name"    => "tab_title",
                    "admin_label" => true,
                ),

                array(
                    "heading"       => esc_html__( "Rate",'consultab' ),
                    "description"   => esc_html__( "Enter the Rate",'consultab'),
                    "type"          => "textfield",
                    "param_name"    => "rate_title",
                    "value"         => esc_html__( "8", "consultab" ),
                ),
            
            ),
        
        ),

        array(
            "heading"       => esc_html__( "Amount Title",'consultab' ),
            "description"   => esc_html__( "EX: How much would you like to borrow?",'consultab'),
            "type"          => "textfield",
            "param_name"    => "amt_slider_title",
        ),

        array(
            "heading"       => esc_html__( "Want Period Title",'consultab' ),
            "description"   => esc_html__( "EX: How long do you want it for?",'consultab'),
            "type"          => "textfield",
            "param_name"    => "period_slider_title",
        ),

        array(
            'type'        => 'textfield',
            'heading'     => esc_html__( 'Extra class name','consultab' ),
            'param_name'  => 'extra_class',
            'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' ),
            'group' => esc_html__( 'Extra class', 'consultab' ),
        ),

        array(
            'type' => 'css_editor',
            'heading' => __( 'Css', 'consultab' ),
            'param_name' => 'css',
            'group' => __( 'Design options', 'consultab' ),
        ),

    ),
    )
);
