<?php
// Portfolio
vc_map( array(
        "name" 			=> esc_html__("Portfolio", "consultab"),
        "base" 			=> "consultabportfolio",
		"description" 	=> esc_html__( "Portfolio", "consultab"),
        "category" 		=> esc_html__( "Consultab Shortcodes", "consultab" ),
        "icon" 			=> "consultab_recentPortfolio",
		"params" => array(

			array(
				"heading" 		=> esc_html__( "Select Columns","consultab" ),
				"description" 	=> esc_html__( "Columns of the Portfolio.","consultab"),
				"type" 			=> "dropdown",
				"edit_field_class" => "vc_col-xs-6",
				"param_name" 	=> "columns_type",
				"value" 		=> array(
										"2 Columns" => "2",
                                        "3 Columns" => "3",
										"4 Columns" => "4",
										"5 Columns" => "5",
								   ),
			),

			array(
				"heading" 		=> esc_html__( "Element Tag","consultab" ),
				"description" 	=> esc_html__( "Select Element Tag of the title text.","consultab"),
				"type" 			=> "dropdown",
				"param_name" 	=> "tag",
				"edit_field_class" => "vc_col-xs-6",
				"value" => array(
								"1" => "h2",
								"2" => "h3",
								"3" => "h4",
								"4" => "h5",
								"5" => "h6",
							),
			),

			array(
				"type" => "checkbox",
				"class" => "",
				"heading" => esc_html__( "No Space", "consultab" ),
				"param_name" => "space_field",
				"edit_field_class" => "vc_col-xs-6",
				"value"       => array(
					""=>"no-padding",
					), 
   				"std"         => " ",
				"description" => esc_html__( "If checked row will be set to no spaceing in columns.", "consultab" )
			),

			array(
				"heading" 		=> esc_html__( "Masonry","consultab" ),
				"type" 			=> "dropdown",
				"param_name" 	=> "masonry_type",
				"value" 		=> array(
										"Yes" => "0",
                                        "NO" => "1",
								   ),
			),

			

			array(
				"type"        => "textfield",
				"heading"     => esc_html__( "Extra class name","consultab" ),
				"param_name"  => "extra_class",
				"description" => esc_html__( "If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.","consultab" ),
				"group" => esc_html__( "Extra class", "consultab" ),
			),

			array(
				"heading" 		=> esc_html__( "Title Alignment","consultab" ),
				"description" 	=> esc_html__( "Select Alignment of the title text.","consultab"),
				"type" 			=> "dropdown",
				"param_name" 	=> "position",
				"value" => array(
								"Left" =>  "left",
								"Center" => "center",
								"Right" => "right",
							),
			),
	
			array(
				"type" 			=> "dropdown",
				"heading" 		=> esc_html__("Order By", "consultab"),
				"param_name" 	=> "sortby",
				"value" 			=> array_flip( array("date" => esc_html__("Date", "consultab"),"title" => esc_html__("Title", "consultab") ,"name" => esc_html__("Name", "consultab") ,"author" => esc_html__("Author", "consultab"),"comment_count" => esc_html__("Comment Count", "consultab"),"random" => esc_html__("Random", "consultab") ) ),			
			),	

			array(
				"type" 			=> "dropdown",
				"heading" 		=> esc_html__("Order", "consultab"),
				"param_name" 	=> "order",
				"value" 			=> array_flip(array("DESC" => esc_html__("Descending", "consultab"),"ASC" => esc_html__("Ascending", "consultab") ) ),			
			),

			array(
				"type" => "css_editor",
				"heading" => esc_html__( "Css", "consultab" ),
				"param_name" => "css",
				"group" => esc_html__( "Design options", "consultab" ),
			),
	
		)        
    ) 
);
