<?php
// Progress Bar
vc_map(
	array(
		"name" 			=> "Progress Bar",
		"base" 			=> "consultabprogress",
		"description" 	=> esc_html__( "Consultab Progress Bar", 'consultab'),
		"category" 		=> esc_html__( 'Consultab Shortcodes', 'consultab' ),
		"icon" 			=> "icon-wpb-maxtitle",
		"params" => array(
		
			array(
			'heading'		=> esc_html__( 'Add Progress Bar', 'consultab' ),
			'description'	=> esc_html__( 'Enter Title and Number out of 100', 'consultab' ),
			'type'			=> 'param_group',
			'param_name'	=> 'progress',
			'params' => array(

					array(
						'heading'		=> esc_html__( 'Title', 'consultab' ),
						'type'			=> 'textfield',
						'param_name'	=> 'tab_title',
						'admin_label'	=> true,
						'value'         => esc_html__('Easy to Customize','consultab' ),
					),
					
					array(
						'heading'		=> esc_html__( 'Score out of 100', 'consultab' ),
						'type'			=> 'textfield',
						'param_name'	=> 'tab_score',
						'value'         => esc_html__('70','consultab' ),
					),						

				),
			),

			array(
                "heading"		=> esc_html__( "Text Color","consultab" ),
                "type"			=> "colorpicker",
                "edit_field_class" => "vc_col-xs-6",
                "param_name"	=> "text_color",
                "value"      => "#142c4b",
            ),

			array(
				"heading"       => esc_html__( "Element Position",'consultab' ),
				"description"   => wp_kses( __( "Select Elements of the the title text.",'consultab'), array( 'br' => array() ) ),
				"type"          => "dropdown",
				"param_name"    => "position",
				"value" => array(
							"Left" =>  'left',
							"Center" => 'center',
							"Right" => 'right',
						),
			),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name','consultab' ),
				'param_name'  => 'extra_class',
				'group' => esc_html__( 'Extra Class', 'consultab' ),
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' )
			),

			array(
				'type' => 'css_editor',
				'heading' => __( 'Css', 'consultab' ),
				'param_name' => 'css',
				'group' => __( 'Design options', 'consultab' ),
			),
		
		),
	)
);
