<?php
// Project
vc_map( array(
        'name' 			=> esc_html__('Project', 'consultab'),
        'base' 			=> 'consultabproject',
		'description' 	=> esc_html__( 'Recent Project', 'consultab'),
        'category' 		=> esc_html__( 'Consultab Shortcodes', 'consultab' ),
        'icon' 			=> 'consultab_recentblog',
		'params' => array(

						
			array(
				"type" 			=> "heading",
				"heading" 		=> esc_html__('Number of Post :', 'consultab' ),
				 "param_name" 	=> "heading",
			 ),

			array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Desktop view', 'consultab' ),
				 "param_name" 	=> "desk_number",
				 'edit_field_class' => 'vc_col-xs-3',
				 "description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' ),
			 ),
			 array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Laptop view', 'consultab' ),
				 "param_name" 	=> "lap_number",
				 'edit_field_class' => 'vc_col-xs-3',
				"description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' ),
			 ),
			 array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Tablet view', 'consultab' ),
				 "param_name" 	=> "tab_number",
				 'edit_field_class' => 'vc_col-xs-3',
				"description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' ),
			 ),
			 array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__('Mobile view', 'consultab' ),
				 "param_name" 	=> "mob_number",
				 'edit_field_class' => 'vc_col-xs-3',
				"description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' ),
			 ),

			array(
				"heading" 		=> esc_html__( "Title Element Tag",'consultab' ),
				"description" 	=> wp_kses( __( "Select Element Tag of the title text.",'consultab'), array( 'br' => array() ) ),
				"type" 			=> "dropdown",
				"param_name" 	=> "tag",
				'edit_field_class' => 'vc_col-xs-6',
				"value" => array(
								"1" => 'h2',
								"2" => 'h3',
								"3" => 'h4',
								"4" => 'h5',
								"5" => 'h6',
								"6" => 'span',
								"7" => 'p',
							),
			),

			array(
				"heading" 		=> esc_html__( "Alignment",'consultab' ),
				"description" 	=> wp_kses( __( "Alignment of the title text.",'consultab'), array( 'br' => array() ) ),
				"type" 			=> "dropdown",
				"param_name" 	=> "position",
				'edit_field_class' => 'vc_col-xs-6',
				"value" => array(
								"Left" =>  'left',
								"Center" => 'center',
								"Right" => 'right',
							),
			),

			array( 
                'type' => 'checkbox',
                'holder' => 'div',
                'admin_label' => true,
                'heading' => __( 'Disable Hover Effect', 'consultab' ),
                'edit_field_class' => 'vc_col-xs-6',
                'param_name' => 'disble_effect',
                "value"       => array(
                    "disable" => '0',
                ),                     
                'description' => 'If selected, hover effect will disable.',
            ),

			array(
				"type" 			=> "dropdown",
				"heading" 		=> esc_html__( "Arrow", 'consultab' ),
				"param_name" 	=> "arrow",
				"value" 		=> array(
								  "True"    => 'true',
								  "False"   => 'false',
							  ),
			),
			array(
						"type" 			=> "dropdown",
						"heading" 		=> esc_html__( "Dots", 'consultab' ),
						"param_name" 	=> "dots",
						"value" 		=> array(
										"False"   => 'false',
										"True"    => 'true',
									),
				),

			array(
				"type" 			=> "dropdown",
				"heading" 		=> esc_html__( "Autoplay", 'consultab' ),
				"param_name" 	=> "auto",
				"value" 		=> array(
										"True"    => 'true',
										"False"   => 'false',
									),
			),	

			array(
				"type" 			=> "dropdown",
				"heading" 		=> esc_html__( "Loop", 'consultab' ),
				"param_name" 	=> "loop",
				"value" 		=> array(
								  "True"    => 'true',
								  "False"   => 'false',
							  ),
		    ),

			array(
			   "type" 			=> "dropdown",
			   "heading" 		=> esc_html__("Order By", 'consultab'),
			   "param_name" 	=> "sort",
			   'value' 			=> array_flip( array('date' => esc_html__('Date', 'consultab'),'title' => esc_html__('Title', 'consultab') ,'name' => esc_html__('Name', 'consultab') ,'author' => esc_html__('Author', 'consultab'),'comment_count' => esc_html__('Comment Count', 'consultab'),'random' => esc_html__('Random', 'consultab') ) ),
			),

			array(
			   "type" 			=> "dropdown",
			   "heading" 		=> esc_html__("Order", 'consultab'),
			   "param_name" 	=> "order",
			   'value' 			=> array_flip(array('DESC' => esc_html__('Descending', 'consultab'),'ASC' => esc_html__('Ascending', 'consultab') ) ),
			),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name','consultab' ),
				'param_name'  => 'extra_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' ),
				'group' => esc_html__( 'Extra class', 'consultab' ),
			),

			array(
				'type' => 'css_editor',
				'heading' => __( 'Css', 'consultab' ),
				'param_name' => 'css',
				'group' => __( 'Design options', 'consultab' ),
			),

			
		)
    )
);
