<?php
// Timeline
vc_map( 
    array(
        "name"          => esc_html__("Timeline","consultab" ),
        "base"          => "consultabtimeline",
        "description"   => esc_html__( "Consultab Timeline","consultab" ),
        "category"      => esc_html__( "Consultab Shortcodes","consultab" ),
        "icon"          => "icon-wpb-consultabtimeline",       
        "params" => array(
		
			array(
				'heading'		=> esc_html__( 'Add Frequently Asked Questions', 'consultab' ),
				'description'	=> esc_html__( 'Enter Title and Number out of 100', 'consultab' ),
				'type'			=> 'param_group',
				'param_name'	=> 'consultab_timeline',
				'params' => array(

						array(
	                        "heading"       => esc_html__( "Title","consultab" ),
	                        "description"   => esc_html__( "Enter the title","consultab"),
							"type"          => "textfield",
							'admin_label' => true,
	                        "param_name"    => "consultabtitle_content",
	                        "value"         => esc_html__("Easy to Customize","consultab" ),
	                    ),

                        array(
                            "heading"       => esc_html__( "Title Element Tag","consultab" ),
                            "description"   => esc_html__( "Select Element Tag of the title text.","consultab"),
                            "type"          => "dropdown",
                            "param_name"    => "tag",
                            "edit_field_class" => "vc_col-xs-6",
                            "value" => array(
                            	            "h1" => "h1",
                                            "h2" => "h2",
                                            "h3" => "h3",
                                            "h4" => "h4",
                                            "h5" => "h5",
                                            "h6" => "h6",
                                            "p"  => "p",
                                            "span"  => "span",
                                        ),
                        ),

                        array(
		                    "heading"		=> esc_html__( "Title Text Color","consultab" ),
		                    "type"			=> "colorpicker",
		                    "edit_field_class" => "vc_col-xs-6",
		                    "param_name"	=> "title_color",
		                    "value"      => "#313e5b",
		                ),

                        array(
                            "heading"       => esc_html__( "Sub Title","consultab" ),
                            "description"   => esc_html__( "Enter the sub title","consultab"),
                            "type"          => "textfield",
                            "param_name"    => "consultab_subtitle",
                            "value"         => esc_html__("Easy to Customize Sub Title","consultab" ),
                        ),

                        array(
                            "heading"       => esc_html__( "Sub Title Element Tag","consultab" ),
                            "description"   => esc_html__( "Select Element Tag of the sub title text.","consultab"),
                            "type"          => "dropdown",
                            "param_name"    => "sub_tag",
                            "edit_field_class" => "vc_col-xs-6",
                            "value" => array(
                            	            "h1" => "h1",
                                            "h2" => "h2",
                                            "h3" => "h3",
                                            "h4" => "h4",
                                            "h5" => "h5",
                                            "h6" => "h6",
                                            "p"  => "p",
                                            "span"  => "span",
                                        ),
                        ),

                        array(
		                    "heading"		=> esc_html__( "Sub Title Text Color","consultab" ),
		                    "type"			=> "colorpicker",
		                    "edit_field_class" => "vc_col-xs-6",
		                    "param_name"	=> "subtitle_color",
		                    "value"      => "#313e5b",
		                ),

		                array(
		                    "heading"       => esc_html__( "Box Position","consultab" ),		                    
		                    "type"          => "dropdown",
		                    "param_name"    => "consultab_box_position",
		                    "value"         => array(
		                            "Left" => "left",
		                            "Right" => "right",
		                    ),
		                ),

		                array(
							'heading'		=> esc_html__( 'Add Timeline Box List', 'consultab' ),
							'description'	=> esc_html__( 'Enter Text for Box List', 'consultab' ),
							'type'			=> 'param_group',
							'param_name'	=> 'consultab_boxlist',
							'params' => array(

								array(
		                            "heading"       => esc_html__( "List Text","consultab" ),
		                            "description"   => esc_html__( "Enter the List text","consultab"),
		                            "type"          => "textfield",
		                            "param_name"    => "consultab_listtest",
		                            "value"         => esc_html__("Easy to Customize List","consultab" ),
		                        ),

						    ),
						),    		
															    
                ),


			),


		),
	)
);
