<?php
vc_map(
	array(
		"name" 			=> "Title",
		"base" 			=> "consultabtitle",
		"description" 	=> esc_html__( "Consultab Title",'consultab' ),
		"category" 		=> esc_html__( 'Consultab Shortcodes','consultab' ),
		"icon" 			=> "icon-wpb-consultabtitle",
		"params" => array(


			array(
				"heading" 		=> esc_html__( "Title",'consultab' ),
				"description" 	=> esc_html__( "Enter the title",'consultab'),
				"type" 			=> "textfield",
				"param_name" 	=> "consultabtitle_content",
			),

			array(
				"heading" 		=> esc_html__( "Element Tag",'consultab' ),
				"description" 	=> wp_kses( __( "Select Element Tag of the title text.",'consultab'), array( 'br' => array() ) ),
				"type" 			=> "dropdown",
				"param_name" 	=> "tag",
				'edit_field_class' => 'vc_col-xs-6',
				"value" => array(
								"1" => 'h2',
								"2" => 'h3',
								"3" => 'h4',
								"4" => 'h5',
								"5" => 'h6',
							),
			),

			array(
			"heading"       => esc_html__( "Title Text White",'consultab' ),
			"type"          => "dropdown",
			"param_name"    => "text_white",
			'edit_field_class' => 'vc_col-xs-6',
			"value"         => array(
			                        "Default"    => '1',
			                        "Text-White" => '2',
			                   ),
			),
			
			array(
				"heading" 		=> esc_html__( "Sub Heading",'consultab' ),
				"type" 			=> "textfield",
				"param_name" 	=> "consultab_subtitle_content",
			),

			array(
			"heading"       => esc_html__( "Sub Heading Text White",'consultab' ),
			"type"          => "dropdown",
			'edit_field_class' => 'vc_col-xs-6',
			"param_name"    => "sub_text_white",
			"value"         => array(
			                        "Default"    => '1',
			                        "Text-White" => '2',
			                   ),
			),
	

			array(
				"heading" 		=> esc_html__( "Alignment",'consultab' ),
				"description" 	=> wp_kses( __( "Select Alignment of the title text.",'consultab'), array( 'br' => array() ) ),
				"type" 			=> "dropdown",
				'edit_field_class' => 'vc_col-xs-6',
				"param_name" 	=> "position",
				"value" => array(
								"Left" =>  'left',
								"Center" => 'center',
								"Right" => 'right',
							),
			),

			array(
			"heading"       => esc_html__( "Shadow Margin",'consultab' ),
			"type"          => "dropdown",
			'edit_field_class' => 'vc_col-xs-6',
			"param_name"    => "shadow_margin",
			"value"         => array(
			                        "Default Margin"    => '1',
			                        "Shadow Margin" => '2',
			                   ),
			),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name','consultab' ),
				'param_name'  => 'extra_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' ),
				'group' => esc_html__( 'Extra class', 'consultab' ),
			),

			array(
				'type' => 'css_editor',
				'heading' => __( 'Css', 'consultab' ),
				'param_name' => 'css',
				'group' => __( 'Design options', 'consultab' ),
			),
						
		),
	) 
);
