<?php
// Parallax Video
vc_map(
	array(
		"name" 			=> esc_html__('Video','consultab'),
		"base" 			=> 'consultabvideo',
		"description" 	=> esc_html__( 'Consultab Video','consultab'),
		"category" 		=> esc_html__( 'Consultab Shortcodes','consultab' ),
		"icon" 			=> "icon-consultabvideo",
		"params" => array(

			array(
                "type" 			=> "attach_image",
                "heading" 		=> esc_html__( "Video Background Image",'consultab' ),
                "param_name" 	=> "video_image",
				'value'			=> '',
				'edit_field_class' => 'vc_col-xs-6',
                "description" 	=> esc_html__('Select Background Image for Video.','consultab' ),
			),
			
			array(
                "type" 			=> "attach_image",
                "heading" 		=> esc_html__( "Video Background Second Image",'consultab' ),
                "param_name" 	=> "video_image2",
				'value'			=> '',
				'edit_field_class' => 'vc_col-xs-6',
                "description" 	=> esc_html__('Select Background Image for Video.','consultab' ),
            ),

			array(
				'heading'		=> esc_html__( 'Youtube Video URL','consultab' ),
				'type'			=> 'textfield',
				'param_name'	=> 'video_yt_key',
				"description" 	=> esc_html__('Only put youtube video full URL.','consultab' ),
			),

			array(
				'heading'		=> esc_html__( 'Description','consultab' ),
				'type'			=> 'textfield',
				'param_name'	=> 'description',
				"description" 	=> esc_html__('Enter Description for video.','consultab' ),
			),
			
			array(
				'heading'		=> esc_html__( 'No Of Years','consultab' ),
				'type'			=> 'textfield',
				'param_name'	=> 'no_year',
				"description" 	=> esc_html__('Enter No. of Years.','consultab' ),
			),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name','consultab' ),
				'param_name'  => 'extra_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' ),
				'group' => esc_html__( 'Extra class', 'consultab' ),
			),

			array(
				'type' => 'css_editor',
				'heading' => __( 'Css', 'consultab' ),
				'param_name' => 'css',
				'group' => __( 'Design options', 'consultab' ),
			),
			
		),
	)
);
