<?php
// Work
vc_map( 
  
    array(
        "name"          => esc_html__('Work','consultab' ),
        "base"          => 'consultabwork',
        "description"   => esc_html__( "Consultab Work",'consultab' ),
        "category"      => esc_html__( 'Consultab Shortcodes','consultab' ),
        "icon"          => "icon-wpb-consultabtitle",       
        'params' => array(
                                                
            array(
                "heading"       => esc_html__( "Year",'consultab' ),
                "description"   => esc_html__( "Enter the Year",'consultab'),
                "type"          => "textfield",
                "param_name"    => "year_title",
                "value"         => esc_html__("2014",'consultab' ),
            ),

            array(
                "heading"       => esc_html__( "Title",'consultab' ),
                "description"   => esc_html__( "Enter the title",'consultab'),
                "type"          => "textfield",
                "param_name"    => "year_title_text",
                "value"         => esc_html__("Easy to Customize",'consultab' ),
            ),
                
            array(
                "heading"       => esc_html__( "Content",'consultab' ),
                "description"   => esc_html__( "Enter the Content",'consultab'),
                "type"          => "textarea",
                "param_name"    => "consultabsubtitle_content",
                "value"         => esc_html__("It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.",'consultab' ),
            ),

            array(
                'type'        => 'attach_image',
                'heading'     => esc_html__( 'Image', 'consultab' ),
                'param_name'  => 'image',
                'description' => 'Select image/icon from library.',
                'group' => esc_html__( 'Image', 'consultab' ),
            ),

            array(
                "heading"       => esc_html__( "Element Position",'consultab' ),
                "description"   => wp_kses( __( "Select Position of the title text.",'consultab'), array( 'br' => array() ) ),
                "type"          => "dropdown",
                "param_name"    => "position",
                "value" => array(
                        "Left" =>  'left',
                        "Center" => 'center',
                        "Right" => 'right',
                ),
            ),
                                
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Extra class name','consultab' ),
                'param_name'  => 'extra_class',
                'group' => esc_html__( 'Extra Class', 'consultab' ),
                'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' )
            ),

            array(
                'type' => 'css_editor',
                'heading' => __( 'Css', 'consultab' ),
                'param_name' => 'css',
                'group' => __( 'Design options', 'consultab' ),
            ),
                
        )
    )
);
