<?php
// Youtube Video
vc_map(
	array(
		"name" 			=> esc_html__('Youtube Video','consultab'),
		"base" 			=> 'consultabyoutube',
		"description" 	=> esc_html__( 'Consultab Video','consultab'),
		"category" 		=> esc_html__( 'Consultab Shortcodes','consultab' ),
		"icon" 			=> "icon-consultabvideo",
		"params" => array(
			
			array(
				'heading'		=> esc_html__( 'Youtube Video URL','consultab' ),
				'type'			=> 'textfield',
				'param_name'	=> 'video_yt_key',
				"description" 	=> esc_html__('Only put youtube video full URL.','consultab' ),
			),

			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Extra class name','consultab' ),
				'param_name'  => 'extra_class',
				'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' ),
				'group' => esc_html__( 'Extra class', 'consultab' ),
			),

			array(
				'type' => 'css_editor',
				'heading' => __( 'Css', 'consultab' ),
				'param_name' => 'css',
				'group' => __( 'Design options', 'consultab' ),
			),
			
		),
	)
);
