<?php $consultab_option = get_option('consultab_options'); ?>
<?php
if(isset($consultab_option['portfolio_top']))
{	
    $options = $consultab_option['portfolio_top'];
    if($options == "yes"){ ?>
        <div class="row">
            <?php if(has_post_thumbnail())
            {
            ?>
            <div class="col-lg-5 col-sm-12">
                <div class="iq-portfolio-image">
                    <?php the_post_thumbnail(); ?>
                </div>
            </div>
            <?php } ?>
            <div class="col-lg-7 col-sm-12 mt-4 mt-lg-0">
                <?php 
                if(!empty($consultab_option['portfolio_sub_title']))
                { 
                ?>
                <h3 class="mb-4"><?php echo esc_attr($consultab_option['portfolio_sub_title']); ?></h3>
                <?php
                }
                else
                {
                ?>
                <h3 class="mb-4"><?php esc_html_e('We work with you to address your most critical business priorities.', 'consultab'); ?></h3>
                <?php
                }
                ?>
                <?php 
                if(!empty($consultab_option['portfolio_title_desc']))
                { 
                ?>
                <p><?php echo html_entity_decode($consultab_option['portfolio_title_desc']); ?></p>
                <?php
                }
                else
                {
                ?>
                <p><?php esc_html_e('There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don’t look even slightly believable.', 'consultab'); ?></p>
                <?php
                }
                ?>
                <div class="portfolio-detail-box">
                        <ul class="list-inline portfolio-detail mb-1">
                            <?php $consultab_portfolio_client  = get_post_meta( $post->ID, 'consultab_portfolio_client', true); ?>
                            <?php $consultab_portfolio_website  = get_post_meta( $post->ID, 'consultab_portfolio_website', true); ?>
                            <?php $portfolio_data  = get_post_meta( $post->ID, 'portfolio_data', true); ?>

                            <?php if($consultab_portfolio_client) { ?>
                            <li class="list-inline-item">
                                <span class="lead"><?php echo esc_html__("Client :","consultab"); ?></span>
                                <span><?php echo esc_html($consultab_portfolio_client); ?></span>
                            </li>
                            <?php } ?>

                            <li class="list-inline-item">
                            <span class="lead"><?php echo esc_html__("Category :","consultab"); ?></span> 
                            <?php 
                            $args = array(  'post_type' => 'portfolio',
                                            'taxonomy' => 'portfolio-categories',
                                            'orderby' => 'name',
                                            'order'   => 'ASC'
                                        );
                            $postcat = wp_get_post_terms(get_the_ID(), 'portfolio-categories');
                            foreach($postcat as $cat) {     
                            ?>
                            <span><?php echo esc_html($cat->name); ?></span>
                            <?php } ?>
                            </li>

                            <?php if($consultab_portfolio_website) { ?>
                            <li class="list-inline-item">
                                <span class="lead"><?php echo esc_html__("Website :","consultab"); ?></span>
                                <span><a href="<?php echo esc_html($consultab_portfolio_website); ?>" target="_blank"><?php echo esc_html($consultab_portfolio_website); ?></a>
                                </span>
                            </li>
                            <?php } ?>

                            <?php if($portfolio_data) { ?>
                            <li class="list-inline-item">
                                <span class="lead"><?php echo esc_html__("Date :","consultab"); ?></span>
                                <span><?php echo esc_html($portfolio_data); ?></span>
                            </li>
                            <?php } ?>
                        </ul>
                        <?php
                        if(isset($consultab_option['display_social_share']))
                        {
                            $options = $consultab_option['display_social_share'];
                            if($options == "yes"){
                        ?>
                        <ul class="list-inline mb-0 social-media">
                            <?php if(!empty($consultab_option['social_share_title']))
                            { 
                            $dtitle = $consultab_option['social_share_title']; 
                            ?>
                            <li class="list-inline-item">	
                                <h6><?php echo esc_attr($dtitle,'consultab'); ?>:</h6>
                            </li>
                            <?php
                            }
                            ?>
                            <?php 
                            $options = $consultab_option['fb_shar'];
                            if($options == "yes")
                            { 
                            ?>
                            <li class="list-inline-item">
                                <a href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink(); ?>" target="_blank"><i class="fa fa-facebook-square"></i></a>
                            </li>
                            <?php
                            }
                            ?>

                            <?php 
                            $options = $consultab_option['twitter_shar'];
                            if($options == "yes")
                            { 
                            ?>
                            <li class="list-inline-item">
                                <a href="http://twitter.com/intent/tweet?text=<?php the_title(); ?>&<?php the_permalink(); ?>" target="_blank"><i class="fa fa-twitter"></i></a>
                            </li>
                            <?php
                            }
                            ?>

                            <?php 
                            $options = $consultab_option['google_shar'];
                            if($options == "yes")
                            { 
                            ?>
                            <li class="list-inline-item">
                                <a href="https://plus.google.com/share?url=<?php the_title(); ?>&text=<?php the_excerpt(); ?>" target="_blank"><i class="fa fa-google-plus-g"></i></a>
                            </li>
                            <?php
                            }
                            ?>

                            <?php 
                            $options = $consultab_option['linkedin_shar'];
                            if($options == "yes")
                            { 
                            ?>
                            <li class="list-inline-item">
                                <a href="https://www.linkedin.com/shareArticle?mini=true&url=<?php the_permalink(); ?>&title=<?php the_title(); ?>&summary=<?php the_excerpt(); ?>" target="_blank"><i class="fa fa-linkedin"></i></a>
                            </li>
                            <?php
                            }
                            ?>

                            <?php 
                            $options = $consultab_option['pinterest_shar'];
                            if($options == "yes")
                            { 
                            ?>
                            <li class="list-inline-item">
                                <a href="http://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>" target="_blank"><i class="fa fa-pinterest"></i></a>
                            </li>
                            <?php
                            }
                            ?>
                        </ul>
                        <?php
						    }
					    }
					    ?>
                </div>
            </div>
            
        </div>
        <?php
    }
}
?>
<?php the_content(); ?>