<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="consulting-blog blog-page">
		<?php
		$consultab_option = get_option('consultab_options');
		if(isset($consultab_option['consultab_display_image']))
		{
			$options = $consultab_option['consultab_display_image'];
			if($options == "yes"){
				if ( has_post_thumbnail() ) { ?>
				<div class="consult-detail">
				<?php the_post_thumbnail(); ?>
				<?php
				if(isset($consultab_option['display_effect']))
				{
					$options = $consultab_option['display_effect'];
					if($options == "yes"){
				?>
				<div class="consult-effect"></div>
				<?php
					}
				}
				?>
				</div>
				<?php
				}
			}
		}
		else
		{
			if(has_post_thumbnail())
			{
				$class = "sitcky-tag";
			}
			else {
				$class = "";
			}
			?>
				<div class="blog-img <?php echo esc_attr($class) ?>">
				<?php the_post_thumbnail(); ?>
				<?php
					if(is_sticky() && !is_single())
					{
					?>
					<span class="sticky-post-label"><i class="fa fa-star" aria-hidden="true"></i><?php echo esc_html__('Featured', 'consultab') ?></span>
					<?php } ?>
					<?php if(has_post_thumbnail())
					{
						$postcat = get_the_category();
						if ($postcat) { ?>
							<ul class="list-inline blog-categories">
							<?php foreach($postcat as $cat) { ?>
								<li class="list-inline-item"><a href="<?php get_category_link( $cat->cat_ID ) ?>"><?php echo esc_html($cat->name); ?></a></li>
							<?php } ?>
							</ul>
						<?php
						}
					}
					?>
				</div>
			<?php
		}
		?>
		<div class="main-blog clearfix">
			<div class="blog-details">
			<?php
				if(is_sticky())
				{
				?>
				<span class="sticky-post-label"><i class="fa fa-star" aria-hidden="true"></i><?php echo esc_html__('Featured', 'consultab') ?></span>
				<?php } ?>
				<ul class="list-inline mb-2">
					<?php
					//post date
					$archive_year  = get_the_time('Y',$post->post_id);
					$archive_month = get_the_time('m',$post->post_id);
					$archive_day   = get_the_time('d',$post->post_id);
					$date=date_create($post->post_date); ?>
					<li class="list-inline-item">
						<i class="fa fa-calendar mr-2" aria-hidden="true"></i>
						<?php echo consultab_time_link(); ?>
					</li>
					<li class="list-inline-item">
						<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>" class="iq-user">
						<i class="fa fa-user mr-2" aria-hidden="true"></i>
							<?php the_author(); ?>
						</a>
					</li>

					<?php if(is_single())
					{
					?>
					<?php
					$comment_count = $post->comment_count; ?>
					<li class="list-inline-item">
					<a href="<?php if($comment_count > 0 ) { comments_link(); }else { echo esc_html__('javascript:void(0)','consultab'); } ?>">
					<i class="fa fa-comments mr-2" aria-hidden="true"></i>
							<?php echo esc_html($comment_count); ?>
						</a>
					</li>
					<?php
					}
					?>
				</ul>

			<?php if(!is_single())
				{
				?>
				<div class="blog-title">
				<a href="<?php echo esc_url(get_permalink($post->ID)); ?>">
					<h5 class="blog-title-post"><?php the_title(); ?></h5>
				</a>
			</div>
				<?php
				}
				?>

				<?php if(!is_single()){ 

				the_excerpt();
				?>

			<div class="blog-button">
				<a  class="button-link" href="<?php the_permalink();?>">
				<?php esc_html_e('Read More', 'consultab'); ?>
				
				</a>
			</div>
			<?php } ?>
			</div>

			<div class="blog-content">
				<?php
				if(is_single()){
					the_content();
				}
				wp_link_pages( array(
					'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'consultab' ),
					'after'       => '</div>',
					'link_before' => '<span class="page-number">',
					'link_after'  => '</span>',
				) );
				?>
			</div>

			

			<?php
			if(isset($consultab_option['display_pre_next']))
			{
				$options = $consultab_option['display_pre_next'];
				if($options == "yes"){
				?>
				<?php if ( is_singular( 'post' ) ) {
					// Previous/next post navigation.
					the_post_navigation( array(
						'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Next', 'consultab' ) . '</span> ' .
							'<span class="screen-reader-text">' . __( 'Next post:', 'consultab' ) . '</span> ' ,

						'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Previous', 'consultab' ) . '</span> ' .
							'<span class="screen-reader-text">' . __( 'Previous post:', 'consultab' ) . '</span> ',
					) );
				}
				?>

					<?php if ( is_singular( 'post' ) ) { ?>
						<a class="blog-user" href="<?php echo get_permalink( get_option( 'page_for_posts' ) ); ?>"><i class="fas fa-th-large"></i></a>
					<?php
					}
				}
			}
			?>

			<?php if(is_single()){
			$posttag = get_the_tags();
			if ($posttag) {  ?>
			<div class="share-box">
				<div class="row align-items-center">
					<?php
					if(isset($consultab_option['display_tag']))
					{
					$options = $consultab_option['display_tag'];
						if($options == "yes"){
						?>
					<div class="col-lg-6 col-md-12">
						<div class="share-tag">
						<?php if(is_single())
						{
							$posttag = get_the_tags();
							if ($posttag) {
								foreach($posttag as $tag) {
								?>
								<a><?php echo esc_html($tag->name); ?></a>
								<?php
								}
							}
						}
						?>
						</div>
					</div>
					<?php
						}
					}
					?>
					<?php
					if(isset($consultab_option['display_social_share']))
					{
					$options = $consultab_option['display_social_share'];
						if($options == "yes"){
						?>
						<div class="col-lg-6 col-md-12">
						<?php if(is_single()) { ?>
							<div class="social-icone">
									<ul class="list-inline mb-0">
										<?php if(!empty($consultab_option['social_share_title']))
										{
										$dtitle = $consultab_option['social_share_title'];
										?>
										<li class="list-inline-item">
											<h6><?php echo esc_attr($dtitle,'consultab'); ?>:</h6>
										</li>
										<?php
										}
										?>
										<?php
										$options = $consultab_option['fb_shar'];
										if($options == "yes")
										{
										?>
										<li class="list-inline-item">
											<a href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink(); ?>" target="_blank"><i class="fab fa-facebook-square"></i></a>
										</li>
										<?php
										}
										?>

										<?php
										$options = $consultab_option['twitter_shar'];
										if($options == "yes")
										{
										?>
										<li class="list-inline-item">
											<a href="http://twitter.com/intent/tweet?text=<?php the_title(); ?>&<?php the_permalink(); ?>" target="_blank"><i class="fab fa-twitter"></i></a>
										</li>
										<?php
										}
										?>

										<?php
										$options = $consultab_option['google_shar'];
										if($options == "yes")
										{
										?>
										<li class="list-inline-item">
											<a href="https://plus.google.com/share?url=<?php the_title(); ?>&text=<?php the_excerpt(); ?>" target="_blank"><i class="fab fa-google-plus-g"></i></a>
										</li>
										<?php
										}
										?>

										<?php
										$options = $consultab_option['linkedin_shar'];
										if($options == "yes")
										{
										?>
										<li class="list-inline-item">
											<a href="https://www.linkedin.com/shareArticle?mini=true&url=<?php the_permalink(); ?>&title=<?php the_title(); ?>&summary=<?php the_excerpt(); ?>" target="_blank"><i class="fab fa-linkedin"></i></a>
										</li>
										<?php
										}
										?>

										<?php
										$options = $consultab_option['pinterest_shar'];
										if($options == "yes")
										{
										?>
										<li class="list-inline-item">
											<a href="http://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>" target="_blank"><i class="fab fa-pinterest"></i></a>
										</li>
										<?php
										}
										?>

									</ul>
							</div>
						<?php } ?>
						</div>
						<?php
						}
					}
					?>
				</div>

			</div>
			<?php } 
			} ?>
		</div>
	</div>

	<?php
	$consultab_option = get_option('consultab_options');
	if(isset($consultab_option['consultab_display_comment']))
	{
	$options = $consultab_option['consultab_display_comment'];
		if($options == "yes")
		{
			if(is_single()){
				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;

				consultab_pagination();
			}
		}
	}
	else {
		if(is_single()){
			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;

			consultab_pagination();
		}

	}
	?>
</article><!-- #post-## -->
